/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Ausgangstrenner	 4 Kanle			*/
/*                      LB 4104 - 4106 FB4204 - 4305        */
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:34  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/

OUSP02_P1_Slot2	LIKE VARIABLE	P0_Slot0
{
}

OUSP02_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	OUSP02_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[standard]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_Option_Bit1_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

/********** Skalierung *****************/

VARIABLE	Loc_OUSP02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
//		DEFAULT_VALUE	0;
		DEFAULT_VALUE	4;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	Loc_OUSP02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	20;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

Loc_OUSP02_P1_Mb_PCS		LIKE VARIABLE		Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P1_Me_PCS		LIKE VARIABLE		Loc_OUSP02_P1_Me
{
	REDEFINE	TYPE		FLOAT
	{
		DEFAULT_VALUE	100;
	}
}

VARIABLE	OUSP02_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	10000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(OUSP02_P1_ScalMb, OUSP02_P1_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	50000;
	}
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(OUSP02_P1_ScalMb, OUSP02_P1_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(OUSP02_P1_LimLow, OUSP02_P1_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(OUSP02_P1_LimLow, OUSP02_P1_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}
	
	CONSTANT_UNIT	[Percent_Second];
	CLASS			CONTAINED;
	HANDLING		READ & WRITE;
}

/********** HART *****************/

VARIABLE	OUSP02_P1_HartOption
{
	LABEL		[P1_HartOption];
	HELP		[P1_HartOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x0,	[HART_inaktiv]	},
		{	0x1,	[HART_aktiv]	},
		{	0x3,	[HART_aktiv_intern_aus]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_HartPraeambel
{
	LABEL		[P1_HartPraeambel];
	HELP		[P1_HartPraeambel_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 15;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP02_P1_HartRetry
{
	LABEL		[P1_HartRetry];
	HELP		[P1_HartRetry_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 3;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Erweitert *****************/

/************* AO *********************/

VARIABLE	OUSP02_P1_AO_MinOut
{
	LABEL		[P1_AO_MinOut];
	HELP		[P1_AO_MinOut_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -2000;
		{	0,		"  0% = 4,0 mA"		},
		{	-2000,	"-20% = 0,8 mA"			},
		{	-2500,	"-25% = 0,0 mA"			}

	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01	(OUSP02_P1_AO_MinOut, Loc_OUSP02_P1_AO_MinOut)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P1_AO_MinOut
{
	LABEL		[P1_AO_MinOut];
	HELP		[P1_AO_MinOut_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 0.00;
			DEFAULT_VALUE -20.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (OUSP02_P1_AO_MinOut, Loc_OUSP02_P1_AO_MinOut)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_AO_Rmin
{
	LABEL		[P1_AO_Rmin];
	HELP		[P1_AO_Rmin_help];
	TYPE		INTEGER (1)
		{
			MIN_VALUE 0.00;
			MAX_VALUE 150.00;
			DEFAULT_VALUE 50.00;
			//DISPLAY_FORMAT ".2f";
		}
	CLASS		CONTAINED;
	CONSTANT_UNIT	[Ohm];
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_AO_Rmax
{
	LABEL		[P1_AO_Rmax];
	HELP		[P1_AO_Rmax_help];
	TYPE		INTEGER (1)
		{
			MIN_VALUE 0.00;
			MAX_VALUE 150.00;
			DEFAULT_VALUE 75.00;
			//DISPLAY_FORMAT ".2f";
		}
	CLASS		CONTAINED;
	CONSTANT_UNIT	[Ohm];
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_AO_Diff
{
	LABEL		[P1_AO_Diff];
	HELP		[P1_AO_Diff_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 1250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01	(OUSP02_P1_AO_Diff, Loc_OUSP02_P1_AO_Diff)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P1_AO_Diff
{
	LABEL		[P1_AO_Diff];
	HELP		[P1_AO_Diff_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.50;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (OUSP02_P1_AO_Diff, Loc_OUSP02_P1_AO_Diff)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_AO_Hyst
{
	LABEL		[P1_AO_Hyst];
	HELP		[P1_AO_Hyst_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01	(OUSP02_P1_AO_Hyst, Loc_OUSP02_P1_AO_Hyst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P1_AO_Hyst
{
	LABEL		[P1_AO_Hyst];
	HELP		[P1_AO_Hyst_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.10;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (OUSP02_P1_AO_Hyst, Loc_OUSP02_P1_AO_Hyst)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (34);
	CLASS		CONTAINED;
	HANDLING	READ;
}



/*******************************************************************************/
/*****	Variables Kanal2 Index4	************************************************/
/*******************************************************************************/

OUSP02_P2_Slot4				LIKE VARIABLE	P0_Slot0
{
}

OUSP02_P2_Index4			LIKE VARIABLE	OUSP_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 4;
			}
}

OUSP02_P2_Mode				LIKE VARIABLE	OUSP02_P1_Mode
{
}

OUSP02_P2_Option_Leitung	LIKE VARIABLE	OUSP02_P1_Option_Leitung
{
}

OUSP02_P2_Option_Bit1_14	LIKE VARIABLE	OUSP02_P1_Option_Bit1_14
{
}

OUSP02_P2_Option_Kanal		LIKE VARIABLE	OUSP02_P1_Option_Kanal
{
}

Loc_OUSP02_P2_Mb			LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P2_Me			LIKE VARIABLE	Loc_OUSP02_P1_Me
{
}

Loc_OUSP02_P2_Mb_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P2_Me_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Me_PCS
{
}

VARIABLE	OUSP02_P2_ScalMb
{
	LABEL		[P2_ScalMb];
	HELP		[P2_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	10000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(OUSP02_P2_ScalMb, OUSP02_P2_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P2_ScalMe
{
	LABEL		[P2_ScalMe];
	HELP		[P2_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	50000;
	}
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(OUSP02_P2_ScalMb, OUSP02_P2_ScalMe)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P2_ScalOption		LIKE VARIABLE	OUSP02_P1_ScalOption
{
}

VARIABLE	OUSP02_P2_LimLow
{
	LABEL		[P2_LimLow];
	HELP		[P2_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(OUSP02_P2_LimLow, OUSP02_P2_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P2_LimHigh
{
	LABEL		[P2_LimHigh];
	HELP		[P2_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(OUSP02_P2_LimLow, OUSP02_P2_LimHigh)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P2_Filter			LIKE VARIABLE	OUSP02_P1_Filter
{
}

OUSP02_P2_HartOption		LIKE VARIABLE	OUSP02_P1_HartOption
{
}

OUSP02_P2_HartPraeambel		LIKE VARIABLE	OUSP02_P1_HartPraeambel
{
}

OUSP02_P2_HartRetry			LIKE VARIABLE	OUSP02_P1_HartRetry
{
}

VARIABLE	OUSP02_P2_AO_MinOut
{
	LABEL		[P2_AO_MinOut];
	HELP		[P2_AO_MinOut_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -2000;
		{	0,		"  0% = 4,0 mA"		},
		{	-2000,	"-20% = 0,8 mA"			},
		{	-2500,	"-25% = 0,0 mA"			}

	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02	(OUSP02_P2_AO_MinOut, Loc_OUSP02_P2_AO_MinOut)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_OUSP02_P2_AO_MinOut
{
	LABEL		[P2_AO_MinOut];
	HELP		[P2_AO_MinOut_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 0.00;
			DEFAULT_VALUE -20.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (OUSP02_P2_AO_MinOut, Loc_OUSP02_P2_AO_MinOut)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P2_AO_Rmin			LIKE VARIABLE	OUSP02_P1_AO_Rmin
{
}

OUSP02_P2_AO_Rmax			LIKE VARIABLE	OUSP02_P1_AO_Rmax
{
}

VARIABLE	OUSP02_P2_AO_Diff
{
	LABEL		[P2_AO_Diff];
	HELP		[P2_AO_Diff_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 1250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02	(OUSP02_P2_AO_Diff, Loc_OUSP02_P2_AO_Diff)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_OUSP02_P2_AO_Diff
{
	LABEL		[P2_AO_Diff];
	HELP		[P2_AO_Diff_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.50;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (OUSP02_P2_AO_Diff, Loc_OUSP02_P2_AO_Diff)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P2_AO_Hyst
{
	LABEL		[P2_AO_Hyst];
	HELP		[P2_AO_Hyst_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02	(OUSP02_P2_AO_Hyst, Loc_OUSP02_P2_AO_Hyst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P2_AO_Hyst
{
	LABEL		[P2_AO_Hyst];
	HELP		[P2_AO_Hyst_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.10;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (OUSP02_P2_AO_Hyst, Loc_OUSP02_P2_AO_Hyst)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P2_DUMMY2			LIKE VARIABLE	OUSP02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index6	************************************************/
/*******************************************************************************/

OUSP02_P3_Slot6				LIKE VARIABLE	P0_Slot0
{
}

OUSP02_P3_Index6			LIKE VARIABLE	OUSP_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 6;
			}
}

OUSP02_P3_Mode				LIKE VARIABLE	OUSP02_P1_Mode
{
}

OUSP02_P3_Option_Leitung	LIKE VARIABLE	OUSP02_P1_Option_Leitung
{
}

OUSP02_P3_Option_Bit1_14	LIKE VARIABLE	OUSP02_P1_Option_Bit1_14
{
}

OUSP02_P3_Option_Kanal		LIKE VARIABLE	OUSP02_P1_Option_Kanal
{
}

Loc_OUSP02_P3_Mb			LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P3_Me			LIKE VARIABLE	Loc_OUSP02_P1_Me
{
}

Loc_OUSP02_P3_Mb_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P3_Me_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Me_PCS
{
}

VARIABLE	OUSP02_P3_ScalMb
{
	LABEL		[P3_ScalMb];
	HELP		[P3_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	10000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(OUSP02_P3_ScalMb, OUSP02_P3_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P3_ScalMe
{
	LABEL		[P3_ScalMe];
	HELP		[P3_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	50000;
	}
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(OUSP02_P3_ScalMb, OUSP02_P3_ScalMe)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P3_ScalOption		LIKE VARIABLE	OUSP02_P1_ScalOption
{
}

VARIABLE	OUSP02_P3_LimLow
{
	LABEL		[P3_LimLow];
	HELP		[P3_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(OUSP02_P3_LimLow, OUSP02_P3_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P3_LimHigh
{
	LABEL		[P3_LimHigh];
	HELP		[P3_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(OUSP02_P3_LimLow, OUSP02_P3_LimHigh)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P3_Filter			LIKE VARIABLE	OUSP02_P1_Filter
{
}

OUSP02_P3_HartOption		LIKE VARIABLE	OUSP02_P1_HartOption
{
}

OUSP02_P3_HartPraeambel		LIKE VARIABLE	OUSP02_P1_HartPraeambel
{
}

OUSP02_P3_HartRetry			LIKE VARIABLE	OUSP02_P1_HartRetry
{
}

VARIABLE	OUSP02_P3_AO_MinOut
{
	LABEL		[P3_AO_MinOut];
	HELP		[P3_AO_MinOut_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -2000;
		{	0,		"  0% = 4,0 mA"		},
		{	-2000,	"-20% = 0,8 mA"			},
		{	-2500,	"-25% = 0,0 mA"			}

	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03	(OUSP02_P3_AO_MinOut, Loc_OUSP02_P3_AO_MinOut)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_OUSP02_P3_AO_MinOut
{
	LABEL		[P3_AO_MinOut];
	HELP		[P3_AO_MinOut_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 0.00;
			DEFAULT_VALUE -20.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (OUSP02_P3_AO_MinOut, Loc_OUSP02_P3_AO_MinOut)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P3_AO_Rmin			LIKE VARIABLE	OUSP02_P1_AO_Rmin
{
}

OUSP02_P3_AO_Rmax			LIKE VARIABLE	OUSP02_P1_AO_Rmax
{
}

VARIABLE	OUSP02_P3_AO_Diff
{
	LABEL		[P3_AO_Diff];
	HELP		[P3_AO_Diff_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 1250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03	(OUSP02_P3_AO_Diff, Loc_OUSP02_P3_AO_Diff)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_OUSP02_P3_AO_Diff
{
	LABEL		[P3_AO_Diff];
	HELP		[P3_AO_Diff_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.50;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (OUSP02_P3_AO_Diff, Loc_OUSP02_P3_AO_Diff)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P3_AO_Hyst
{
	LABEL		[P3_AO_Hyst];
	HELP		[P3_AO_Hyst_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03	(OUSP02_P3_AO_Hyst, Loc_OUSP02_P3_AO_Hyst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P3_AO_Hyst
{
	LABEL		[P3_AO_Hyst];
	HELP		[P3_AO_Hyst_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.10;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (OUSP02_P3_AO_Hyst, Loc_OUSP02_P3_AO_Hyst)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P3_DUMMY2			LIKE VARIABLE	OUSP02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index8	************************************************/
/*******************************************************************************/

OUSP02_P4_Slot8				LIKE VARIABLE	P0_Slot0
{
}

OUSP02_P4_Index8			LIKE VARIABLE	OUSP_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 8;
			}
}

OUSP02_P4_Mode				LIKE VARIABLE	OUSP02_P1_Mode
{
}

OUSP02_P4_Option_Leitung	LIKE VARIABLE	OUSP02_P1_Option_Leitung
{
}

OUSP02_P4_Option_Bit1_14	LIKE VARIABLE	OUSP02_P1_Option_Bit1_14
{
}

OUSP02_P4_Option_Kanal		LIKE VARIABLE	OUSP02_P1_Option_Kanal
{
}

Loc_OUSP02_P4_Mb			LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P4_Me			LIKE VARIABLE	Loc_OUSP02_P1_Me
{
}

Loc_OUSP02_P4_Mb_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Mb
{
}

Loc_OUSP02_P4_Me_PCS		LIKE VARIABLE	Loc_OUSP02_P1_Me_PCS
{
}

VARIABLE	OUSP02_P4_ScalMb
{
	LABEL		[P4_ScalMb];
	HELP		[P4_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	10000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(OUSP02_P4_ScalMb, OUSP02_P4_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P4_ScalMe
{
	LABEL		[P4_ScalMe];
	HELP		[P4_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	50000;
	}
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(OUSP02_P4_ScalMb, OUSP02_P4_ScalMe)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P4_ScalOption		LIKE VARIABLE	OUSP02_P1_ScalOption
{
}

VARIABLE	OUSP02_P4_LimLow
{
	LABEL		[P4_LimLow];
	HELP		[P4_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(OUSP02_P4_LimLow, OUSP02_P4_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P4_LimHigh
{
	LABEL		[P4_LimHigh];
	HELP		[P4_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(OUSP02_P4_LimLow, OUSP02_P4_LimHigh)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P4_Filter			LIKE VARIABLE	OUSP02_P1_Filter
{
}

OUSP02_P4_HartOption		LIKE VARIABLE	OUSP02_P1_HartOption
{
}

OUSP02_P4_HartPraeambel		LIKE VARIABLE	OUSP02_P1_HartPraeambel
{
}

OUSP02_P4_HartRetry			LIKE VARIABLE	OUSP02_P1_HartRetry
{
}

VARIABLE	OUSP02_P4_AO_MinOut
{
	LABEL		[P4_AO_MinOut];
	HELP		[P4_AO_MinOut_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -2000;
		{	0,		"  0% = 4,0 mA"		},
		{	-2000,	"-20% = 0,8 mA"			},
		{	-2500,	"-25% = 0,0 mA"			}

	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04	(OUSP02_P4_AO_MinOut, Loc_OUSP02_P4_AO_MinOut)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_OUSP02_P4_AO_MinOut
{
	LABEL		[P4_AO_MinOut];
	HELP		[P4_AO_MinOut_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 0.00;
			DEFAULT_VALUE -20.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (OUSP02_P4_AO_MinOut, Loc_OUSP02_P4_AO_MinOut)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P4_AO_Rmin			LIKE VARIABLE	OUSP02_P1_AO_Rmin
{
}

OUSP02_P4_AO_Rmax			LIKE VARIABLE	OUSP02_P1_AO_Rmax
{
}

VARIABLE	OUSP02_P4_AO_Diff
{
	LABEL		[P4_AO_Diff];
	HELP		[P4_AO_Diff_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 1250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04	(OUSP02_P4_AO_Diff, Loc_OUSP02_P4_AO_Diff)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P4_AO_Diff
{
	LABEL		[P4_AO_Diff];
	HELP		[P4_AO_Diff_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.50;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (OUSP02_P4_AO_Diff, Loc_OUSP02_P4_AO_Diff)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP02_P4_AO_Hyst
{
	LABEL		[P4_AO_Hyst];
	HELP		[P4_AO_Hyst_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 250;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04	(OUSP02_P4_AO_Hyst, Loc_OUSP02_P4_AO_Hyst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP02_P4_AO_Hyst
{
	LABEL		[P4_AO_Hyst];
	HELP		[P4_AO_Hyst_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 26.214;
			DEFAULT_VALUE 0.10;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (OUSP02_P4_AO_Hyst, Loc_OUSP02_P4_AO_Hyst)
	}
	HANDLING		READ & WRITE;
}

OUSP02_P4_DUMMY2			LIKE VARIABLE	OUSP02_P1_DUMMY2
{
}


/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_OUSP02					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			OUSP02_P1_Slot2,			\
			OUSP02_P1_Index2,			\
			OUSP02_P1_Mode,				\
			OUSP02_P1_Option_Leitung,	\
			OUSP02_P1_Option_Kanal,		\
			OUSP02_P1_ScalMb,			\
			OUSP02_P1_ScalMe,			\
			OUSP02_P1_ScalOption,		\
			OUSP02_P1_LimLow,			\
			OUSP02_P1_LimHigh,			\
			OUSP02_P1_Filter,			\
			OUSP02_P1_HartOption,		\
			OUSP02_P1_HartPraeambel,	\
			OUSP02_P1_HartRetry,		\
			OUSP02_P1_AO_MinOut,		\
			OUSP02_P1_AO_Rmin,			\
			OUSP02_P1_AO_Rmax,			\
			OUSP02_P1_AO_Diff,			\
			OUSP02_P1_AO_Hyst,			\
			Mod4y5y_P2_Slot3,			\
			Mod4y5y_P2_Index3,			\
			Mod4y5y_P2_Tag,				\
			Mod4y5y_P2_State,			\
			Mod4y5y_P2_ErrMode,			\
			Mod4y5y_P2_SimVal,			\
			Mod4y5y_P2_SimState_Data,	\
			Mod4y5y_P2_SimOption,		\
			Mod4y5y_P2_ErrVal,			\
			Mod4y5y_P2_ErrState_Data,	\
			Mod4y5y_P2_ErrOption,		\
			OUSP02_P2_Slot4,			\
			OUSP02_P2_Index4,			\
			OUSP02_P2_Mode,				\
			OUSP02_P2_Option_Leitung,	\
			OUSP02_P2_Option_Kanal,		\
			OUSP02_P2_ScalMb,			\
			OUSP02_P2_ScalMe,			\
			OUSP02_P2_ScalOption,		\
			OUSP02_P2_LimLow,			\
			OUSP02_P2_LimHigh,			\
			OUSP02_P2_Filter,			\
			OUSP02_P2_HartOption,		\
			OUSP02_P2_HartPraeambel, 	\
			OUSP02_P2_HartRetry,		\
			OUSP02_P2_AO_MinOut,		\
			OUSP02_P2_AO_Rmin,			\
			OUSP02_P2_AO_Rmax,			\
			OUSP02_P2_AO_Diff,			\
			OUSP02_P2_AO_Hyst,			\
			Mod4y5y_P3_Slot5,			\
			Mod4y5y_P3_Index5,			\
			Mod4y5y_P3_Tag,				\
			Mod4y5y_P3_State,			\
			Mod4y5y_P3_ErrMode,			\
			Mod4y5y_P3_SimVal,			\
			Mod4y5y_P3_SimState_Data,	\
			Mod4y5y_P3_SimOption,		\
			Mod4y5y_P3_ErrVal,			\
			Mod4y5y_P3_ErrState_Data,	\
			Mod4y5y_P3_ErrOption,		\
			OUSP02_P3_Slot6,			\
			OUSP02_P3_Index6,			\
			OUSP02_P3_Mode,				\
			OUSP02_P3_Option_Leitung,	\
			OUSP02_P3_Option_Kanal,		\
			OUSP02_P3_ScalMb,			\
			OUSP02_P3_ScalMe,			\
			OUSP02_P3_ScalOption,		\
			OUSP02_P3_LimLow,			\
			OUSP02_P3_LimHigh,			\
			OUSP02_P3_Filter,			\
			OUSP02_P3_HartOption,		\
			OUSP02_P3_HartPraeambel, 	\
			OUSP02_P3_HartRetry,		\
			OUSP02_P3_AO_MinOut,		\
			OUSP02_P3_AO_Rmin,			\
			OUSP02_P3_AO_Rmax,			\
			OUSP02_P3_AO_Diff,			\
			OUSP02_P3_AO_Hyst,			\
			Mod4y5y_P4_Slot7,			\
			Mod4y5y_P4_Index7,			\
			Mod4y5y_P4_Tag,				\
			Mod4y5y_P4_State,			\
			Mod4y5y_P4_ErrMode,			\
			Mod4y5y_P4_SimVal,			\
			Mod4y5y_P4_SimState_Data,	\
			Mod4y5y_P4_SimOption,		\
			Mod4y5y_P4_ErrVal,			\
			Mod4y5y_P4_ErrState_Data,	\
			Mod4y5y_P4_ErrOption,		\
			OUSP02_P4_Slot8,			\
			OUSP02_P4_Index8,			\
			OUSP02_P4_Mode,				\
			OUSP02_P4_Option_Leitung,	\
			OUSP02_P4_Option_Kanal,		\
			OUSP02_P4_ScalMb,			\
			OUSP02_P4_ScalMe,			\
			OUSP02_P4_ScalOption,		\
			OUSP02_P4_LimLow,			\
			OUSP02_P4_LimHigh,			\
			OUSP02_P4_Filter,			\
			OUSP02_P4_HartOption,		\
			OUSP02_P4_HartPraeambel, 	\
			OUSP02_P4_HartRetry,		\
			OUSP02_P4_AO_MinOut,		\
			OUSP02_P4_AO_Rmin,			\
			OUSP02_P4_AO_Rmax,			\
			OUSP02_P4_AO_Diff,			\
			OUSP02_P4_AO_Hyst

#define UPLOAD_OUSP02					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			OUSP02_P1_Slot2,			\
			OUSP02_P1_Index2,			\
			OUSP02_P1_Mode,				\
			OUSP02_P1_Option_Leitung,	\
			OUSP02_P1_ScalMb,			\
			OUSP02_P1_ScalMe,			\
			OUSP02_P1_ScalOption,		\
			OUSP02_P1_LimLow,			\
			OUSP02_P1_LimHigh,			\
			OUSP02_P1_Filter,			\
			OUSP02_P1_HartOption,		\
			OUSP02_P1_HartPraeambel,	\
			OUSP02_P1_HartRetry,		\
			OUSP02_P1_AO_MinOut,		\
			OUSP02_P1_AO_Rmin,			\
			OUSP02_P1_AO_Rmax,			\
			OUSP02_P1_AO_Diff,			\
			OUSP02_P1_AO_Hyst,			\
			Mod4y5y_P2_Slot3,			\
			Mod4y5y_P2_Index3,			\
			Mod4y5y_P2_Tag,				\
			Mod4y5y_P2_State,			\
			Mod4y5y_P2_ErrMode,			\
			Mod4y5y_P2_SimVal,			\
			Mod4y5y_P2_SimState_Data,	\
			Mod4y5y_P2_SimOption,		\
			Mod4y5y_P2_ErrVal,			\
			Mod4y5y_P2_ErrState_Data,	\
			Mod4y5y_P2_ErrOption,		\
			OUSP02_P2_Slot4,			\
			OUSP02_P2_Index4,			\
			OUSP02_P2_Mode,				\
			OUSP02_P2_Option_Leitung,	\
			OUSP02_P2_ScalMb,			\
			OUSP02_P2_ScalMe,			\
			OUSP02_P2_ScalOption,		\
			OUSP02_P2_LimLow,			\
			OUSP02_P2_LimHigh,			\
			OUSP02_P2_Filter,			\
			OUSP02_P2_HartOption,		\
			OUSP02_P2_HartPraeambel, 	\
			OUSP02_P2_HartRetry,		\
			OUSP02_P2_AO_MinOut,		\
			OUSP02_P2_AO_Rmin,			\
			OUSP02_P2_AO_Rmax,			\
			OUSP02_P2_AO_Diff,			\
			OUSP02_P2_AO_Hyst,			\
			Mod4y5y_P3_Slot5,			\
			Mod4y5y_P3_Index5,			\
			Mod4y5y_P3_Tag,				\
			Mod4y5y_P3_State,			\
			Mod4y5y_P3_ErrMode,			\
			Mod4y5y_P3_SimVal,			\
			Mod4y5y_P3_SimState_Data,	\
			Mod4y5y_P3_SimOption,		\
			Mod4y5y_P3_ErrVal,			\
			Mod4y5y_P3_ErrState_Data,	\
			Mod4y5y_P3_ErrOption,		\
			OUSP02_P3_Slot6,			\
			OUSP02_P3_Index6,			\
			OUSP02_P3_Mode,				\
			OUSP02_P3_Option_Leitung,	\
			OUSP02_P3_ScalMb,			\
			OUSP02_P3_ScalMe,			\
			OUSP02_P3_ScalOption,		\
			OUSP02_P3_LimLow,			\
			OUSP02_P3_LimHigh,			\
			OUSP02_P3_Filter,			\
			OUSP02_P3_HartOption,		\
			OUSP02_P3_HartPraeambel, 	\
			OUSP02_P3_HartRetry,		\
			OUSP02_P3_AO_MinOut,		\
			OUSP02_P3_AO_Rmin,			\
			OUSP02_P3_AO_Rmax,			\
			OUSP02_P3_AO_Diff,			\
			OUSP02_P3_AO_Hyst,			\
			Mod4y5y_P4_Slot7,			\
			Mod4y5y_P4_Index7,			\
			Mod4y5y_P4_Tag,				\
			Mod4y5y_P4_State,			\
			Mod4y5y_P4_ErrMode,			\
			Mod4y5y_P4_SimVal,			\
			Mod4y5y_P4_SimState_Data,	\
			Mod4y5y_P4_SimOption,		\
			Mod4y5y_P4_ErrVal,			\
			Mod4y5y_P4_ErrState_Data,	\
			Mod4y5y_P4_ErrOption,		\
			OUSP02_P4_Slot8,			\
			OUSP02_P4_Index8,			\
			OUSP02_P4_Mode,				\
			OUSP02_P4_Option_Leitung,	\
			OUSP02_P4_ScalMb,			\
			OUSP02_P4_ScalMe,			\
			OUSP02_P4_ScalOption,		\
			OUSP02_P4_LimLow,			\
			OUSP02_P4_LimHigh,			\
			OUSP02_P4_Filter,			\
			OUSP02_P4_HartOption,		\
			OUSP02_P4_HartPraeambel, 	\
			OUSP02_P4_HartRetry,		\
			OUSP02_P4_AO_MinOut,		\
			OUSP02_P4_AO_Rmin,			\
			OUSP02_P4_AO_Rmax,			\
			OUSP02_P4_AO_Diff,			\
			OUSP02_P4_AO_Hyst


/*******************************************************************************/
/*****	Kanal1 Index2		****************************************************/
/*******************************************************************************/

COMMAND read_OUSP02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			OUSP02_P1_Slot2,
			OUSP02_P1_Index2,
			OUSP02_P1_Mode,
			OUSP02_P1_Option_Kanal			<0x8000>,
			OUSP02_P1_Option_Bit1_14		<0x7FFE>,
			OUSP02_P1_Option_Leitung		<0x0001>,
			OUSP02_P1_ScalMb,
			OUSP02_P1_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P1_ScalOption			<0x0001>,
			OUSP02_P1_LimLow,
			OUSP02_P1_LimHigh,
			OUSP02_P1_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P1_HartOption			<0x0007>,
			OUSP02_P1_HartPraeambel,
			OUSP02_P1_HartRetry,
			OUSP02_P1_AO_MinOut,
			OUSP02_P1_AO_Rmin,
			OUSP02_P1_AO_Rmax,
			OUSP02_P1_AO_Diff,
			OUSP02_P1_AO_Hyst,	
			OUSP02_P1_DUMMY2
		}
	}
}

COMMAND write_OUSP02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OUSP02_P1_Slot2,
			OUSP02_P1_Index2,
			OUSP02_P1_Mode,
//			OUSP02_P1_Option_Kanal			<0x8000>,
			OUSP02_P1_Option_Bit1_14		<0xFFFE>,
			OUSP02_P1_Option_Leitung		<0x0001>,
			OUSP02_P1_ScalMb,
			OUSP02_P1_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P1_ScalOption			<0x0001>,
			OUSP02_P1_LimLow,
			OUSP02_P1_LimHigh,
			OUSP02_P1_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P1_HartOption			<0x0007>,
			OUSP02_P1_HartPraeambel,
			OUSP02_P1_HartRetry,
			OUSP02_P1_AO_MinOut,
			OUSP02_P1_AO_Rmin,
			OUSP02_P1_AO_Rmax,
			OUSP02_P1_AO_Diff,
			OUSP02_P1_AO_Hyst,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			//OUSP02_P1_DUMMY2		//34 Byte		
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			
			0, 0										
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2 Index4		****************************************************/
/*******************************************************************************/

COMMAND read_OUSP02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			OUSP02_P2_Slot4,
			OUSP02_P2_Index4,
			OUSP02_P2_Mode,
			OUSP02_P2_Option_Kanal			<0x8000>,
			OUSP02_P2_Option_Bit1_14		<0x7FFE>,
			OUSP02_P2_Option_Leitung		<0x0001>,
			OUSP02_P2_ScalMb,
			OUSP02_P2_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P2_ScalOption			<0x0001>,
			OUSP02_P2_LimLow,
			OUSP02_P2_LimHigh,
			OUSP02_P2_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P2_HartOption			<0x0007>,
			OUSP02_P2_HartPraeambel,
			OUSP02_P2_HartRetry,
			OUSP02_P2_AO_MinOut,
			OUSP02_P2_AO_Rmin,
			OUSP02_P2_AO_Rmax,
			OUSP02_P2_AO_Diff,
			OUSP02_P2_AO_Hyst,	
			OUSP02_P2_DUMMY2
		}
	}
}

COMMAND write_OUSP02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OUSP02_P2_Slot4,
			OUSP02_P2_Index4,
			OUSP02_P2_Mode,
//			OUSP02_P2_Option_Kanal			<0x8000>,
			OUSP02_P2_Option_Bit1_14		<0xFFFE>,
			OUSP02_P2_Option_Leitung		<0x0001>,
			OUSP02_P2_ScalMb,
			OUSP02_P2_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P2_ScalOption			<0x0001>,
			OUSP02_P2_LimLow,
			OUSP02_P2_LimHigh,
			OUSP02_P2_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P2_HartOption			<0x0007>,
			OUSP02_P2_HartPraeambel,
			OUSP02_P2_HartRetry,
			OUSP02_P2_AO_MinOut,
			OUSP02_P2_AO_Rmin,
			OUSP02_P2_AO_Rmax,
			OUSP02_P2_AO_Diff,
			OUSP02_P2_AO_Hyst,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			//OUSP02_P2_DUMMY2		//34 Byte		
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			
			0, 0										
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3 Index6		****************************************************/
/*******************************************************************************/

COMMAND read_OUSP02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			OUSP02_P3_Slot6,
			OUSP02_P3_Index6,
			OUSP02_P3_Mode,
			OUSP02_P3_Option_Kanal			<0x8000>,
			OUSP02_P3_Option_Bit1_14		<0x7FFE>,
			OUSP02_P3_Option_Leitung		<0x0001>,
			OUSP02_P3_ScalMb,
			OUSP02_P3_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P3_ScalOption			<0x0001>,
			OUSP02_P3_LimLow,
			OUSP02_P3_LimHigh,
			OUSP02_P3_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P3_HartOption			<0x0007>,
			OUSP02_P3_HartPraeambel,
			OUSP02_P3_HartRetry,
			OUSP02_P3_AO_MinOut,
			OUSP02_P3_AO_Rmin,
			OUSP02_P3_AO_Rmax,
			OUSP02_P3_AO_Diff,
			OUSP02_P3_AO_Hyst,	
			OUSP02_P3_DUMMY2		//34 Byte		
		}
	}
}

COMMAND write_OUSP02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OUSP02_P3_Slot6,
			OUSP02_P3_Index6,
			OUSP02_P3_Mode,
//			OUSP02_P3_Option_Kanal			<0x8000>,
			OUSP02_P3_Option_Bit1_14		<0xFFFE>,
			OUSP02_P3_Option_Leitung		<0x0001>,
			OUSP02_P3_ScalMb,
			OUSP02_P3_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P3_ScalOption			<0x0001>,
			OUSP02_P3_LimLow,
			OUSP02_P3_LimHigh,
			OUSP02_P3_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P3_HartOption			<0x0007>,
			OUSP02_P3_HartPraeambel,
			OUSP02_P3_HartRetry,
			OUSP02_P3_AO_MinOut,
			OUSP02_P3_AO_Rmin,
			OUSP02_P3_AO_Rmax,
			OUSP02_P3_AO_Diff,
			OUSP02_P3_AO_Hyst,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			//OUSP02_P3_DUMMY2		//34 Byte		
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			
			0, 0										
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal4 Index8		****************************************************/
/*******************************************************************************/

COMMAND read_OUSP02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			OUSP02_P4_Slot8,
			OUSP02_P4_Index8,
			OUSP02_P4_Mode,
			OUSP02_P4_Option_Kanal			<0x8000>,
			OUSP02_P4_Option_Bit1_14		<0x7FFE>,
			OUSP02_P4_Option_Leitung		<0x0001>,
			OUSP02_P4_ScalMb,
			OUSP02_P4_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P4_ScalOption			<0x0001>,
			OUSP02_P4_LimLow,	
			OUSP02_P4_LimHigh,
			OUSP02_P4_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P4_HartOption			<0x0007>,
			OUSP02_P4_HartPraeambel,
			OUSP02_P4_HartRetry,
			OUSP02_P4_AO_MinOut,
			OUSP02_P4_AO_Rmin,
			OUSP02_P4_AO_Rmax,
			OUSP02_P4_AO_Diff,
			OUSP02_P4_AO_Hyst,	
			OUSP02_P4_DUMMY2		//34 Byte		
		}
	}
}

COMMAND write_OUSP02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OUSP02_P4_Slot8,
			OUSP02_P4_Index8,
			OUSP02_P4_Mode,
//			OUSP02_P4_Option_Kanal			<0x8000>,
			OUSP02_P4_Option_Bit1_14		<0xFFFE>,
			OUSP02_P4_Option_Leitung		<0x0001>,
			OUSP02_P4_ScalMb,
			OUSP02_P4_ScalMe,
			Bit1_15							<0xFFFE>,
			OUSP02_P4_ScalOption			<0x0001>,
			OUSP02_P4_LimLow,
			OUSP02_P4_LimHigh,
			OUSP02_P4_Filter,
			Bit3_15							<0xFFF8>,
			OUSP02_P4_HartOption			<0x0007>,
			OUSP02_P4_HartPraeambel,
			OUSP02_P4_HartRetry,
			OUSP02_P4_AO_MinOut,
			OUSP02_P4_AO_Rmin,
			OUSP02_P4_AO_Rmax,
			OUSP02_P4_AO_Diff,
			OUSP02_P4_AO_Hyst,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			//OUSP02_P4_DUMMY2		//34 Byte		
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			
			0, 0										
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1				****************************************************/
/*******************************************************************************/

MENU Tab_s_OUSP02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_OUSP02_ident_k1,
		Tab_s_OUSP02_output_k1
	}
}

MENU Tab_s_OUSP02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		OUSP02_P1_Option_Kanal

	}
}

MENU Tab_s_OUSP02_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State,
		Mod4y5y_P1_ErrMode,
		OUSP02_P1_Filter,
		OUSP02_P1_LimLow,
		OUSP02_P1_LimHigh,
		Tab_s_OUSP02_output_simulation_k1,
		Tab_s_OUSP02_output_ersatzwert_k1,
		Tab_s_OUSP02_output_hart_k1,
		Tab_s_OUSP02_output_skal_k1,
		Tab_s_OUSP02_output_lfd_k1,
		Tab_s_OUSP02_AO_k1_erw
	}
}

MENU Tab_s_OUSP02_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal,
		Mod4y5y_P1_SimOption,
		Mod4y5y_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_s_OUSP02_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal,
		Mod4y5y_P1_ErrOption,
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_s_OUSP02_output_hart_k1
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_HartOption,
		Tab_s_OUSP02_output_hart_kommunikation_k1
	}
}

MENU Tab_s_OUSP02_output_hart_kommunikation_k1
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_HartPraeambel,
		OUSP02_P1_HartRetry	
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P1_HartOption == 1) || (OUSP02_P1_HartOption == 3))
}

MENU Tab_s_OUSP02_output_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_ScalOption,
		OUSP02_P1_ScalMb,
		OUSP02_P1_ScalMe
	}
}

MENU Tab_s_OUSP02_output_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_Option_Leitung
	}
}

MENU Tab_s_OUSP02_AO_k1_erw
{
	LABEL		[UNIM02_AO_k1_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P1_AO_MinOut,
		Loc_OUSP02_P1_AO_MinOut,
		OUSP02_P1_AO_Rmin,
		OUSP02_P1_AO_Rmax,
		//OUSP02_P1_AO_Diff,
		Loc_OUSP02_P1_AO_Diff,
		//OUSP02_P1_AO_Hyst,
		Loc_OUSP02_P1_AO_Hyst
	}										
}



/*******************************************************************************/
/*****	Kanal2				****************************************************/
/*******************************************************************************/

MENU Tab_s_OUSP02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_OUSP02_ident_k2,
		Tab_s_OUSP02_output_k2
	}
}

MENU Tab_s_OUSP02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		OUSP02_P2_Option_Kanal
	}
}

MENU Tab_s_OUSP02_output_k2
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State,
		Mod4y5y_P2_ErrMode,
		OUSP02_P2_Filter,
		OUSP02_P2_LimLow,
		OUSP02_P2_LimHigh,
		Tab_s_OUSP02_output_simulation_k2,
		Tab_s_OUSP02_output_ersatzwert_k2,
		Tab_s_OUSP02_output_hart_k2,
		Tab_s_OUSP02_output_skal_k2,
		Tab_s_OUSP02_output_lfd_k2,
		Tab_s_OUSP02_AO_k2_erw
	}
}

MENU Tab_s_OUSP02_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal,
		Mod4y5y_P2_SimOption,
		Mod4y5y_P2_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}

MENU Tab_s_OUSP02_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal,
		Mod4y5y_P2_ErrOption,
		Mod4y5y_P2_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_s_OUSP02_output_hart_k2
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_HartOption,
		Tab_s_OUSP02_output_hart_kommunikation_k2
	}
}

MENU Tab_s_OUSP02_output_hart_kommunikation_k2
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_HartPraeambel,
		OUSP02_P2_HartRetry
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P2_HartOption == 1) || (OUSP02_P2_HartOption == 3))
}

MENU Tab_s_OUSP02_output_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_ScalOption,
		OUSP02_P2_ScalMb,
		OUSP02_P2_ScalMe
	}
}

MENU Tab_s_OUSP02_output_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_Option_Leitung
	}
}

MENU Tab_s_OUSP02_AO_k2_erw
{
	LABEL		[UNIM02_AO_k2_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P2_AO_MinOut,
		Loc_OUSP02_P2_AO_MinOut,
		OUSP02_P2_AO_Rmin,
		OUSP02_P2_AO_Rmax,
		//OUSP02_P2_AO_Diff,
		Loc_OUSP02_P2_AO_Diff,
		//OUSP02_P2_AO_Hyst,
		Loc_OUSP02_P2_AO_Hyst
	}										
}



/*******************************************************************************/
/*****	Kanal3				****************************************************/
/*******************************************************************************/

MENU Tab_s_OUSP02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_OUSP02_ident_k3,
		Tab_s_OUSP02_output_k3
	}
}

MENU Tab_s_OUSP02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		OUSP02_P3_Option_Kanal
	}
}

MENU Tab_s_OUSP02_output_k3
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State,
		Mod4y5y_P3_ErrMode,
		OUSP02_P3_Filter,
		OUSP02_P3_LimLow,
		OUSP02_P3_LimHigh,
		Tab_s_OUSP02_output_simulation_k3,
		Tab_s_OUSP02_output_ersatzwert_k3,
		Tab_s_OUSP02_output_hart_k3,
		Tab_s_OUSP02_output_skal_k3,
		Tab_s_OUSP02_output_lfd_k3,
		Tab_s_OUSP02_AO_k3_erw
	}
}

MENU Tab_s_OUSP02_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal,
		Mod4y5y_P3_SimOption,
		Mod4y5y_P3_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}

MENU Tab_s_OUSP02_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal,
		Mod4y5y_P3_ErrOption,
		Mod4y5y_P3_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_s_OUSP02_output_hart_k3
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_HartOption,
		Tab_s_OUSP02_output_hart_kommunikation_k3
	}
}

MENU Tab_s_OUSP02_output_hart_kommunikation_k3
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_HartPraeambel,
		OUSP02_P3_HartRetry
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P3_HartOption == 1) || (OUSP02_P3_HartOption == 3))
}

MENU Tab_s_OUSP02_output_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_ScalOption,
		OUSP02_P3_ScalMb,
		OUSP02_P3_ScalMe
	}
}

MENU Tab_s_OUSP02_output_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_Option_Leitung

	}
}

MENU Tab_s_OUSP02_AO_k3_erw
{
	LABEL		[UNIM02_AO_k3_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P3_AO_MinOut,
		Loc_OUSP02_P3_AO_MinOut,
		OUSP02_P3_AO_Rmin,
		OUSP02_P3_AO_Rmax,
		//OUSP02_P3_AO_Diff,
		Loc_OUSP02_P3_AO_Diff,
		//OUSP02_P3_AO_Hyst,
		Loc_OUSP02_P3_AO_Hyst
	}										
}




/*******************************************************************************/
/*****	Kanal4				****************************************************/
/*******************************************************************************/

MENU Tab_s_OUSP02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_OUSP02_ident_k4,
		Tab_s_OUSP02_output_k4
	}
}

MENU Tab_s_OUSP02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		OUSP02_P4_Option_Kanal
	}
}

MENU Tab_s_OUSP02_output_k4
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State,
		Mod4y5y_P4_ErrMode,
		OUSP02_P4_Filter,
		OUSP02_P4_LimLow,
		OUSP02_P4_LimHigh,
		Tab_s_OUSP02_output_simulation_k4,
		Tab_s_OUSP02_output_ersatzwert_k4,
		Tab_s_OUSP02_output_hart_k4,
		Tab_s_OUSP02_output_skal_k4,
		Tab_s_OUSP02_output_lfd_k4,
		Tab_s_OUSP02_AO_k4_erw
	}
}

MENU Tab_s_OUSP02_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal,
		Mod4y5y_P4_SimOption,
		Mod4y5y_P4_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}

MENU Tab_s_OUSP02_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal,
		Mod4y5y_P4_ErrOption,
		Mod4y5y_P4_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_s_OUSP02_output_hart_k4
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_HartOption,
		Tab_s_OUSP02_output_hart_kommunikation_k4
	}
}

MENU Tab_s_OUSP02_output_hart_kommunikation_k4
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_HartPraeambel,
		OUSP02_P4_HartRetry
	}
	VALIDITY	VALID_IF_TRUE (OUSP02_P4_HartOption == 1)
}

MENU Tab_s_OUSP02_output_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_ScalOption,
		OUSP02_P4_ScalMb,
		OUSP02_P4_ScalMe
	}
}

MENU Tab_s_OUSP02_output_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_Option_Leitung

	}
}

MENU Tab_s_OUSP02_AO_k4_erw
{
	LABEL		[UNIM02_AO_k4_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P4_AO_MinOut,
		Loc_OUSP02_P4_AO_MinOut,
		OUSP02_P4_AO_Rmin,
		OUSP02_P4_AO_Rmax,
		//OUSP02_P4_AO_Diff,
		Loc_OUSP02_P4_AO_Diff,
		//OUSP02_P4_AO_Hyst,
		Loc_OUSP02_P4_AO_Hyst
	}										
}



/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1				****************************************************/
/*******************************************************************************/

MENU Tab_m_OUSP02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_OUSP02_ident_k1,
		Tab_m_OUSP02_output_k1
	}
}

MENU Tab_m_OUSP02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		OUSP02_P1_Option_Kanal
	}
}

MENU Tab_m_OUSP02_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State						(READ_ONLY),
		Mod4y5y_P1_ErrMode						(READ_ONLY),
		OUSP02_P1_Filter						(READ_ONLY),
		OUSP02_P1_LimLow						(READ_ONLY),
		OUSP02_P1_LimHigh						(READ_ONLY),
		Tab_m_OUSP02_output_simulation_k1,
		Tab_m_OUSP02_output_ersatzwert_k1,
		Tab_m_OUSP02_output_hart_k1,
		Tab_m_OUSP02_output_skal_k1,
		Tab_m_OUSP02_output_lfd_k1,
		Tab_m_OUSP02_AO_k1_erw
	}
}

MENU Tab_m_OUSP02_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal					(READ_ONLY),
		Mod4y5y_P1_SimOption					(READ_ONLY),
		Mod4y5y_P1_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_m_OUSP02_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal					(READ_ONLY),
		Mod4y5y_P1_ErrOption					(READ_ONLY),
		Mod4y5y_P1_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_m_OUSP02_output_hart_k1
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_HartOption					(READ_ONLY),
		Tab_m_OUSP02_output_hart_kommunikation_k1
	}
}

MENU Tab_m_OUSP02_output_hart_kommunikation_k1
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_HartPraeambel					(READ_ONLY),
		OUSP02_P1_HartRetry						(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P1_HartOption == 1) || (OUSP02_P1_HartOption == 3))
}

MENU Tab_m_OUSP02_output_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_ScalOption					(READ_ONLY),
		OUSP02_P1_ScalMb						(READ_ONLY),
		OUSP02_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_output_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P1_Option_Leitung				(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_AO_k1_erw
{
	LABEL		[UNIM02_AO_k1_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P1_AO_MinOut						(READ_ONLY),
		Loc_OUSP02_P1_AO_MinOut					(READ_ONLY),
		OUSP02_P1_AO_Rmin						(READ_ONLY),
		OUSP02_P1_AO_Rmax						(READ_ONLY),
		//OUSP02_P1_AO_Diff						(READ_ONLY),
		Loc_OUSP02_P1_AO_Diff					(READ_ONLY),
		//OUSP02_P1_AO_Hyst						(READ_ONLY),
		Loc_OUSP02_P1_AO_Hyst					(READ_ONLY)
	}										
}


/*******************************************************************************/
/*****	Kanal2				****************************************************/
/*******************************************************************************/

MENU Tab_m_OUSP02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_OUSP02_ident_k2,
		Tab_m_OUSP02_output_k2
	}
}

MENU Tab_m_OUSP02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		OUSP02_P2_Option_Kanal
	}
}

MENU Tab_m_OUSP02_output_k2
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State					(READ_ONLY),
		Mod4y5y_P2_ErrMode					(READ_ONLY),
		OUSP02_P2_Filter					(READ_ONLY),
		OUSP02_P2_LimLow					(READ_ONLY),
		OUSP02_P2_LimHigh					(READ_ONLY),
		Tab_m_OUSP02_output_simulation_k2,
		Tab_m_OUSP02_output_ersatzwert_k2,
		Tab_m_OUSP02_output_hart_k2,
		Tab_m_OUSP02_output_skal_k2,
		Tab_m_OUSP02_output_lfd_k2,
		Tab_m_OUSP02_AO_k2_erw
	}
}

MENU Tab_m_OUSP02_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal				(READ_ONLY),
		Mod4y5y_P2_SimOption,
		Mod4y5y_P2_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}

MENU Tab_m_OUSP02_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal				(READ_ONLY),
		Mod4y5y_P2_ErrOption				(READ_ONLY),
		Mod4y5y_P2_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_m_OUSP02_output_hart_k2
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_HartOption				(READ_ONLY),
		Tab_m_OUSP02_output_hart_kommunikation_k2
	}
}

MENU Tab_m_OUSP02_output_hart_kommunikation_k2
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_HartPraeambel				(READ_ONLY),
		OUSP02_P2_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P2_HartOption == 1) || (OUSP02_P2_HartOption == 3))
}

MENU Tab_m_OUSP02_output_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_ScalOption				(READ_ONLY),
		OUSP02_P2_ScalMb					(READ_ONLY),
		OUSP02_P2_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_output_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P2_Option_Leitung			(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_AO_k2_erw
{
	LABEL		[UNIM02_AO_k2_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P2_AO_MinOut					(READ_ONLY),
		Loc_OUSP02_P2_AO_MinOut				(READ_ONLY),
		OUSP02_P2_AO_Rmin					(READ_ONLY),
		OUSP02_P2_AO_Rmax					(READ_ONLY),
		//OUSP02_P2_AO_Diff					(READ_ONLY),
		Loc_OUSP02_P2_AO_Diff				(READ_ONLY),
		//OUSP02_P2_AO_Hyst					(READ_ONLY),
		Loc_OUSP02_P2_AO_Hyst				(READ_ONLY)
	}										
}



/*******************************************************************************/
/*****	Kanal3				****************************************************/
/*******************************************************************************/

MENU Tab_m_OUSP02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_OUSP02_ident_k3,
		Tab_m_OUSP02_output_k3
	}
}

MENU Tab_m_OUSP02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		OUSP02_P3_Option_Kanal
	}
}

MENU Tab_m_OUSP02_output_k3
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State					(READ_ONLY),
		Mod4y5y_P3_ErrMode					(READ_ONLY),
		OUSP02_P3_Filter					(READ_ONLY),
		OUSP02_P3_LimLow					(READ_ONLY),
		OUSP02_P3_LimHigh					(READ_ONLY),
		Tab_m_OUSP02_output_simulation_k3,
		Tab_m_OUSP02_output_ersatzwert_k3,
		Tab_m_OUSP02_output_hart_k3,
		Tab_m_OUSP02_output_skal_k3,
		Tab_m_OUSP02_output_lfd_k3,
		Tab_m_OUSP02_AO_k3_erw
	}
}

MENU Tab_m_OUSP02_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal				(READ_ONLY),
		Mod4y5y_P3_SimOption				(READ_ONLY),
		Mod4y5y_P3_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}

MENU Tab_m_OUSP02_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal				(READ_ONLY),
		Mod4y5y_P3_ErrOption				(READ_ONLY),
		Mod4y5y_P3_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_m_OUSP02_output_hart_k3
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_HartOption				(READ_ONLY),
		Tab_m_OUSP02_output_hart_kommunikation_k3
	}
}

MENU Tab_m_OUSP02_output_hart_kommunikation_k3
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_HartPraeambel				(READ_ONLY),
		OUSP02_P3_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P3_HartOption == 1) || (OUSP02_P3_HartOption == 3))
}

MENU Tab_m_OUSP02_output_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_ScalOption				(READ_ONLY),
		OUSP02_P3_ScalMb					(READ_ONLY),
		OUSP02_P3_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_output_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P3_Option_Leitung			(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_AO_k3_erw
{
	LABEL		[UNIM02_AO_k3_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P3_AO_MinOut						(READ_ONLY),
		Loc_OUSP02_P3_AO_MinOut					(READ_ONLY),
		OUSP02_P3_AO_Rmin						(READ_ONLY),
		OUSP02_P3_AO_Rmax						(READ_ONLY),
		//OUSP02_P3_AO_Diff						(READ_ONLY),
		Loc_OUSP02_P3_AO_Diff					(READ_ONLY),
		//OUSP02_P3_AO_Hyst						(READ_ONLY),
		Loc_OUSP02_P3_AO_Hyst					(READ_ONLY)
	}										
}



/*******************************************************************************/
/*****	Kanal4				****************************************************/
/*******************************************************************************/

MENU Tab_m_OUSP02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_OUSP02_ident_k4,
		Tab_m_OUSP02_output_k4
	}
}

MENU Tab_m_OUSP02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		OUSP02_P4_Option_Kanal
	}
}

MENU Tab_m_OUSP02_output_k4
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State					(READ_ONLY),
		Mod4y5y_P4_ErrMode					(READ_ONLY),
		OUSP02_P4_Filter					(READ_ONLY),
		OUSP02_P4_LimLow					(READ_ONLY),
		OUSP02_P4_LimHigh					(READ_ONLY),
		Tab_m_OUSP02_output_simulation_k4,
		Tab_m_OUSP02_output_ersatzwert_k4,
		Tab_m_OUSP02_output_hart_k4,
		Tab_m_OUSP02_output_skal_k4,
		Tab_m_OUSP02_output_lfd_k4,
		Tab_m_OUSP02_AO_k4_erw
	}
}

MENU Tab_m_OUSP02_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal				(READ_ONLY),
		Mod4y5y_P4_SimOption				(READ_ONLY),
		Mod4y5y_P4_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}

MENU Tab_m_OUSP02_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal				(READ_ONLY),
		Mod4y5y_P4_ErrOption				(READ_ONLY),
		Mod4y5y_P4_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_m_OUSP02_output_hart_k4
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_HartOption				(READ_ONLY),
		Tab_m_OUSP02_output_hart_kommunikation_k4
	}
}

MENU Tab_m_OUSP02_output_hart_kommunikation_k4
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_HartPraeambel				(READ_ONLY),
		OUSP02_P4_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((OUSP02_P4_HartOption == 1) || (OUSP02_P4_HartOption == 3))
}

MENU Tab_m_OUSP02_output_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_ScalOption				(READ_ONLY),
		OUSP02_P4_ScalMb					(READ_ONLY),
		OUSP02_P4_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_output_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP02_P4_Option_Leitung			(READ_ONLY)
	}
}

MENU Tab_m_OUSP02_AO_k4_erw
{
	LABEL		[UNIM02_AO_k4_erw];
	ACCESS		OFFLINE;
	ITEMS
	{
		//OUSP02_P4_AO_MinOut					(READ_ONLY),
		Loc_OUSP02_P4_AO_MinOut				(READ_ONLY),
		OUSP02_P4_AO_Rmin					(READ_ONLY),
		OUSP02_P4_AO_Rmax					(READ_ONLY),
		//OUSP02_P4_AO_Diff					(READ_ONLY),
		Loc_OUSP02_P4_AO_Diff				(READ_ONLY),
		//OUSP02_P4_AO_Hyst					(READ_ONLY),
		Loc_OUSP02_P4_AO_Hyst				(READ_ONLY)
	}										
}

