/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product         : SIMATIC PDM                         */
/*                                                          */
/*    Device:         : P&F LB/FB-REMOTE IO                 */
/*    Description:    : INCLUDE P&F PARAMETER               */
/*                                                          */
/*    Dictionary:     : PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision         : 1.27                   $            */
/*  $Date             : Freitag, 19. Juli 2002 $            */
/*----------------------------------------------------------*/

#define NULL    0


VARIABLE    DoHCIR
{	
	LABEL "DoHCIR";
	CLASS	LOCAL;

    TYPE    UNSIGNED_INTEGER(1)
    {
		DEFAULT_VALUE 0;
	}

}

/*******************************************************************************/
/*****  Methoden    ************************************************************/
/*******************************************************************************/
METHOD method_set_type_class
{
    DEFINITION
    {
        //int type;
        
        //type = P0_Type;
        //type = type / 0x1000;
        //Loc_P0_Type_Klasse = type;
		if ((P0_Type == 0xA003)||(P0_Type == 0xA103)||(P0_Type == 0xA203)||(P0_Type == 0xA004)||(P0_Type == 0xA104)||(P0_Type == 0xA204))
		{
			Loc_P0_Type_Klasse = 2;
		}
		else
		{
			if ((P0_Type == 0xA001)||(P0_Type == 0xA101)||(P0_Type == 0xA201)||(P0_Type == 0xA002)||(P0_Type == 0xA102)||(P0_Type == 0xA202))
			{
				Loc_P0_Type_Klasse = 6;
			}
			else
			{
				Loc_P0_Type_Klasse = P0_Type / 0x1000;
			}
		}
	}
}

METHOD method_set_statio_ex
{
    DEFINITION
    {
        int type;
        int station;
        int ergebnis1;
        int ergebnis2;

        type = P0_Type;
        ergebnis1 = type / 0x100;

        if (type == 0)
        {
            Loc_P0_Station_Ex = type;
        }
        else
        {
            if (ergebnis1 == 0x61)
            {
                Loc_P0_Station_Ex = 1;
            }
            else
            {                                           
                ergebnis2           = type / 0x1000;
                type                = ergebnis2 * 0x10;
                station             = ergebnis1 - type + 1;
                Loc_P0_Station_Ex   = station;
            }
        }
    }
}

METHOD method_PRE_WRITE_ACTIONS_P0_Type
{
    DEFINITION
    {
        P0_Type = P0_Type_loc;
		if (P0_Type == 0xA003)
		{
			P0_Type = 0x2016;
		}
		if (P0_Type == 0xA103)
		{
			P0_Type = 0x2116;
		}
		if (P0_Type == 0xA004)
		{
			P0_Type = 0x2017;
		}
		if (P0_Type == 0xA104)
		{
			P0_Type = 0x2117;
		}
		if (P0_Type == 0xA203)
		{
			P0_Type = 0x2216;
		}
		if (P0_Type == 0xA204)
		{
			P0_Type = 0x2217;
		}
		if (P0_Type == 0xA001)
		{
			P0_Type = 0x6016;
		}
		if (P0_Type == 0xA101)
		{
			P0_Type = 0x6116;
		}
		if (P0_Type == 0xA102)
		{
			P0_Type = 0x6117;
		}
		if (P0_Type == 0xA002)
		{
			P0_Type = 0x6017;
		}
		if (P0_Type == 0xA201)
		{
			P0_Type = 0x6216;
		}
		if (P0_Type == 0xA202)
		{
			P0_Type = 0x6217;
		}
	}
}

METHOD method_POST_READ_ACTIONS_P0_Type
{
    DEFINITION
    {
        P0_Type_loc = P0_Type;
		if (P0_Type_loc == 0x2016)
		{
			P0_Type_loc = 0xA003;
		}
		if (P0_Type_loc == 0x2116)
		{
			P0_Type_loc = 0xA103;
		}
		if (P0_Type_loc == 0x2017)
		{
			P0_Type_loc = 0xA004;
		}
		if (P0_Type_loc == 0x2117)
		{
			P0_Type_loc = 0xA104;
		}
		if (P0_Type_loc == 0x2216)
		{
			P0_Type_loc = 0xA203;
		}
		if (P0_Type_loc == 0x2217)
		{
			P0_Type_loc = 0xA204;
		}
		if (P0_Type_loc == 0x6016)
		{
			P0_Type_loc = 0xA001;
		}
		if (P0_Type_loc == 0x6116)
		{
			P0_Type_loc = 0xA101;
		}
		if (P0_Type_loc == 0x6117)
		{
			P0_Type_loc = 0xA102;
		}
		if (P0_Type_loc == 0x6017)
		{
			P0_Type_loc = 0xA002;
		}
		if (P0_Type_loc == 0x6216)
		{
			P0_Type_loc = 0xA201;
		}
		if (P0_Type_loc == 0x6217)
		{
			P0_Type_loc = 0xA202;
		}
	}
}

METHOD method_init_P0_Tag
{
    DEFINITION
    {
        if (P0_Tag == "")
        {
            if (Loc_P0_Slot0 < 10)
            {
                P0_Tag = [device_name_module] + " " + itoa(Loc_P0_Slot0);
            }
            else 
            {
                P0_Tag = [device_name_module] + itoa(Loc_P0_Slot0);
            }
        }
    }
}

METHOD  method_set_channel_sector
{
    DEFINITION
    {
        switch (P0_Type)
        {
            case MODUL_LEER:
                P0_Channel  = 0;
                P0_Sector   = 1;
				P0_Size		= 1;
                break;
            case MODUL_1001:
            case MODUL_1101:
            case MODUL_1201:
            case MODUL_1301:
                P0_Channel  = 2;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_1002:
            case MODUL_1102:
            case MODUL_1202:
            case MODUL_1302:
                P0_Channel  = 3;
                P0_Sector   = 4;
				P0_Size		= 1;
                break;
            case MODUL_1003:
            case MODUL_1103:
            case MODUL_1203:
            case MODUL_1303:
                P0_Channel  = 1;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_1007:
                P0_Channel  = 7;
                P0_Sector   = 8;
				P0_Size		= 1;
                break;
            case MODUL_1014:
            case MODUL_1015:
                P0_Channel  = 15;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_1008:
            case MODUL_1108:
            case MODUL_1208:
            case MODUL_1308:
                P0_Channel  = 8;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_1009:
            case MODUL_1109:
            case MODUL_1209:
//            case MODUL_1309:
                P0_Channel  = 8;
                P0_Sector   = 9;
				P0_Size		= 1;
                break;
            case MODUL_2101:
            case MODUL_2201:
            case MODUL_2002:
            case MODUL_2102:
            case MODUL_2202:
            case MODUL_2103:
            case MODUL_2203:
            case MODUL_2104:
            case MODUL_2204:
            case MODUL_2105:
            case MODUL_2205:
            case MODUL_2106:
            case MODUL_2206:
            case MODUL_2107:
            case MODUL_2207:
            case MODUL_2108:
            case MODUL_2208:
            case MODUL_2109:
            case MODUL_2209:
            case MODUL_2110:
            case MODUL_2210:
            case MODUL_2111:
            case MODUL_2211:
            case MODUL_2112:
            case MODUL_2212:
            case MODUL_2113:
            case MODUL_2213:
            case MODUL_2016:
            case MODUL_2116:
            case MODUL_2216:
            case MODUL_2017:
            case MODUL_2117:
            case MODUL_2217:
            case MODUL_2016_2:
            case MODUL_2116_2:
            case MODUL_2216_2:
            case MODUL_2017_2:
            case MODUL_2117_2:
            case MODUL_2217_2:
                P0_Channel  = 3;
                P0_Sector   = 4;
				P0_Size		= 1;
                break;
            case MODUL_3101:
            case MODUL_3201:
            case MODUL_3002:
            case MODUL_3102:
            case MODUL_3202:
            case MODUL_3302:
            case MODUL_3103:
            case MODUL_3203:
                P0_Channel  = 1;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_3104:
			case MODUL_3204:
            case MODUL_3005:
            case MODUL_3105:
            case MODUL_3205:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_3006:
            case MODUL_3106:
            case MODUL_3206:
            case MODUL_3305:
            case MODUL_3007:
            case MODUL_3107:
            case MODUL_3207:
            case MODUL_3307:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 1;
                break;
            case MODUL_4101:
            case MODUL_4201:
            case MODUL_4002:
            case MODUL_4102:
            case MODUL_4202:
            case MODUL_4302:
                P0_Channel  = 1;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_4104:
			case MODUL_4204:
            case MODUL_4005:
            case MODUL_4105:
            case MODUL_4205:
            case MODUL_4305:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_4006:
            case MODUL_4106:
            case MODUL_4206:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 1;
                break;
            case MODUL_5001:
            case MODUL_5101:
            case MODUL_5201:
            case MODUL_5002:
            case MODUL_5102:
            case MODUL_5202:
                P0_Channel  = 1;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_5004:
            case MODUL_5104:
            case MODUL_5204:
            case MODUL_5005:
            case MODUL_5105:
            case MODUL_5205:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_5006:
            case MODUL_5106:
            case MODUL_5206:
                P0_Channel  = 1;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_6101:
            case MODUL_6102:
            case MODUL_6202:
            case MODUL_6301:
            case MODUL_6016:
            case MODUL_6116:
            case MODUL_6017:
            case MODUL_6117:
            case MODUL_6216:
            case MODUL_6217:
            case MODUL_6016_2:
            case MODUL_6116_2:
            case MODUL_6017_2:
            case MODUL_6117_2:
            case MODUL_6216_2:
            case MODUL_6217_2:
                P0_Channel  = 2;
                P0_Sector   = 3;
				P0_Size		= 1;
                break;
            case MODUL_6005:
            case MODUL_6305:
                P0_Channel  = 4;
                P0_Sector   = 5;
				P0_Size		= 2;
                break;
            case MODUL_6006:
            case MODUL_6306:
            case MODUL_6008:
            case MODUL_6108:
            case MODUL_6208:
            case MODUL_6308:
                P0_Channel  = 8;
                P0_Sector   = 9;
				P0_Size		= 2;
                break;
            case MODUL_6010:
            case MODUL_6110:
            case MODUL_6210:
            case MODUL_6111:
            case MODUL_6211:
            case MODUL_6112:
            case MODUL_6212:
            case MODUL_6113:
            case MODUL_6213:
            case MODUL_6114:
            case MODUL_6214:
            case MODUL_6115:
            case MODUL_6215:
                P0_Channel  = 4;
                P0_Sector   = 5;
				P0_Size		= 2;
                break;
            case MODUL_7004:
            case MODUL_7104:
            case MODUL_7204:
            case MODUL_7304:
                P0_Channel  = 4;
                P0_Sector   = 9;
				P0_Size		= 1;
                break;
        }
    }
}
		// fbi 25.11.2005 definiert in *.dfv und wieder raus 21.12.2005
/*******************************************************************************/
/*****  Variable P0_Type    ****************************************************/
/*******************************************************************************/
VARIABLE    module_type_selector
{
    LABEL       "";
    TYPE        UNSIGNED_INTEGER(2);
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
}

VARIABLE var_type_OBJECT_REFERENCE
{
    LABEL       "OBJECT_REFERENCE";
    CLASS       LOCAL;
    TYPE        OBJECT_REFERENCE
    {
        DEFAULT_REFERENCE   SELF;
    }
    HANDLING    READ & WRITE;
}



METHOD      set_module_P0_type
{
    LABEL       "";
    DEFINITION
    {
	//	ACKNOWLEDGE("vor set");
		P0_Type = P0_Type_loc;
	//	ACKNOWLEDGE("nach set");
		save_values();
	}

}

METHOD      set_module_type_selector
{
    LABEL       "";
    DEFINITION
    {
        var_type_OBJECT_REFERENCE = ObjectReference(SELF);
        
        if(var_type_OBJECT_REFERENCE != NULL)
        {
            if ((var_type_OBJECT_REFERENCE -> ObjectReference(PARENT)) != NULL)
            {
                var_type_OBJECT_REFERENCE = var_type_OBJECT_REFERENCE -> ObjectReference(PARENT);
                
                module_type_selector = var_type_OBJECT_REFERENCE -> P0_BK_Type;
            }
        }
    }
}

VARIABLE    P0_Type
{
    LABEL       [P0_Type];
    HELP        [P0_Type_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE MODUL_LEER;
        { MODUL_LEER,       "---"                   }
        IF ((module_type_selector == 0x8105) || (module_type_selector == 0x8109))
//        IF ((Loc_P0_Station_Ex == 0) || (Loc_P0_Station_Ex == 1) || (Loc_P0_Station_Ex == 2))
            {                                                   
                { MODUL_1001,   [schaltver_2Kanal_1001]     },  
                { MODUL_1101,   [schaltver_2Kanal_1101]     },  
                { MODUL_1002,   [schaltver_3Kanal_1002]     },  
                { MODUL_1102,   [schaltver_3Kanal_1102]     },  
                { MODUL_1003,   [schaltver_1K_freq_imp_1003]},  
                { MODUL_1103,   [schaltver_1K_freq_imp_1103]}, 
                { MODUL_1007,   [schaltver_7Kanal_1007]     },  
                { MODUL_1008,   [schaltver_8Kanal_1008]     },  
                { MODUL_1108,   [schaltver_8Kanal_1108]     },  
                { MODUL_1009,   [schaltver_8Kanal_1009]     },  
                { MODUL_1109,   [schaltver_8Kanal_1109]     },  
                { MODUL_1014,   [schaltver_15Kanal_1014]     },  
                { MODUL_1015,   [schaltver_15Kanal_1015]     },  
                { MODUL_2002,   [ventiltreiber_2002]        },  
                { MODUL_2101,   [ventiltreiber_2101]        },  
                { MODUL_2102,   [ventiltreiber_2102]        },  
                { MODUL_2103,   [ventiltreiber_2103]        },  
                { MODUL_2104,   [ventiltreiber_2104]        },  
                { MODUL_2105,   [ventiltreiber_2105]        },  
                { MODUL_2106,   [ventiltreiber_2106]        },  
                { MODUL_2107,   [ventiltreiber_2107]        },  
                { MODUL_2108,   [ventiltreiber_2108]        },  
                { MODUL_2109,   [ventiltreiber_2109]        },  
                { MODUL_2110,   [ventiltreiber_2110]        },  
                { MODUL_2111,   [ventiltreiber_2111]        },  
                { MODUL_2112,   [ventiltreiber_2112]        },  
                { MODUL_2113,   [ventiltreiber_2113]        },  
                { MODUL_2016,   [ventiltreiber_2016]        },  
                { MODUL_2116,   [ventiltreiber_2116]        },  
                { MODUL_2017,   [ventiltreiber_2017]        },  
                { MODUL_2117,   [ventiltreiber_2117]        },  
                { MODUL_2116_2,   [ventiltreiber_2116]        },  
                { MODUL_2017_2,   [ventiltreiber_2017]        },  
                { MODUL_2117_2,   [ventiltreiber_2117]        },  
                { MODUL_3101,   [transmitter_speise_3101]   },  
                { MODUL_3002,   [transmitter_speise_3002]   },  
                { MODUL_3102,   [transmitter_speise_3102]   },  
                { MODUL_3103,   [transmitter_speise_3103]   },  
                { MODUL_3104,   [transmitter_speise_3104]   },  
                { MODUL_3005,   [transmitter_speise_3005]   },  
                { MODUL_3105,   [transmitter_speise_3105]   },  
                { MODUL_3006,   [transmitter_speise_3006]   },  
                { MODUL_3106,   [transmitter_speise_3106]   },  
                { MODUL_3007,   [transmitter_speise_3007]   },  
                { MODUL_3107,   [transmitter_speise_3107]   },  
                { MODUL_4101,   [ausgangstrenner_4101]      },  
                { MODUL_4002,   [ausgangstrenner_4002]      },  
                { MODUL_4102,   [ausgangstrenner_4102]      },  
                { MODUL_4104,   [ausgangstrenner_4104]      },  
                { MODUL_4005,   [ausgangstrenner_4005]      },  
                { MODUL_4105,   [ausgangstrenner_4105]      },  
                { MODUL_4006,   [ausgangstrenner_4006]      },  
                { MODUL_4106,   [ausgangstrenner_4106]      },  
                { MODUL_5001,   [pt100_messumformer_5001]   },  
                { MODUL_5101,   [pt100_messumformer_5101]   },  
                { MODUL_5002,   [thermoelement_umfor_5002]  },  
                { MODUL_5102,   [thermoelement_umfor_5102]  },  
                { MODUL_5004,   [pt100_messumformer_5004]   },  
                { MODUL_5104,   [pt100_messumformer_5104]   },  
                { MODUL_5005,   [thermoelement_umfor_5005]  },  
                { MODUL_5105,   [thermoelement_umfor_5105]  },  
                { MODUL_5006,   [spannungseingang_5006]     },  
                { MODUL_5106,   [spannungseingang_5106]     },  
                { MODUL_6101,   [bin_ausgabe_6101]			},   
                { MODUL_6102,   [bin_ausgabe_6102]			},   
                { MODUL_6005,   [bin_ausgabe_4kanal_6005]	},   
                { MODUL_6006,   [bin_ausgabe_8kanal_6006]	},   
                { MODUL_6008,   [bin_ausgabe_6008]		    },   
                { MODUL_6108,   [bin_ausgabe_6108]			},
                { MODUL_6010,   [bin_ausgabe_4kanal_6010]	},   
                { MODUL_6110,   [bin_ausgabe_4kanal_6110]	},   
                { MODUL_6111,   [bin_ausgabe_4kanal_6111]	},   
                { MODUL_6112,   [bin_ausgabe_4kanal_6112]	},   
                { MODUL_6113,   [bin_ausgabe_4kanal_6113]	},
                { MODUL_6114,   [bin_ausgabe_4kanal_6114]	},
                { MODUL_6115,   [bin_ausgabe_4kanal_6115]	},
                { MODUL_6016,   [bin_ausgabe_2kanal_6016]	},
                { MODUL_6116,   [bin_ausgabe_2kanal_6116]	},
                { MODUL_6017,   [bin_ausgabe_2kanal_6017]	},
                { MODUL_6117,   [bin_ausgabe_2kanal_6117]	},
                { MODUL_6016_2,   [bin_ausgabe_2kanal_6016]	},
                { MODUL_6116_2,   [bin_ausgabe_2kanal_6116]	},
                { MODUL_6017_2,   [bin_ausgabe_2kanal_6017]	},
                { MODUL_6117_2,   [bin_ausgabe_2kanal_6117]	},
                { MODUL_7004,   [universal_modul_7004]		},
                { MODUL_7104,   [universal_modul_7104]		}
            }                                           
        
        IF ((module_type_selector == 0x8205) || (module_type_selector == 0x8209))
//        IF ((Loc_P0_Station_Ex == 0) || (Loc_P0_Station_Ex == 3) || (Loc_P0_Station_Ex == 4))
            {                                                   
                { MODUL_1201,   [schaltver_2Kanal_1201]     },
                { MODUL_1301,   [schaltver_2Kanal_1301]     },
                { MODUL_1202,   [schaltver_3Kanal_1202]     },
                { MODUL_1302,   [schaltver_3Kanal_1302]     },
                { MODUL_1203,   [schaltver_1K_freq_imp_1203]},
                { MODUL_1303,   [schaltver_1K_freq_imp_1303]},
                { MODUL_1208,   [schaltver_8Kanal_1208]     },
                { MODUL_1308,   [schaltver_8Kanal_1308]     },
                { MODUL_1209,   [schaltver_8Kanal_1209]     },
                { MODUL_2201,   [ventiltreiber_2201]        },
                { MODUL_2202,   [ventiltreiber_2202]        },
                { MODUL_2203,   [ventiltreiber_2203]        },
                { MODUL_2204,   [ventiltreiber_2204]        },
                { MODUL_2205,   [ventiltreiber_2205]        },
                { MODUL_2206,   [ventiltreiber_2206]        },
                { MODUL_2207,   [ventiltreiber_2207]        },
                { MODUL_2208,   [ventiltreiber_2208]        },
                { MODUL_2209,   [ventiltreiber_2209]        },
                { MODUL_2210,   [ventiltreiber_2210]        },
                { MODUL_2211,   [ventiltreiber_2211]        },
                { MODUL_2212,   [ventiltreiber_2212]        },
                { MODUL_2213,   [ventiltreiber_2213]        },
                { MODUL_2216,   [ventiltreiber_2216]        },
                { MODUL_2217,   [ventiltreiber_2217]        },
                { MODUL_2216_2,   [ventiltreiber_2216]        },
                { MODUL_2217_2,   [ventiltreiber_2217]        },
                { MODUL_3201,   [transmitter_speise_3201]   },
                { MODUL_3202,   [transmitter_speise_3202]   },
                { MODUL_3302,   [transmitter_speise_3302]   },
                { MODUL_3203,   [transmitter_speise_3203]   },
                { MODUL_3204,   [transmitter_speise_3204]   },
                { MODUL_3205,   [transmitter_speise_3205]   },
                { MODUL_3206,   [transmitter_speise_3206]   },
                { MODUL_3305,   [transmitter_speise_3305]   },
                { MODUL_3207,   [transmitter_speise_3207]   },
                { MODUL_3307,   [transmitter_speise_3307]   },
                { MODUL_4201,   [ausgangstrenner_4201]      },
                { MODUL_4202,   [ausgangstrenner_4202]      },
                { MODUL_4204,   [ausgangstrenner_4204]      },
                { MODUL_4205,   [ausgangstrenner_4205]      },
                { MODUL_4206,   [ausgangstrenner_4206]      },
                { MODUL_4305,   [ausgangstrenner_4305]      },
                { MODUL_4302,   [ausgangstrenner_4302]      },
                { MODUL_5201,   [pt100_messumformer_5201]   },
                { MODUL_5202,   [thermoelement_umfor_5202]  },
                { MODUL_5204,   [pt100_messumformer_5204]   },
                { MODUL_5205,   [thermoelement_umfor_5205]  },
                { MODUL_5206,   [spannungseingang_5206]     },
                { MODUL_6202,   [bin_ausgabe_6202]			},
                { MODUL_6301,   [bin_ausgabe_6301]			},
                { MODUL_6305,   [bin_ausgabe_4kanal_6305]	},
                { MODUL_6306,   [bin_ausgabe_8kanal_6306]	},
                { MODUL_6208,   [bin_ausgabe_6208]			},
                { MODUL_6308,   [bin_ausgabe_6308]			},
                { MODUL_6210,   [bin_ausgabe_4kanal_6210]	},
                { MODUL_6211,   [bin_ausgabe_4kanal_6211]	},
                { MODUL_6212,   [bin_ausgabe_4kanal_6212]	},
                { MODUL_6213,   [bin_ausgabe_4kanal_6213]	},
                { MODUL_6214,   [bin_ausgabe_4kanal_6214]	},
                { MODUL_6215,   [bin_ausgabe_4kanal_6215]	},
                { MODUL_6216,   [bin_ausgabe_2kanal_6216]	},
                { MODUL_6217,   [bin_ausgabe_2kanal_6217]	},
                { MODUL_6216_2,   [bin_ausgabe_2kanal_6216]	},
                { MODUL_6217_2,   [bin_ausgabe_2kanal_6217]	},
                { MODUL_7204,   [universal_modul_7204]		},
                { MODUL_7304,   [universal_modul_7304]		}
            }
    }
    CLASS       CONTAINED;
    PRE_EDIT_ACTIONS
    {
        set_module_type_selector,
        method_set_channel_sector,
        method_set_type_class,
        method_set_statio_ex
    }
    POST_EDIT_ACTIONS
    {
        method_set_channel_sector,
        method_set_type_class,
        method_set_statio_ex
    }
    PRE_WRITE_ACTIONS
    {
		method_PRE_WRITE_ACTIONS_P0_Type
    }
    POST_READ_ACTIONS
    {
		method_POST_READ_ACTIONS_P0_Type
    }
    HANDLING    READ & WRITE;
}

VARIABLE    Loc_P0_Type_Klasse
{
    LABEL       [P0_Type_Klasse];
    HELP        [P0_Type_Klasse_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        { 0,    [unbenutzter_steckplatz]    },
        { 1,    [bin_eingaenge]             },
        { 2,    [ventiltreiber]             },
        { 3,    [transmitter_speisegeraete] },
        { 4,    [ausgangstrenner]           },
        { 5,    [temp_messumformer]         },
        { 6,    [bin_ausgabe]				},
        { 7,    [uni_ein_ausgabe]			}//,
//        { 10,    [ventiltreiber]			}
    }
    CLASS       LOCAL;
    PRE_EDIT_ACTIONS
    {
        method_set_type_class
    }
    HANDLING    READ;
}

VARIABLE    Loc_P0_Station_Ex
{
    LABEL       [P0_Station_Ex];
    HELP        [P0_Station_Ex_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        { 0,    [unbenutzter_steckplatz]    },
        { 1,    [LB_remote]                 },
        { 2,    [LB_remote_Exi]             },
        { 3,    [FB_remote_Zone1_Exi]       },
        { 4,    [FB_remote_Zone1_Exe]       }
    }
    CLASS       LOCAL;
    PRE_EDIT_ACTIONS
    {
        method_set_statio_ex
    }
    HANDLING    READ;
}
VARIABLE    P0_Type_loc
{
    LABEL       [P0_Type];
    HELP        [P0_Type_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE MODUL_LEER;
        { MODUL_LEER,       "---"                   }
        IF ((module_type_selector == 0x8105) || (module_type_selector == 0x8109))
//        IF ((Loc_P0_Station_Ex == 0) || (Loc_P0_Station_Ex == 1) || (Loc_P0_Station_Ex == 2))
            {                                                   
                { MODUL_1001,   [schaltver_2Kanal_1001]     },  
                { MODUL_1101,   [schaltver_2Kanal_1101]     },  
                { MODUL_1002,   [schaltver_3Kanal_1002]     },  
                { MODUL_1102,   [schaltver_3Kanal_1102]     },  
                { MODUL_1003,   [schaltver_1K_freq_imp_1003]},  
                { MODUL_1103,   [schaltver_1K_freq_imp_1103]}, 
                { MODUL_1007,   [schaltver_7Kanal_1007]     },  
                { MODUL_1008,   [schaltver_8Kanal_1008]     },  
                { MODUL_1108,   [schaltver_8Kanal_1108]     },  
                { MODUL_1009,   [schaltver_8Kanal_1009]     },  
                { MODUL_1109,   [schaltver_8Kanal_1109]     },  
                { MODUL_1014,   [schaltver_15Kanal_1014]     },  
                { MODUL_1015,   [schaltver_15Kanal_1015]     },  
                { MODUL_2002,   [ventiltreiber_2002]        },  
                { MODUL_2101,   [ventiltreiber_2101]        },  
                { MODUL_2102,   [ventiltreiber_2102]        },  
                { MODUL_2103,   [ventiltreiber_2103]        },  
                { MODUL_2104,   [ventiltreiber_2104]        },  
                { MODUL_2105,   [ventiltreiber_2105]        },  
                { MODUL_2106,   [ventiltreiber_2106]        },  
                { MODUL_2107,   [ventiltreiber_2107]        },  
                { MODUL_2108,   [ventiltreiber_2108]        },  
                { MODUL_2109,   [ventiltreiber_2109]        },  
                { MODUL_2110,   [ventiltreiber_2110]        },  
                { MODUL_2111,   [ventiltreiber_2111]        },  
                { MODUL_2112,   [ventiltreiber_2112]        },  
                { MODUL_2113,   [ventiltreiber_2113]        },  
                { MODUL_2016,   [ventiltreiber_2016]        },  
                { MODUL_2116,   [ventiltreiber_2116]        },  
                { MODUL_2017,   [ventiltreiber_2017]        },  
                { MODUL_2117,   [ventiltreiber_2117]        },  
                { MODUL_2016_2,   [ventiltreiber_2016]        },  
                { MODUL_2116_2,   [ventiltreiber_2116]        },  
                { MODUL_2017_2,   [ventiltreiber_2017]        },  
                { MODUL_2117_2,   [ventiltreiber_2117]        },  
                { MODUL_3101,   [transmitter_speise_3101]   },  
                { MODUL_3002,   [transmitter_speise_3002]   },  
                { MODUL_3102,   [transmitter_speise_3102]   },  
                { MODUL_3103,   [transmitter_speise_3103]   },  
                { MODUL_3104,   [transmitter_speise_3104]   },  
                { MODUL_3005,   [transmitter_speise_3005]   },  
                { MODUL_3105,   [transmitter_speise_3105]   },  
                { MODUL_3006,   [transmitter_speise_3006]   },  
                { MODUL_3106,   [transmitter_speise_3106]   },  
                { MODUL_3007,   [transmitter_speise_3007]   },  
                { MODUL_3107,   [transmitter_speise_3107]   },  
                { MODUL_4101,   [ausgangstrenner_4101]      },  
                { MODUL_4002,   [ausgangstrenner_4002]      },  
                { MODUL_4102,   [ausgangstrenner_4102]      },  
                { MODUL_4104,   [ausgangstrenner_4104]      },  
                { MODUL_4005,   [ausgangstrenner_4005]      },  
                { MODUL_4105,   [ausgangstrenner_4105]      },  
                { MODUL_4006,   [ausgangstrenner_4006]      },  
                { MODUL_4106,   [ausgangstrenner_4106]      },  
                { MODUL_5001,   [pt100_messumformer_5001]   },  
                { MODUL_5101,   [pt100_messumformer_5101]   },  
                { MODUL_5002,   [thermoelement_umfor_5002]  },  
                { MODUL_5102,   [thermoelement_umfor_5102]  },  
                { MODUL_5004,   [pt100_messumformer_5004]   },  
                { MODUL_5104,   [pt100_messumformer_5104]   },  
                { MODUL_5005,   [thermoelement_umfor_5005]  },  
                { MODUL_5105,   [thermoelement_umfor_5105]  },  
                { MODUL_5006,   [spannungseingang_5006]     },  
                { MODUL_5106,   [spannungseingang_5106]     },  
                { MODUL_6101,   [bin_ausgabe_6101]			},   
                { MODUL_6102,   [bin_ausgabe_6102]			},   
                { MODUL_6005,   [bin_ausgabe_4kanal_6005]	},   
                { MODUL_6006,   [bin_ausgabe_8kanal_6006]	},   
                { MODUL_6008,   [bin_ausgabe_6008]		    },   
                { MODUL_6108,   [bin_ausgabe_6108]			},
                { MODUL_6010,   [bin_ausgabe_4kanal_6010]	},   
                { MODUL_6110,   [bin_ausgabe_4kanal_6110]	},   
                { MODUL_6111,   [bin_ausgabe_4kanal_6111]	},   
                { MODUL_6112,   [bin_ausgabe_4kanal_6112]	},   
                { MODUL_6113,   [bin_ausgabe_4kanal_6113]	},
                { MODUL_6114,   [bin_ausgabe_4kanal_6114]	},
                { MODUL_6115,   [bin_ausgabe_4kanal_6115]	},
                { MODUL_6016,   [bin_ausgabe_2kanal_6016]	},
                { MODUL_6116,   [bin_ausgabe_2kanal_6116]	},
                { MODUL_6017,   [bin_ausgabe_2kanal_6017]	},
                { MODUL_6117,   [bin_ausgabe_2kanal_6117]	},
                { MODUL_6016_2,   [bin_ausgabe_2kanal_6016]	},
                { MODUL_6116_2,   [bin_ausgabe_2kanal_6116]	},
                { MODUL_6017_2,   [bin_ausgabe_2kanal_6017]	},
                { MODUL_6117_2,   [bin_ausgabe_2kanal_6117]	},
                { MODUL_7004,   [universal_modul_7004]		},
                { MODUL_7104,   [universal_modul_7104]		}
            }                                           
        
        IF ((module_type_selector == 0x8205) || (module_type_selector == 0x8209))
//        IF ((Loc_P0_Station_Ex == 0) || (Loc_P0_Station_Ex == 3) || (Loc_P0_Station_Ex == 4))
            {                                                   
                { MODUL_1201,   [schaltver_2Kanal_1201]     },
                { MODUL_1301,   [schaltver_2Kanal_1301]     },
                { MODUL_1202,   [schaltver_3Kanal_1202]     },
                { MODUL_1302,   [schaltver_3Kanal_1302]     },
                { MODUL_1203,   [schaltver_1K_freq_imp_1203]},
                { MODUL_1303,   [schaltver_1K_freq_imp_1303]},
                { MODUL_1208,   [schaltver_8Kanal_1208]     },
                { MODUL_1308,   [schaltver_8Kanal_1308]     },
                { MODUL_1209,   [schaltver_8Kanal_1209]     },
                { MODUL_2201,   [ventiltreiber_2201]        },
                { MODUL_2202,   [ventiltreiber_2202]        },
                { MODUL_2203,   [ventiltreiber_2203]        },
                { MODUL_2204,   [ventiltreiber_2204]        },
                { MODUL_2205,   [ventiltreiber_2205]        },
                { MODUL_2206,   [ventiltreiber_2206]        },
                { MODUL_2207,   [ventiltreiber_2207]        },
                { MODUL_2208,   [ventiltreiber_2208]        },
                { MODUL_2209,   [ventiltreiber_2209]        },
                { MODUL_2210,   [ventiltreiber_2210]        },
                { MODUL_2211,   [ventiltreiber_2211]        },
                { MODUL_2212,   [ventiltreiber_2212]        },
                { MODUL_2213,   [ventiltreiber_2213]        },
                { MODUL_2216,   [ventiltreiber_2216]        },
                { MODUL_2217,   [ventiltreiber_2217]        },
                { MODUL_2216_2,   [ventiltreiber_2216]        },
                { MODUL_2217_2,   [ventiltreiber_2217]        },
                { MODUL_3201,   [transmitter_speise_3201]   },
                { MODUL_3202,   [transmitter_speise_3202]   },
                { MODUL_3302,   [transmitter_speise_3302]   },
                { MODUL_3203,   [transmitter_speise_3203]   },
                { MODUL_3204,   [transmitter_speise_3204]   },
                { MODUL_3205,   [transmitter_speise_3205]   },
                { MODUL_3206,   [transmitter_speise_3206]   },
                { MODUL_3305,   [transmitter_speise_3305]   },
                { MODUL_3207,   [transmitter_speise_3207]   },
                { MODUL_3307,   [transmitter_speise_3307]   },
                { MODUL_4201,   [ausgangstrenner_4201]      },
                { MODUL_4202,   [ausgangstrenner_4202]      },
                { MODUL_4204,   [ausgangstrenner_4204]      },
                { MODUL_4205,   [ausgangstrenner_4205]      },
                { MODUL_4206,   [ausgangstrenner_4206]      },
                { MODUL_4305,   [ausgangstrenner_4305]      },
                { MODUL_4302,   [ausgangstrenner_4302]      },
                { MODUL_5201,   [pt100_messumformer_5201]   },
                { MODUL_5202,   [thermoelement_umfor_5202]  },
                { MODUL_5204,   [pt100_messumformer_5204]   },
                { MODUL_5205,   [thermoelement_umfor_5205]  },
                { MODUL_5206,   [spannungseingang_5206]     },
                { MODUL_6202,   [bin_ausgabe_6202]			},
                { MODUL_6301,   [bin_ausgabe_6301]			},
                { MODUL_6305,   [bin_ausgabe_4kanal_6305]	},
                { MODUL_6306,   [bin_ausgabe_8kanal_6306]	},
                { MODUL_6208,   [bin_ausgabe_6208]			},
                { MODUL_6308,   [bin_ausgabe_6308]			},
                { MODUL_6210,   [bin_ausgabe_4kanal_6210]	},
                { MODUL_6211,   [bin_ausgabe_4kanal_6211]	},
                { MODUL_6212,   [bin_ausgabe_4kanal_6212]	},
                { MODUL_6213,   [bin_ausgabe_4kanal_6213]	},
                { MODUL_6214,   [bin_ausgabe_4kanal_6214]	},
                { MODUL_6215,   [bin_ausgabe_4kanal_6215]	},
                { MODUL_6216,   [bin_ausgabe_2kanal_6216]	},
                { MODUL_6217,   [bin_ausgabe_2kanal_6217]	},
                { MODUL_6216_2,   [bin_ausgabe_2kanal_6216]	},
                { MODUL_6217_2,   [bin_ausgabe_2kanal_6217]	},
                { MODUL_7204,   [universal_modul_7204]		},
                { MODUL_7304,   [universal_modul_7304]		}
            }
    }
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        set_module_type_selector,
        method_set_channel_sector,
        method_set_type_class,
        method_set_statio_ex
    }
    POST_EDIT_ACTIONS
    {
        set_module_P0_type,
        method_set_channel_sector,
        method_set_type_class,
        method_set_statio_ex
    }

}
/*******************************************************************************/
/*****  Variables   ************************************************************/
/*******************************************************************************/
VARIABLE    P0_Slot0
{
     LABEL     [P0_Slot0];
     HELP      [P0_Slot0_help];
     TYPE      UNSIGNED_INTEGER(1)
     {
        DEFAULT_VALUE   1;
        MIN_VALUE       1;
        MAX_VALUE       48;
     }                      
//    CLASS       CONTAINED;
    CLASS       LOCAL;
    PRE_WRITE_ACTIONS
    {
        method_set_slots
    }
    HANDLING    READ;
//    HANDLING    READ & WRITE;
}

VARIABLE    P0_Index0
{
     LABEL      [P0_Index0];
     HELP       [P0_Index0_help];
     TYPE       UNSIGNED_INTEGER(1)
     {
        DEFAULT_VALUE 0;
     }
//     CLASS      CONTAINED;
     CLASS      LOCAL;
     HANDLING   READ;
}

VARIABLE    P0_Tag
{
    LABEL       [P0_Tag];
    HELP        [P0_Tag_help];
    TYPE        ASCII (32);
    CLASS       CONTAINED;
    PRE_EDIT_ACTIONS
    {
        method_init_P0_Tag
    }
    HANDLING    READ & WRITE;
}

VARIABLE    P0_Channel
{
    LABEL       [P0_Channel];
    HELP        [P0_Channel_help];
    TYPE        UNSIGNED_INTEGER(1)
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
//    HANDLING    READ;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_Sector
{
    LABEL       [P0_Sector];
    HELP        [P0_Sector_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 1;
    }
    CLASS       CONTAINED;
//    HANDLING    READ;
    HANDLING    READ & WRITE;
}


VARIABLE    P0_Time
{
    LABEL       [P0_Time];
    HELP        [P0_Time_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        DISPLAY_FORMAT "x";
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CONSTANT_UNIT   [sec];
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_Revision
{
    LABEL       [P0_Revision];
    HELP        [P0_Revision_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_HCIR
{
    LABEL       [P0_HCIR];
    HELP        [P0_HCIR_help];
    TYPE        BIT_ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        { 0x0000,       [off]           },
        { HCIR_DELETE,  [HCIR_delete]   },
        { HCIR_INSERT,  [HCIR_insert]   }
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

Loc_P0_HCIR     LIKE    VARIABLE    P0_HCIR
{
    REDEFINE    CLASS   LOCAL;
}

VARIABLE P0_Size
{
    LABEL       [P0_Size];
    HELP        [P0_Size_help];
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER(2)
    {
        DEFAULT_VALUE 1;
    }
  HANDLING    READ & WRITE;
//    HANDLING    READ;
}

VARIABLE P0_CfgMode
{
    LABEL   [P0_CfgMode];
    HELP	[P0_CfgMode_help];
	CLASS  	CONTAINED;
    TYPE	ENUMERATED (2)
    {
		DEFAULT_VALUE 0x0000;
        IF 	((P0_Type == MODUL_1014) || (P0_Type == MODUL_1015))
		{
			{0x0000,	[Cfg_0_4_Byte]	},
			{0x0001,	[Cfg_1_2_Byte]	}
		}
		ELSE
		{        
			{0x0000,	[Cfg_Standard]	},
			{0x0001,	[Cfg_1]	},
			{0x0100,	[Cfg_2I2O]	},
			{0x0200,	[Cfg_4I4O]	},
			{0x0300,	[Cfg_8I8O]	}
		}
    }    
    HANDLING	READ & WRITE;
}

VARIABLE    P0_Reserviert
{
    LABEL       [P0_Reserviert];
    HELP        [P0_Reserviert_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_Option
{
    LABEL       [P0_Option_Modul];
    HELP        [P0_Option_Modul_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x0000;
        {   0x0000, [active]        },
        {   0x0001, [passive]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_NOT_0(P0_Type);
}


VARIABLE    P0_Bit1_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_Option_buendel
{
    LABEL       [P0_Option_buendel];
    HELP        [P0_Option_buendel];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x0000;
        {   0x00, [off_enum]      },
        {   0x01, [on_enum]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_Bit9_15
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}




/******************************************************************/
/******************* COMMAND **************************************/
/*****************************************************************/
COMMAND read_para_index0
{
    SLOT        Loc_P0_Slot0;
    INDEX       0;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            P0_Slot0,
            P0_Index0,
            P0_Tag,
            P0_Type,
            P0_Channel,
            P0_Sector,
            P0_Bit9_15				<0xFE00>,
            P0_Option_buendel       <0x0100>,
            P0_Bit1_7				<0x00FE>,
            P0_Option				<0x0001>,
//            P0_Time,
            0,0,0,0,
            P0_Revision,
//            P0_HCIR,
            0,0,
            P0_Size,
			P0_CfgMode,
            0,0,0,0,
            0,0,0,0,
            0,0
        }
    }
}

COMMAND write_para_index0
{
    SLOT        Loc_P0_Slot0;
    INDEX       0;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P0_Slot0,
            P0_Index0,
            P0_Tag,
            P0_Type,
            P0_Channel,
            P0_Sector,
            P0_Bit9_15				<0xFE00>,
            P0_Option_buendel       <0x0100>,
            P0_Bit1_7				<0x00FE>,
            P0_Option				<0x0001>,
//            P0_Time,
            0,0,0,0,
            0,0,0,0,						//P0_Revision,
//            P0_HCIR,
            0,0,
            P0_Size,				
			P0_CfgMode,
            0,0,0,0,
            0,0,0,0,
            0,0
        }
        REPLY
        {
        }
    }
}

