/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      PT100 Meumformer					*/
/*						Kanal 1 bis 4			            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.23  $                                    */
/*  $Date:   06 Apr 2000 12:47:46  $                        */
/*----------------------------------------------------------*/


#define		SENSOR_RTD_UNIT_C_01						\
			(TempR02_P1_Option_Temperatur == 0)

#define		SENSOR_RTD_UNIT_C_02						\
			(TempR02_P2_Option_Temperatur == 0)

#define		SENSOR_RTD_UNIT_C_03						\
			(TempR02_P3_Option_Temperatur == 0)

#define		SENSOR_RTD_UNIT_C_04						\
			(TempR02_P4_Option_Temperatur == 0)	


#define		SENSOR_RTD_UNIT_F_01						\
			(TempR02_P1_Option_Temperatur != 0)

#define		SENSOR_RTD_UNIT_F_02						\
			(TempR02_P2_Option_Temperatur != 0)

#define		SENSOR_RTD_UNIT_F_03						\
			(TempR02_P3_Option_Temperatur != 0)

#define		SENSOR_RTD_UNIT_F_04						\
			(TempR02_P4_Option_Temperatur != 0)


#define		SENSOR_RTD_R_01								\
			(TempR02_P1_Option_Sensortyp == 0x0000)	

#define		SENSOR_RTD_R_02								\
			(TempR02_P2_Option_Sensortyp == 0x0000)

#define		SENSOR_RTD_R_03								\
			(TempR02_P3_Option_Sensortyp == 0x0000)

#define		SENSOR_RTD_R_04								\
			(TempR02_P4_Option_Sensortyp == 0x0000)		


#define		SENSOR_RTD_TEMP_01							\
			(TempR02_P1_Option_Sensortyp != 0x0000)

#define		SENSOR_RTD_TEMP_02							\
			(TempR02_P2_Option_Sensortyp != 0x0000)

#define		SENSOR_RTD_TEMP_03							\
			(TempR02_P3_Option_Sensortyp != 0x0000)

#define		SENSOR_RTD_TEMP_04							\
			(TempR02_P4_Option_Sensortyp != 0x0000)		


#define		SENSOR_RTD_PT_TEMP_01							\
			(	TempR02_P1_Option_Sensortyp == 0x0001 ||	TempR02_P1_Option_Sensortyp == 0x0002 || \
				TempR02_P1_Option_Sensortyp == 0x0003 ||	TempR02_P1_Option_Sensortyp == 0x0004	)

#define		SENSOR_RTD_PT_TEMP_02							\
			(	TempR02_P2_Option_Sensortyp == 0x0001 ||	TempR02_P2_Option_Sensortyp == 0x0002 || \
				TempR02_P2_Option_Sensortyp == 0x0003 ||	TempR02_P2_Option_Sensortyp == 0x0004	)

#define		SENSOR_RTD_PT_TEMP_03							\
			(	TempR02_P3_Option_Sensortyp == 0x0001 ||	TempR02_P3_Option_Sensortyp == 0x0002 || \
				TempR02_P3_Option_Sensortyp == 0x0003 ||	TempR02_P3_Option_Sensortyp == 0x0004	)

#define		SENSOR_RTD_PT_TEMP_04							\
			(	TempR02_P4_Option_Sensortyp == 0x0001 ||	TempR02_P4_Option_Sensortyp == 0x0002 || \
				TempR02_P4_Option_Sensortyp == 0x0003 ||	TempR02_P4_Option_Sensortyp == 0x0004	)

#define		SENSOR_RTD_NI_TEMP_01							\
			(	TempR02_P1_Option_Sensortyp == 0x0005 ||	TempR02_P1_Option_Sensortyp == 0x0006 || \
				TempR02_P1_Option_Sensortyp == 0x0007	)

#define		SENSOR_RTD_NI_TEMP_02							\
			(	TempR02_P2_Option_Sensortyp == 0x0005 ||	TempR02_P2_Option_Sensortyp == 0x0006 || \
				TempR02_P2_Option_Sensortyp == 0x0007	)

#define		SENSOR_RTD_NI_TEMP_03							\
			(	TempR02_P3_Option_Sensortyp == 0x0005 ||	TempR02_P3_Option_Sensortyp == 0x0006 || \
				TempR02_P3_Option_Sensortyp == 0x0007	)

#define		SENSOR_RTD_NI_TEMP_04							\
			(	TempR02_P4_Option_Sensortyp == 0x0005 ||	TempR02_P4_Option_Sensortyp == 0x0006 || \
				TempR02_P4_Option_Sensortyp == 0x0007	)

#define		TempR_MB_ME_MIN_VALUES_01											\
			IF (SENSOR_RTD_R_01)												\
				{																\
					0.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_01 && SENSOR_RTD_PT_TEMP_01)				\
				{																\
					-200.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_01 && SENSOR_RTD_NI_TEMP_01)			\
					{															\
						-70.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_01 && SENSOR_RTD_PT_TEMP_01)		\
						{														\
							-328.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_01 && SENSOR_RTD_NI_TEMP_01)	\
							{													\
								-158.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MIN_VALUES_02											\
			IF (SENSOR_RTD_R_02)												\
				{																\
					0.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_02 && SENSOR_RTD_PT_TEMP_02)				\
				{																\
					-200.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_02 && SENSOR_RTD_NI_TEMP_02)			\
					{															\
						-70.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_02 && SENSOR_RTD_PT_TEMP_02)		\
						{														\
							-328.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_02 && SENSOR_RTD_NI_TEMP_02)	\
							{													\
								-158.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MIN_VALUES_03											\
			IF (SENSOR_RTD_R_03)												\
				{																\
					0.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_03 && SENSOR_RTD_PT_TEMP_03)				\
				{																\
					-200.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_03 && SENSOR_RTD_NI_TEMP_03)			\
					{															\
						-70.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_03 && SENSOR_RTD_PT_TEMP_03)		\
						{														\
							-328.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_03 && SENSOR_RTD_NI_TEMP_03)	\
							{													\
								-158.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MIN_VALUES_04											\
			IF (SENSOR_RTD_R_04)												\
				{																\
					0.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_04 && SENSOR_RTD_PT_TEMP_04)				\
				{																\
					-200.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_04 && SENSOR_RTD_NI_TEMP_04)			\
					{															\
						-70.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_04 && SENSOR_RTD_PT_TEMP_04)		\
						{														\
							-328.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_04 && SENSOR_RTD_NI_TEMP_04)	\
							{													\
								-158.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MAX_VALUES_01											\
			IF (SENSOR_RTD_R_01)												\
				{																\
					100.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_01 && SENSOR_RTD_PT_TEMP_01)				\
				{																\
					850.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_01 && SENSOR_RTD_NI_TEMP_01)			\
					{															\
						230.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_01 && SENSOR_RTD_PT_TEMP_01)		\
						{														\
							1562.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_01 && SENSOR_RTD_NI_TEMP_01)	\
							{													\
								446.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MAX_VALUES_02											\
			IF (SENSOR_RTD_R_02)												\
				{																\
					100.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_02 && SENSOR_RTD_PT_TEMP_02)				\
				{																\
					850.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_02 && SENSOR_RTD_NI_TEMP_02)			\
					{															\
						230.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_02 && SENSOR_RTD_PT_TEMP_02)		\
						{														\
							1562.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_02 && SENSOR_RTD_NI_TEMP_02)	\
							{													\
								446.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MAX_VALUES_03											\
			IF (SENSOR_RTD_R_03)												\
				{																\
					100.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_03 && SENSOR_RTD_PT_TEMP_03)				\
				{																\
					850.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_03 && SENSOR_RTD_NI_TEMP_03)			\
					{															\
						230.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_03 && SENSOR_RTD_PT_TEMP_03)		\
						{														\
							1562.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_03 && SENSOR_RTD_NI_TEMP_03)	\
							{													\
								446.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	

#define		TempR_MB_ME_MAX_VALUES_04											\
			IF (SENSOR_RTD_R_04)												\
				{																\
					100.000;														\
				}																\
			ELSE																\
			{																	\
				IF (SENSOR_RTD_UNIT_C_04 && SENSOR_RTD_PT_TEMP_04)				\
				{																\
					850.000;													\
				}																\
				ELSE															\
				{																\
					IF (SENSOR_RTD_UNIT_C_04 && SENSOR_RTD_NI_TEMP_04)			\
					{															\
						230.000;												\
					}															\
					ELSE														\
					{															\
						IF (SENSOR_RTD_UNIT_F_04 && SENSOR_RTD_PT_TEMP_04)		\
						{														\
							1562.000;											\
						}														\
						ELSE													\
						{														\
							IF (SENSOR_RTD_UNIT_F_04 && SENSOR_RTD_NI_TEMP_04)	\
							{													\
								446.000;										\
							}													\
						}														\
					}															\
				}																\
			}																	


/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

UNIT TempR02_TC_P1_MB_ME_UNIT_RELATION	// Temperatur	C
{							
	Loc_TempR02_T_P1_MbMe_Unit:	
								
	Loc_TempR02_TC_P1_Mb,		
	Loc_TempR02_TC_P1_Me
}

UNIT TempR02_TC_P2_MB_ME_UNIT_RELATION	// Temperatur	C
{							
	Loc_TempR02_T_P2_MbMe_Unit:	
								
	Loc_TempR02_TC_P2_Mb,		
	Loc_TempR02_TC_P2_Me
}

UNIT TempR02_TC_P3_MB_ME_UNIT_RELATION	// Temperatur	C
{							
	Loc_TempR02_T_P3_MbMe_Unit:	
								
	Loc_TempR02_TC_P3_Mb,		
	Loc_TempR02_TC_P3_Me
}

UNIT TempR02_TC_P4_MB_ME_UNIT_RELATION	// Temperatur	C
{							
	Loc_TempR02_T_P4_MbMe_Unit:	
								
	Loc_TempR02_TC_P4_Mb,		
	Loc_TempR02_TC_P4_Me
}

UNIT TempR02_TF_P1_MB_ME_UNIT_RELATION	// Temperatur	F
{							
	Loc_TempR02_T_P1_MbMe_Unit:	
								
	Loc_TempR02_TF_P1_Mb,		
	Loc_TempR02_TF_P1_Me
}

UNIT TempR02_TF_P2_MB_ME_UNIT_RELATION	// Temperatur	F
{							
	Loc_TempR02_T_P2_MbMe_Unit:	
								
	Loc_TempR02_TF_P2_Mb,		
	Loc_TempR02_TF_P2_Me
}

UNIT TempR02_TF_P3_MB_ME_UNIT_RELATION	// Temperatur	F
{							
	Loc_TempR02_T_P3_MbMe_Unit:	
								
	Loc_TempR02_TF_P3_Mb,		
	Loc_TempR02_TF_P3_Me
}

UNIT TempR02_TF_P4_MB_ME_UNIT_RELATION	// Temperatur	F
{							
	Loc_TempR02_T_P4_MbMe_Unit:	
								
	Loc_TempR02_TF_P4_Mb,		
	Loc_TempR02_TF_P4_Me
}

UNIT TempR02_R_P1_MB_ME_UNIT_RELATION	// Widerstand
{							
	Loc_TempR02_R_P1_MbMe_Unit:
							
	Loc_TempR02_R_P1_Mb,		
	Loc_TempR02_R_P1_Me
}

UNIT TempR02_R_P2_MB_ME_UNIT_RELATION	// Widerstand
{							
	Loc_TempR02_R_P2_MbMe_Unit:
							
	Loc_TempR02_R_P2_Mb,		
	Loc_TempR02_R_P2_Me
}

UNIT TempR02_R_P3_MB_ME_UNIT_RELATION	// Widerstand
{							
	Loc_TempR02_R_P3_MbMe_Unit:
							
	Loc_TempR02_R_P3_Mb,		
	Loc_TempR02_R_P3_Me
}

UNIT TempR02_R_P4_MB_ME_UNIT_RELATION	// Widerstand
{							
	Loc_TempR02_R_P4_MbMe_Unit:
							
	Loc_TempR02_R_P4_Mb,		
	Loc_TempR02_R_P4_Me
}


VARIABLE Loc_TempR02_T_P1_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;
		{32,  [degC]	},
		{33,  [degF]	}									
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempR02_P1_Option_Temperatur != 0)	
			{											
				Loc_TempR02_T_P1_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempR02_T_P1_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P1_MbMe_Unit != 32)	
			{											
				TempR02_P1_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P1_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_TempR02_T_P2_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;
		{32,  [degC]	},
		{33,  [degF]	}									
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempR02_P2_Option_Temperatur != 0)	
			{											
				Loc_TempR02_T_P2_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempR02_T_P2_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P2_MbMe_Unit != 32)	
			{											
				TempR02_P2_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P2_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_TempR02_T_P3_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;
		{32,  [degC]	},
		{33,  [degF]	}									
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempR02_P3_Option_Temperatur != 0)	
			{											
				Loc_TempR02_T_P3_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempR02_T_P3_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P3_MbMe_Unit != 32)	
			{											
				TempR02_P3_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P3_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}


VARIABLE Loc_TempR02_T_P4_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;
		{32,  [degC]	},
		{33,  [degF]	}									
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempR02_P4_Option_Temperatur != 0)	
			{											
				Loc_TempR02_T_P4_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempR02_T_P4_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P4_MbMe_Unit != 32)	
			{											
				TempR02_P4_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P4_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}


VARIABLE Loc_TempR02_R_P1_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 37;
		{37,  [Ohm]		}									
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_TempR02_R_P2_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 37;
		{37,  [Ohm]		}									
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_TempR02_R_P3_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 37;
		{37,  [Ohm]		}									
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_TempR02_R_P4_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 37;
		{37,  [Ohm]		}									
	}
	HANDLING	READ & WRITE;
}

/***********************************************************************/
/*    METHOD												           */
/***********************************************************************/

METHOD methode_set_TempR02_P1_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_RTD_R_01)
		{
			Loc_TempR02_R_P1_Mb	= Loc_TempR02_R_P1_Mb.DEFAULT_VALUE;
			Loc_TempR02_R_P1_Me	= Loc_TempR02_R_P1_Me.DEFAULT_VALUE;
		}
		else	if (SENSOR_RTD_UNIT_C_01)
				{
					Loc_TempR02_TC_P1_Mb	= Loc_TempR02_TC_P1_Mb.DEFAULT_VALUE;
					Loc_TempR02_TC_P1_Me	= Loc_TempR02_TC_P1_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempR02_TF_P1_Mb	= Loc_TempR02_TF_P1_Mb.DEFAULT_VALUE;
					Loc_TempR02_TF_P1_Me	= Loc_TempR02_TF_P1_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempR02_P2_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_RTD_R_02)
		{
			Loc_TempR02_R_P2_Mb	= Loc_TempR02_R_P2_Mb.DEFAULT_VALUE;
			Loc_TempR02_R_P2_Me	= Loc_TempR02_R_P2_Me.DEFAULT_VALUE;
		}
		else	if (SENSOR_RTD_UNIT_C_02)
				{
					Loc_TempR02_TC_P2_Mb	= Loc_TempR02_TC_P2_Mb.DEFAULT_VALUE;
					Loc_TempR02_TC_P2_Me	= Loc_TempR02_TC_P2_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempR02_TF_P2_Mb	= Loc_TempR02_TF_P2_Mb.DEFAULT_VALUE;
					Loc_TempR02_TF_P2_Me	= Loc_TempR02_TF_P2_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempR02_P3_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_RTD_R_03)
		{
			Loc_TempR02_R_P3_Mb	= Loc_TempR02_R_P3_Mb.DEFAULT_VALUE;
			Loc_TempR02_R_P3_Me	= Loc_TempR02_R_P3_Me.DEFAULT_VALUE;
		}
		else	if (SENSOR_RTD_UNIT_C_03)
				{
					Loc_TempR02_TC_P3_Mb	= Loc_TempR02_TC_P3_Mb.DEFAULT_VALUE;
					Loc_TempR02_TC_P3_Me	= Loc_TempR02_TC_P3_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempR02_TF_P3_Mb	= Loc_TempR02_TF_P3_Mb.DEFAULT_VALUE;
					Loc_TempR02_TF_P3_Me	= Loc_TempR02_TF_P3_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempR02_P4_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_RTD_R_04)
		{
			Loc_TempR02_R_P4_Mb	= Loc_TempR02_R_P4_Mb.DEFAULT_VALUE;
			Loc_TempR02_R_P4_Me	= Loc_TempR02_R_P4_Me.DEFAULT_VALUE;
		}
		else	if (SENSOR_RTD_UNIT_C_04)
				{
					Loc_TempR02_TC_P4_Mb	= Loc_TempR02_TC_P4_Mb.DEFAULT_VALUE;
					Loc_TempR02_TC_P4_Me	= Loc_TempR02_TC_P4_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempR02_TF_P4_Mb	= Loc_TempR02_TF_P4_Mb.DEFAULT_VALUE;
					Loc_TempR02_TF_P4_Me	= Loc_TempR02_TF_P4_Me.DEFAULT_VALUE;
				}
	}
}

/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/

TempR02_P1_Slot2	LIKE VARIABLE	P0_Slot0
{
}

TempR02_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	TempR02_P1_Mode
{
	LABEL		[P1_Mode_TempR];
	HELP		[P1_Mode_TempR_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 2;
		{ 0,	[zwei_leiter]	},
		{ 1,	[drei_leiter]	},
		{ 2,	[vier_leiter]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Filter
{
	LABEL		[P1_Option_Filter];
	HELP		[P1_Option_Filter_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[on]		},
		{ 1,	[off]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Sensortyp
{
	LABEL		[P1_lin_type];
	HELP		[P1_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{	0x0000,	[linear]	},
		{	0x0001,	[pt100]		},
		{	0x0002,	[pt200]		},
		{	0x0003,	[pt500]		},
		{	0x0004,	[pt1000]	},
		{	0x0005,	[ni100]		},
		{	0x0006,	[ni500]		},
		{	0x0007,	[ni1000]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempR02_P1_MbMe
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P1_MbMe_Unit != 32)	
			{											
				TempR02_P1_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P1_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;	
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_01)
}

VARIABLE	TempR02_P1_Option_Stoerunterdrueckung
{
	LABEL		[P1_Option_Stoerunterdrueckung];
	HELP		[P1_Option_Stoerunterdrueckung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[hz50]	},
		{	0x0001,	[hz60]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Bit8_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

/********** Skalierung *****************/

VARIABLE	TempR02_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempR02_P1_ScalMb, TempR02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempR02_P1_ScalMb, TempR02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempR02_P1_LimLow, TempR02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempR02_P1_LimLow, TempR02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}
	
	CONSTANT_UNIT	[Percent_Second];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

//********** Erweitert *****************/

VARIABLE	TempR02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
		{
			method_scale1000_temp_01_C (MODUL_5y04, TempR02_P1_Mb, Loc_TempR02_TC_P1_Mb)
		}
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
		{
			method_scale1000_temp_01_F (MODUL_5y04, TempR02_P1_Mb, Loc_TempR02_TF_P1_Mb)
		}
		IF (SENSOR_RTD_R_01)
		{
			method_scale1000_int_float_01 (TempR02_P1_Mb, Loc_TempR02_R_P1_Mb)
		}
	}

	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
		{
			method_rescale1000_temp_01_C (MODUL_5y04, TempR02_P1_Mb, Loc_TempR02_TC_P1_Mb),
			method_check_MbMe_float_01	(Loc_TempR02_TC_P1_Mb, Loc_TempR02_TC_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
}

VARIABLE	Loc_TempR02_TF_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
		{
			method_rescale1000_temp_01_F (MODUL_5y04, TempR02_P1_Mb, Loc_TempR02_TF_P1_Mb),
			method_check_MbMe_float_01	(Loc_TempR02_TF_P1_Mb, Loc_TempR02_TF_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
}

VARIABLE	Loc_TempR02_R_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_01)
		{
			method_rescale1000_int_float_01 (TempR02_P1_Mb, Loc_TempR02_R_P1_Mb),
			method_check_MbMe_float_01(Loc_TempR02_R_P1_Mb, Loc_TempR02_R_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_01)
}

VARIABLE	TempR02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
		{
			method_scale1000_temp_01_C (MODUL_5y04, TempR02_P1_Me, Loc_TempR02_TC_P1_Me)
		}
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
		{
			method_scale1000_temp_01_F (MODUL_5y04, TempR02_P1_Me, Loc_TempR02_TF_P1_Me)
		}
		IF (SENSOR_RTD_R_01)
		{
			method_scale1000_int_float_01 (TempR02_P1_Me, Loc_TempR02_R_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
		{
			method_rescale1000_temp_01_C (MODUL_5y04, TempR02_P1_Me, Loc_TempR02_TC_P1_Me),
			method_check_MbMe_float_01(Loc_TempR02_TC_P1_Mb, Loc_TempR02_TC_P1_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
}

VARIABLE	Loc_TempR02_TF_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
		{
			method_rescale1000_temp_01_F (MODUL_5y04, TempR02_P1_Me, Loc_TempR02_TF_P1_Me),
			method_check_MbMe_float_01(Loc_TempR02_TF_P1_Mb, Loc_TempR02_TF_P1_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_F_01)
}

VARIABLE	Loc_TempR02_R_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_01)
		{
			method_rescale1000_int_float_01 (TempR02_P1_Me, Loc_TempR02_R_P1_Me),
			method_check_MbMe_float_01(Loc_TempR02_R_P1_Mb, Loc_TempR02_R_P1_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_01)
}

VARIABLE	TempR02_P1_R1
{
	LABEL		[P1_R1];
	HELP		[P1_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Ohm];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01 (TempR02_P1_R1, Loc_TempR02_P1_R1)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_P1_R1
{
	LABEL		[P1_R1];
	HELP		[P1_R1_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 50.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (TempR02_P1_R1, Loc_TempR02_P1_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P1_Mode == 0)
}

VARIABLE	TempR02_P1_Pt1
{
	LABEL		[P1_FrqPt1];
	HELP		[P1_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
/*		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}
*/
		{ 0,	[Wert1]		},
		{ 1,	[Wert2]		},
		{ 2,	[Wert3]		},
		{ 3,	[Wert4]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P1_Option_Leitung == 1)
}

VARIABLE	TempR02_P1_Val
{
	LABEL		[P1_Val];
	HELP		[P1_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"					},
		{ 1,	"0%" 				},
		{ 2,	"100%" 				},
		{ 3,	[letzten_wert1]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P1_Option_Leitung == 1)
}

VARIABLE	TempR02_P1_Tim
{
	LABEL		[P1_Tim];
	HELP		[P1_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P1_Option_Leitung == 1)
}

VARIABLE	TempR02_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (32);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2 Index4	************************************************/
/*******************************************************************************/

TempR02_P2_Slot4						LIKE VARIABLE	P0_Slot0
{
}

TempR02_P2_Index4						LIKE VARIABLE	TempR02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 4;
			}
}
	
TempR02_P2_Mode							LIKE VARIABLE	TempR02_P1_Mode
{
}

TempR02_P2_Option_Leitung				LIKE VARIABLE	TempR02_P1_Option_Leitung
{
}

VARIABLE	TempR02_P2_Option_Sensortyp
{
	LABEL		[P2_lin_type];
	HELP		[P2_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{	0x0000,	[linear]	},
		{	0x0001,	[pt100]		},
		{	0x0002,	[pt200]		},
		{	0x0003,	[pt500]		},
		{	0x0004,	[pt1000]	},
		{	0x0005,	[ni100]		},
		{	0x0006,	[ni500]		},
		{	0x0007,	[ni1000]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempR02_P2_MbMe
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P2_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P2_MbMe_Unit != 32)	
			{											
				TempR02_P2_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P2_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;	
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_02)
}
TempR02_P2_Option_Stoerunterdrueckung	LIKE VARIABLE	TempR02_P1_Option_Stoerunterdrueckung
{
}

TempR02_P2_Option_Bit8_14				LIKE VARIABLE	TempR02_P1_Option_Bit8_14
{
}

TempR02_P2_Option_Kanal					LIKE VARIABLE	TempR02_P1_Option_Kanal
{
}

TempR02_P2_Option_Filter				LIKE VARIABLE	TempR02_P1_Option_Filter
{
}

/********** Skalierung *****************/

VARIABLE	TempR02_P2_ScalMb
{
	LABEL		[P2_ScalMb];
	HELP		[P2_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempR02_P2_ScalMb, TempR02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P2_ScalMe
{
	LABEL		[P2_ScalMe];
	HELP		[P2_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempR02_P2_ScalMb, TempR02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;
}

TempR02_P2_ScalOption					LIKE VARIABLE	TempR02_P1_ScalOption
{
}

VARIABLE	TempR02_P2_LimLow
{
	LABEL		[P2_LimLow];
	HELP		[P2_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempR02_P2_LimLow, TempR02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P2_LimHigh
{
	LABEL		[P2_LimHigh];
	HELP		[P2_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempR02_P2_LimLow, TempR02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempR02_P2_Filter						LIKE VARIABLE	TempR02_P1_Filter
{
}


VARIABLE	TempR02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
		{
			method_scale1000_temp_02_C (MODUL_5y04, TempR02_P2_Mb, Loc_TempR02_TC_P2_Mb)
		}
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
		{
			method_scale1000_temp_02_F (MODUL_5y04, TempR02_P2_Mb, Loc_TempR02_TF_P2_Mb)
		}
		IF (SENSOR_RTD_R_02)
		{
			method_scale1000_int_float_02 (TempR02_P2_Mb, Loc_TempR02_R_P2_Mb)
		}
	}
	HANDLING	READ & WRITE;
}


//********** Erweitert *****************/

VARIABLE	Loc_TempR02_TC_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
		{
			method_rescale1000_temp_02_C (MODUL_5y04, TempR02_P2_Mb, Loc_TempR02_TC_P2_Mb),
			method_check_MbMe_float_02(Loc_TempR02_TC_P2_Mb, Loc_TempR02_TC_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
}

VARIABLE	Loc_TempR02_TF_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
		{
			method_rescale1000_temp_02_F (MODUL_5y04, TempR02_P2_Mb, Loc_TempR02_TF_P2_Mb),
			method_check_MbMe_float_02(Loc_TempR02_TF_P2_Mb, Loc_TempR02_TF_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
}

VARIABLE	Loc_TempR02_R_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_02)
		{
			method_rescale1000_int_float_02 (TempR02_P2_Mb, Loc_TempR02_R_P2_Mb),
			method_check_MbMe_float_02(Loc_TempR02_R_P2_Mb, Loc_TempR02_R_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_02)
}

VARIABLE	TempR02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
		{
			method_scale1000_temp_02_C (MODUL_5y04, TempR02_P2_Me, Loc_TempR02_TC_P2_Me)
		}
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
		{
			method_scale1000_temp_02_F (MODUL_5y04, TempR02_P2_Me, Loc_TempR02_TF_P2_Me)
		}
		IF (SENSOR_RTD_R_02)
		{
			method_scale1000_int_float_02 (TempR02_P2_Me, Loc_TempR02_R_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
		{
			method_rescale1000_temp_02_C (MODUL_5y04, TempR02_P2_Me, Loc_TempR02_TC_P2_Me),
			method_check_MbMe_float_02(Loc_TempR02_TC_P2_Mb, Loc_TempR02_TC_P2_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
}

VARIABLE	Loc_TempR02_TF_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
		{
			method_rescale1000_temp_02_F (MODUL_5y04, TempR02_P2_Me, Loc_TempR02_TF_P2_Me),
			method_check_MbMe_float_02(Loc_TempR02_TF_P2_Mb, Loc_TempR02_TF_P2_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_F_02)
}

VARIABLE	Loc_TempR02_R_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_02)
		{
			method_rescale1000_int_float_02 (TempR02_P2_Me, Loc_TempR02_R_P2_Me),
			method_check_MbMe_float_02(Loc_TempR02_R_P2_Mb, Loc_TempR02_R_P2_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_02)
}

VARIABLE	TempR02_P2_R1
{
	LABEL		[P2_R1];
	HELP		[P2_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Ohm];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02 (TempR02_P2_R1, Loc_TempR02_P2_R1)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_P2_R1
{
	LABEL		[P2_R1];
	HELP		[P2_R1_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 50.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (TempR02_P2_R1, Loc_TempR02_P2_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P2_Mode == 0)
}

VARIABLE	TempR02_P2_Pt1
{
	LABEL		[P2_FrqPt1];
	HELP		[P2_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
/*		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}
*/
		{ 0,	[Wert1]		},
		{ 1,	[Wert2]		},
		{ 2,	[Wert3]		},
		{ 3,	[Wert4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P2_Option_Leitung == 1)
}

VARIABLE	TempR02_P2_Val
{
	LABEL		[P2_Val];
	HELP		[P2_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"					},
		{ 1,	"0%" 				},
		{ 2,	"100%" 				},
		{ 3,	[letzten_wert1]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P2_Option_Leitung == 1)
}

VARIABLE	TempR02_P2_Tim
{
	LABEL		[P2_Tim];
	HELP		[P2_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P2_Option_Leitung == 1)
}

TempR02_P2_DUMMY2						LIKE VARIABLE	TempR02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index6	************************************************/
/*******************************************************************************/

TempR02_P3_Slot6						LIKE VARIABLE	P0_Slot0
{
}

TempR02_P3_Index6						LIKE VARIABLE	TempR02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 6;
			}
}
	
TempR02_P3_Mode							LIKE VARIABLE	TempR02_P1_Mode
{
}

TempR02_P3_Option_Leitung				LIKE VARIABLE	TempR02_P1_Option_Leitung
{
}

VARIABLE	TempR02_P3_Option_Sensortyp
{
	LABEL		[P3_lin_type];
	HELP		[P3_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{	0x0000,	[linear]	},
		{	0x0001,	[pt100]		},
		{	0x0002,	[pt200]		},
		{	0x0003,	[pt500]		},
		{	0x0004,	[pt1000]	},
		{	0x0005,	[ni100]		},
		{	0x0006,	[ni500]		},
		{	0x0007,	[ni1000]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempR02_P3_MbMe
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P3_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P3_MbMe_Unit != 32)	
			{											
				TempR02_P3_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P3_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;	
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_03)
}
TempR02_P3_Option_Stoerunterdrueckung	LIKE VARIABLE	TempR02_P1_Option_Stoerunterdrueckung
{
}

TempR02_P3_Option_Bit8_14				LIKE VARIABLE	TempR02_P1_Option_Bit8_14
{
}

TempR02_P3_Option_Kanal					LIKE VARIABLE	TempR02_P1_Option_Kanal
{
}

TempR02_P3_Option_Filter				LIKE VARIABLE	TempR02_P1_Option_Filter
{
}


/********** Skalierung *****************/

VARIABLE	TempR02_P3_ScalMb
{
	LABEL		[P3_ScalMb];
	HELP		[P3_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempR02_P3_ScalMb, TempR02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P3_ScalMe
{
	LABEL		[P3_ScalMe];
	HELP		[P3_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempR02_P3_ScalMb, TempR02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;
}

TempR02_P3_ScalOption					LIKE VARIABLE	TempR02_P1_ScalOption
{
}

VARIABLE	TempR02_P3_LimLow
{
	LABEL		[P3_LimLow];
	HELP		[P3_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempR02_P3_LimLow, TempR02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P3_LimHigh
{
	LABEL		[P3_LimHigh];
	HELP		[P3_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempR02_P3_LimLow, TempR02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempR02_P3_Filter						LIKE VARIABLE	TempR02_P1_Filter
{
}

//********** Erweitert *****************/

VARIABLE	TempR02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
		{
			method_scale1000_temp_03_C (MODUL_5y04, TempR02_P3_Mb, Loc_TempR02_TC_P3_Mb)
		}
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
		{
			method_scale1000_temp_03_F (MODUL_5y04, TempR02_P3_Mb, Loc_TempR02_TF_P3_Mb)
		}
		IF (SENSOR_RTD_R_03)
		{
			method_scale1000_int_float_03 (TempR02_P3_Mb, Loc_TempR02_R_P3_Mb)
		}
	}

	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
		{
			method_rescale1000_temp_03_C (MODUL_5y04, TempR02_P3_Mb, Loc_TempR02_TC_P3_Mb),
			method_check_MbMe_float_03(Loc_TempR02_TC_P3_Mb, Loc_TempR02_TC_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
}

VARIABLE	Loc_TempR02_TF_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
		{
			method_rescale1000_temp_03_F (MODUL_5y04, TempR02_P3_Mb, Loc_TempR02_TF_P3_Mb),
			method_check_MbMe_float_03(Loc_TempR02_TF_P3_Mb, Loc_TempR02_TF_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
}

VARIABLE	Loc_TempR02_R_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_03)
		{
			method_rescale1000_int_float_03 (TempR02_P3_Mb, Loc_TempR02_R_P3_Mb),
			method_check_MbMe_float_03(Loc_TempR02_R_P3_Mb, Loc_TempR02_R_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_03)
}

VARIABLE	TempR02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
		{
			method_scale1000_temp_03_C (MODUL_5y04, TempR02_P3_Me, Loc_TempR02_TC_P3_Me)
		}
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
		{
			method_scale1000_temp_03_F (MODUL_5y04, TempR02_P3_Me, Loc_TempR02_TF_P3_Me)
		}
		IF (SENSOR_RTD_R_03)
		{
			method_scale1000_int_float_03 (TempR02_P3_Me, Loc_TempR02_R_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
		{
			method_rescale1000_temp_03_C (MODUL_5y04, TempR02_P3_Me, Loc_TempR02_TC_P3_Me),
			method_check_MbMe_float_03(Loc_TempR02_TC_P3_Mb, Loc_TempR02_TC_P3_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
}

VARIABLE	Loc_TempR02_TF_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
		{
			method_rescale1000_temp_03_F (MODUL_5y04, TempR02_P3_Me, Loc_TempR02_TF_P3_Me),
			method_check_MbMe_float_03(Loc_TempR02_TF_P3_Mb, Loc_TempR02_TF_P3_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_F_03)
}

VARIABLE	Loc_TempR02_R_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_03)
		{
			method_rescale1000_int_float_03 (TempR02_P3_Me, Loc_TempR02_R_P3_Me),
			method_check_MbMe_float_03(Loc_TempR02_R_P3_Mb, Loc_TempR02_R_P3_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_03)
}

VARIABLE	TempR02_P3_R1
{
	LABEL		[P3_R1];
	HELP		[P3_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Ohm];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03 (TempR02_P3_R1, Loc_TempR02_P3_R1)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_TempR02_P3_R1
{
	LABEL		[P3_R1];
	HELP		[P3_R1_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 50.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (TempR02_P3_R1, Loc_TempR02_P3_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P3_Mode == 0)
}

VARIABLE	TempR02_P3_Pt1
{
	LABEL		[P3_FrqPt1];
	HELP		[P3_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
/*		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}
*/
		{ 0,	[Wert1]		},
		{ 1,	[Wert2]		},
		{ 2,	[Wert3]		},
		{ 3,	[Wert4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P3_Option_Leitung == 1)
}

VARIABLE	TempR02_P3_Val
{
	LABEL		[P3_Val];
	HELP		[P3_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"					},
		{ 1,	"0%" 				},
		{ 2,	"100%" 				},
		{ 3,	[letzten_wert1]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P3_Option_Leitung == 1)
}

VARIABLE	TempR02_P3_Tim
{
	LABEL		[P3_Tim];
	HELP		[P3_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P3_Option_Leitung == 1)
}

TempR02_P3_DUMMY2						LIKE VARIABLE	TempR02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index8	************************************************/
/*******************************************************************************/

TempR02_P4_Slot8						LIKE VARIABLE	P0_Slot0
{
}

TempR02_P4_Index8						LIKE VARIABLE	TempR02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 8;
			}
}
	
TempR02_P4_Mode							LIKE VARIABLE	TempR02_P1_Mode
{
}

TempR02_P4_Option_Leitung				LIKE VARIABLE	TempR02_P1_Option_Leitung
{
}

VARIABLE	TempR02_P4_Option_Sensortyp
{
	LABEL		[P4_lin_type];
	HELP		[P4_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{	0x0000,	[linear]	},
		{	0x0001,	[pt100]		},
		{	0x0002,	[pt200]		},
		{	0x0003,	[pt500]		},
		{	0x0004,	[pt1000]	},
		{	0x0005,	[ni100]		},
		{	0x0006,	[ni500]		},
		{	0x0007,	[ni1000]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempR02_P4_MbMe
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P4_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempR02_T_P4_MbMe_Unit != 32)	
			{											
				TempR02_P4_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempR02_P4_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;	
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_04)
}
TempR02_P4_Option_Stoerunterdrueckung	LIKE VARIABLE	TempR02_P1_Option_Stoerunterdrueckung
{
}

TempR02_P4_Option_Bit8_14				LIKE VARIABLE	TempR02_P1_Option_Bit8_14
{
}

TempR02_P4_Option_Kanal					LIKE VARIABLE	TempR02_P1_Option_Kanal
{
}

TempR02_P4_Option_Filter				LIKE VARIABLE	TempR02_P1_Option_Filter
{
}


/********** Skalierung *****************/

VARIABLE	TempR02_P4_ScalMb
{
	LABEL		[P4_ScalMb];
	HELP		[P4_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempR02_P4_ScalMb, TempR02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P4_ScalMe
{
	LABEL		[P4_ScalMe];
	HELP		[P4_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempR02_P4_ScalMb, TempR02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;
}

TempR02_P4_ScalOption					LIKE VARIABLE	TempR02_P1_ScalOption
{
}

VARIABLE	TempR02_P4_LimLow
{
	LABEL		[P4_LimLow];
	HELP		[P4_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempR02_P4_LimLow, TempR02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempR02_P4_LimHigh
{
	LABEL		[P4_LimHigh];
	HELP		[P4_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempR02_P4_LimLow, TempR02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempR02_P4_Filter						LIKE VARIABLE	TempR02_P1_Filter
{
}

//********** Erweitert *****************/

VARIABLE	TempR02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
		{
			method_scale1000_temp_04_C (MODUL_5y04, TempR02_P4_Mb, Loc_TempR02_TC_P4_Mb)
		}
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
		{
			method_scale1000_temp_04_F (MODUL_5y04, TempR02_P4_Mb, Loc_TempR02_TF_P4_Mb)
		}
		IF (SENSOR_RTD_R_04)
		{
			method_scale1000_int_float_04 (TempR02_P4_Mb, Loc_TempR02_R_P4_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
		{
			method_rescale1000_temp_04_C (MODUL_5y04, TempR02_P4_Mb, Loc_TempR02_TC_P4_Mb),
			method_check_MbMe_float_04(Loc_TempR02_TC_P4_Mb, Loc_TempR02_TC_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
}

VARIABLE	Loc_TempR02_TF_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
		{
			method_rescale1000_temp_04_F (MODUL_5y04, TempR02_P4_Mb, Loc_TempR02_TF_P4_Mb),
			method_check_MbMe_float_04(Loc_TempR02_TF_P4_Mb, Loc_TempR02_TF_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
}

VARIABLE	Loc_TempR02_R_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MIN_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_04)
		{
			method_rescale1000_int_float_04 (TempR02_P4_Mb, Loc_TempR02_R_P4_Mb),
			method_check_MbMe_float_04(Loc_TempR02_R_P4_Mb, Loc_TempR02_R_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_04)
}

VARIABLE	TempR02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
		{
			method_scale1000_temp_04_C (MODUL_5y04, TempR02_P4_Me, Loc_TempR02_TC_P4_Me)
		}
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
		{
			method_scale1000_temp_04_F (MODUL_5y04, TempR02_P4_Me, Loc_TempR02_TF_P4_Me)
		}
		IF (SENSOR_RTD_R_04)
		{
			method_scale1000_int_float_04 (TempR02_P4_Me, Loc_TempR02_R_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempR02_TC_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
		{
			method_rescale1000_temp_04_C (MODUL_5y04, TempR02_P4_Me, Loc_TempR02_TC_P4_Me),
			method_check_MbMe_float_04(Loc_TempR02_TC_P4_Mb, Loc_TempR02_TC_P4_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
}

VARIABLE	Loc_TempR02_TF_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
		{
			method_rescale1000_temp_04_F (MODUL_5y04, TempR02_P4_Me, Loc_TempR02_TF_P4_Me),
			method_check_MbMe_float_04(Loc_TempR02_TF_P4_Mb, Loc_TempR02_TF_P4_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_F_04)
}

VARIABLE	Loc_TempR02_R_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempR_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempR_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempR_MB_ME_MAX_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS		LOCAL;
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_RTD_R_04)
		{
			method_rescale1000_int_float_04 (TempR02_P4_Me, Loc_TempR02_R_P4_Me),
			method_check_MbMe_float_04(Loc_TempR02_R_P4_Mb, Loc_TempR02_R_P4_Me)
		}
	}
	VALIDITY	VALID_IF_TRUE (SENSOR_RTD_R_04)
}

VARIABLE	TempR02_P4_R1
{
	LABEL		[P4_R1];
	HELP		[P4_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Ohm];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04 (TempR02_P4_R1, Loc_TempR02_P4_R1)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_TempR02_P4_R1
{
	LABEL		[P4_R1];
	HELP		[P4_R1_help];
	TYPE		FLOAT
		{
			MIN_VALUE 0.00;
			MAX_VALUE 50.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (TempR02_P4_R1, Loc_TempR02_P4_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P4_Mode == 0)
}

VARIABLE	TempR02_P4_Pt1
{
	LABEL		[P4_FrqPt1];
	HELP		[P4_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
/*		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}
*/
		{ 0,	[Wert1]		},
		{ 1,	[Wert2]		},
		{ 2,	[Wert3]		},
		{ 3,	[Wert4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P4_Option_Leitung == 1)
}

VARIABLE	TempR02_P4_Val
{
	LABEL		[P4_Val];
	HELP		[P4_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"					},
		{ 1,	"0%" 				},
		{ 2,	"100%" 				},
		{ 3,	[letzten_wert1]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P4_Option_Leitung == 1)
}

VARIABLE	TempR02_P4_Tim
{
	LABEL		[P4_Tim];
	HELP		[P4_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempR02_P4_Option_Leitung == 1)
}

TempR02_P4_DUMMY2						LIKE VARIABLE	TempR02_P1_DUMMY2
{
}


/*******************************************************************************/
/*****	COMMAND				****************************************************/
/*******************************************************************************/

#define DOWNLOAD_TempR02				\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			TempR02_P1_Slot2,			\
			TempR02_P1_Index2,			\
			TempR02_P1_Mode,			\
			TempR02_P1_Option_Leitung,	\
			TempR02_P1_Option_Sensortyp,	\
			TempR02_P1_Option_Temperatur,	\
			TempR02_P1_Option_Stoerunterdrueckung,\
			TempR02_P1_Option_Kanal,	\
			TempR02_P1_Option_Filter,	\
			TempR02_P1_ScalMb,			\
			TempR02_P1_ScalMe,			\
			TempR02_P1_ScalOption,		\
			TempR02_P1_LimLow,			\
			TempR02_P1_LimHigh, 		\
			TempR02_P1_Filter,			\
			TempR02_P1_Mb,				\
			TempR02_P1_Me,				\
			TempR02_P1_R1,				\
			TempR02_P1_Pt1,				\
			TempR02_P1_Val,				\
			TempR02_P1_Tim,				\
			Mod4y5y_P2_Slot3,			\
			Mod4y5y_P2_Index3,			\
			Mod4y5y_P2_Tag,				\
			Mod4y5y_P2_State,			\
			Mod4y5y_P2_ErrMode,			\
			Mod4y5y_P2_SimVal,			\
			Mod4y5y_P2_SimState_Data,	\
			Mod4y5y_P2_SimOption,		\
			Mod4y5y_P2_ErrVal,			\
			Mod4y5y_P2_ErrState_Data,	\
			Mod4y5y_P2_ErrOption,		\
			TempR02_P2_Slot4,			\
			TempR02_P2_Index4,			\
			TempR02_P2_Mode,			\
			TempR02_P2_Option_Leitung,	\
			TempR02_P2_Option_Sensortyp,	\
			TempR02_P2_Option_Temperatur,	\
			TempR02_P2_Option_Stoerunterdrueckung,\
			TempR02_P2_Option_Kanal,	\
			TempR02_P2_Option_Filter,	\
			TempR02_P2_ScalMb,			\
			TempR02_P2_ScalMe,			\
			TempR02_P2_ScalOption,		\
			TempR02_P2_LimLow,			\
			TempR02_P2_LimHigh, 		\
			TempR02_P2_Filter,			\
			TempR02_P2_Mb,				\
			TempR02_P2_Me,				\
			TempR02_P2_R1,				\
			TempR02_P2_Pt1,				\
			TempR02_P2_Val,				\
			TempR02_P2_Tim,				\
			Mod4y5y_P3_Slot5,			\
			Mod4y5y_P3_Index5,			\
			Mod4y5y_P3_Tag,				\
			Mod4y5y_P3_State,			\
			Mod4y5y_P3_ErrMode,			\
			Mod4y5y_P3_SimVal,			\
			Mod4y5y_P3_SimState_Data,	\
			Mod4y5y_P3_SimOption,		\
			Mod4y5y_P3_ErrVal,			\
			Mod4y5y_P3_ErrState_Data,	\
			Mod4y5y_P3_ErrOption,		\
			TempR02_P3_Slot6,			\
			TempR02_P3_Index6,			\
			TempR02_P3_Mode,			\
			TempR02_P3_Option_Leitung,	\
			TempR02_P3_Option_Sensortyp,	\
			TempR02_P3_Option_Temperatur,	\
			TempR02_P3_Option_Stoerunterdrueckung,\
			TempR02_P3_Option_Kanal,	\
			TempR02_P3_Option_Filter,	\
			TempR02_P3_ScalMb,			\
			TempR02_P3_ScalMe,			\
			TempR02_P3_ScalOption,		\
			TempR02_P3_LimLow,			\
			TempR02_P3_LimHigh, 		\
			TempR02_P3_Filter,			\
			TempR02_P3_Mb,				\
			TempR02_P3_Me,				\
			TempR02_P3_R1,				\
			TempR02_P3_Pt1,				\
			TempR02_P3_Val,				\
			TempR02_P3_Tim,				\
			Mod4y5y_P4_Slot7,			\
			Mod4y5y_P4_Index7,			\
			Mod4y5y_P4_Tag,				\
			Mod4y5y_P4_State,			\
			Mod4y5y_P4_ErrMode,			\
			Mod4y5y_P4_SimVal,			\
			Mod4y5y_P4_SimState_Data,	\
			Mod4y5y_P4_SimOption,		\
			Mod4y5y_P4_ErrVal,			\
			Mod4y5y_P4_ErrState_Data,	\
			Mod4y5y_P4_ErrOption,		\
			TempR02_P4_Slot8,			\
			TempR02_P4_Index8,			\
			TempR02_P4_Mode,			\
			TempR02_P4_Option_Leitung,	\
			TempR02_P4_Option_Sensortyp,	\
			TempR02_P4_Option_Temperatur,	\
			TempR02_P4_Option_Stoerunterdrueckung,\
			TempR02_P4_Option_Kanal,	\
			TempR02_P4_Option_Filter,	\
			TempR02_P4_ScalMb,			\
			TempR02_P4_ScalMe,			\
			TempR02_P4_ScalOption,		\
			TempR02_P4_LimLow,			\
			TempR02_P4_LimHigh, 		\
			TempR02_P4_Filter,			\
			TempR02_P4_Mb,				\
			TempR02_P4_Me,				\
			TempR02_P4_R1,				\
			TempR02_P4_Pt1,				\
			TempR02_P4_Val,				\
			TempR02_P4_Tim

#define UPLOAD_TempR02				\
			P0_Type,					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			TempR02_P1_Slot2,			\
			TempR02_P1_Index2,			\
			TempR02_P1_Mode,			\
			TempR02_P1_Option_Leitung,	\
			TempR02_P1_Option_Sensortyp,	\
			TempR02_P1_Option_Temperatur,	\
			TempR02_P1_Option_Stoerunterdrueckung,\
			TempR02_P1_Option_Filter,	\
			TempR02_P1_ScalMb,			\
			TempR02_P1_ScalMe,			\
			TempR02_P1_ScalOption,		\
			TempR02_P1_LimLow,			\
			TempR02_P1_LimHigh, 		\
			TempR02_P1_Filter,			\
			TempR02_P1_Mb,				\
			TempR02_P1_Me,				\
			TempR02_P1_R1,				\
			TempR02_P1_Pt1,				\
			TempR02_P1_Val,				\
			TempR02_P1_Tim,				\
			Mod4y5y_P2_Slot3,			\
			Mod4y5y_P2_Index3,			\
			Mod4y5y_P2_Tag,				\
			Mod4y5y_P2_State,			\
			Mod4y5y_P2_ErrMode,			\
			Mod4y5y_P2_SimVal,			\
			Mod4y5y_P2_SimState_Data,	\
			Mod4y5y_P2_SimOption,		\
			Mod4y5y_P2_ErrVal,			\
			Mod4y5y_P2_ErrState_Data,	\
			Mod4y5y_P2_ErrOption,		\
			TempR02_P2_Slot4,			\
			TempR02_P2_Index4,			\
			TempR02_P2_Mode,			\
			TempR02_P2_Option_Leitung,	\
			TempR02_P2_Option_Sensortyp,	\
			TempR02_P2_Option_Temperatur,	\
			TempR02_P2_Option_Stoerunterdrueckung,\
			TempR02_P2_Option_Filter,	\
			TempR02_P2_ScalMb,			\
			TempR02_P2_ScalMe,			\
			TempR02_P2_ScalOption,		\
			TempR02_P2_LimLow,			\
			TempR02_P2_LimHigh, 		\
			TempR02_P2_Filter,			\
			TempR02_P2_Mb,				\
			TempR02_P2_Me,				\
			TempR02_P2_R1,				\
			TempR02_P2_Pt1,				\
			TempR02_P2_Val,				\
			TempR02_P2_Tim,				\
			Mod4y5y_P3_Slot5,			\
			Mod4y5y_P3_Index5,			\
			Mod4y5y_P3_Tag,				\
			Mod4y5y_P3_State,			\
			Mod4y5y_P3_ErrMode,			\
			Mod4y5y_P3_SimVal,			\
			Mod4y5y_P3_SimState_Data,	\
			Mod4y5y_P3_SimOption,		\
			Mod4y5y_P3_ErrVal,			\
			Mod4y5y_P3_ErrState_Data,	\
			Mod4y5y_P3_ErrOption,		\
			TempR02_P3_Slot6,			\
			TempR02_P3_Index6,			\
			TempR02_P3_Mode,			\
			TempR02_P3_Option_Leitung,	\
			TempR02_P3_Option_Sensortyp,	\
			TempR02_P3_Option_Temperatur,	\
			TempR02_P3_Option_Stoerunterdrueckung,\
			TempR02_P3_Option_Filter,	\
			TempR02_P3_ScalMb,			\
			TempR02_P3_ScalMe,			\
			TempR02_P3_ScalOption,		\
			TempR02_P3_LimLow,			\
			TempR02_P3_LimHigh, 		\
			TempR02_P3_Filter,			\
			TempR02_P3_Mb,				\
			TempR02_P3_Me,				\
			TempR02_P3_R1,				\
			TempR02_P3_Pt1,				\
			TempR02_P3_Val,				\
			TempR02_P3_Tim,				\
			Mod4y5y_P4_Slot7,			\
			Mod4y5y_P4_Index7,			\
			Mod4y5y_P4_Tag,				\
			Mod4y5y_P4_State,			\
			Mod4y5y_P4_ErrMode,			\
			Mod4y5y_P4_SimVal,			\
			Mod4y5y_P4_SimState_Data,	\
			Mod4y5y_P4_SimOption,		\
			Mod4y5y_P4_ErrVal,			\
			Mod4y5y_P4_ErrState_Data,	\
			Mod4y5y_P4_ErrOption,		\
			TempR02_P4_Slot8,			\
			TempR02_P4_Index8,			\
			TempR02_P4_Mode,			\
			TempR02_P4_Option_Leitung,	\
			TempR02_P4_Option_Sensortyp,	\
			TempR02_P4_Option_Temperatur,	\
			TempR02_P4_Option_Stoerunterdrueckung,\
			TempR02_P4_Option_Filter,	\
			TempR02_P4_ScalMb,			\
			TempR02_P4_ScalMe,			\
			TempR02_P4_ScalOption,		\
			TempR02_P4_LimLow,			\
			TempR02_P4_LimHigh, 		\
			TempR02_P4_Filter,			\
			TempR02_P4_Mb,				\
			TempR02_P4_Me,				\
			TempR02_P4_R1,				\
			TempR02_P4_Pt1,				\
			TempR02_P4_Val,				\
			TempR02_P4_Tim


/*******************************************************************************/
/*****	Kanal1					************************************************/
/*******************************************************************************/

COMMAND read_TempR02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempR02_P1_Slot2,
			TempR02_P1_Index2,
			TempR02_P1_Mode,
			TempR02_P1_Option_Kanal						<0x8000>,
			TempR02_P1_Option_Bit8_14					<0x7F00>,
			TempR02_P1_Option_Sensortyp					<0x00F0>,
			TempR02_P1_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P1_Option_Temperatur				<0x0004>,
			TempR02_P1_Option_Filter					<0x0002>,
			TempR02_P1_Option_Leitung					<0x0001>,
			TempR02_P1_ScalMb, 
			TempR02_P1_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P1_ScalOption						<0x0001>,
			TempR02_P1_LimLow,
			TempR02_P1_LimHigh,
			TempR02_P1_Filter,
			TempR02_P1_Mb,
			TempR02_P1_Me,
			TempR02_P1_R1,
			TempR02_P1_Pt1,
			TempR02_P1_Val,
			TempR02_P1_Tim,
			TempR02_P1_DUMMY2
		}
	}
}

COMMAND write_TempR02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempR02_P1_Slot2,
			TempR02_P1_Index2,
			TempR02_P1_Mode,
//			TempR02_P1_Option_Kanal						<0x8000>,
			TempR02_P1_Option_Bit8_14					<0xFF00>,
			TempR02_P1_Option_Sensortyp					<0x00F0>,
			TempR02_P1_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P1_Option_Temperatur				<0x0004>,
			TempR02_P1_Option_Filter					<0x0002>,
			TempR02_P1_Option_Leitung					<0x0001>,
			TempR02_P1_ScalMb, 
			TempR02_P1_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P1_ScalOption						<0x0001>,
			TempR02_P1_LimLow,
			TempR02_P1_LimHigh,
			TempR02_P1_Filter,
			TempR02_P1_Mb,
			TempR02_P1_Me,
			TempR02_P1_R1,
			TempR02_P1_Pt1,
			TempR02_P1_Val,
			TempR02_P1_Tim,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // TempR02_P1_DUMMY2		32 Byte
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0	 
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2					************************************************/
/*******************************************************************************/

COMMAND read_TempR02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempR02_P2_Slot4,
			TempR02_P2_Index4,
			TempR02_P2_Mode,
			TempR02_P2_Option_Kanal						<0x8000>,
			TempR02_P2_Option_Bit8_14					<0x7F00>,
			TempR02_P2_Option_Sensortyp					<0x00F0>,
			TempR02_P2_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P2_Option_Temperatur				<0x0004>,
			TempR02_P2_Option_Filter					<0x0002>,
			TempR02_P2_Option_Leitung					<0x0001>,
			TempR02_P2_ScalMb, 
			TempR02_P2_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P2_ScalOption						<0x0001>,
			TempR02_P2_LimLow,
			TempR02_P2_LimHigh,
			TempR02_P2_Filter,
			TempR02_P2_Mb,
			TempR02_P2_Me,
			TempR02_P2_R1,
			TempR02_P2_Pt1,
			TempR02_P2_Val,
			TempR02_P2_Tim,
			TempR02_P2_DUMMY2
		}
	}
}

COMMAND write_TempR02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempR02_P2_Slot4,
			TempR02_P2_Index4,
			TempR02_P2_Mode,
//			TempR02_P2_Option_Kanal						<0x8000>,
			TempR02_P2_Option_Bit8_14					<0xFF00>,
			TempR02_P2_Option_Sensortyp					<0x00F0>,
			TempR02_P2_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P2_Option_Temperatur				<0x0004>,
			TempR02_P2_Option_Filter					<0x0002>,
			TempR02_P2_Option_Leitung					<0x0001>,
			TempR02_P2_ScalMb, 
			TempR02_P2_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P2_ScalOption						<0x0001>,
			TempR02_P2_LimLow,
			TempR02_P2_LimHigh,
			TempR02_P2_Filter,
			TempR02_P2_Mb,
			TempR02_P2_Me,
			TempR02_P2_R1,
			TempR02_P2_Pt1,
			TempR02_P2_Val,
			TempR02_P2_Tim,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // TempR02_P2_DUMMY2		32 Byte
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0	 
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3					************************************************/
/*******************************************************************************/

COMMAND read_TempR02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempR02_P3_Slot6,
			TempR02_P3_Index6,
			TempR02_P3_Mode,
			TempR02_P3_Option_Kanal						<0x8000>,
			TempR02_P3_Option_Bit8_14					<0x7F00>,
			TempR02_P3_Option_Sensortyp					<0x00F0>,
			TempR02_P3_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P3_Option_Temperatur				<0x0004>,
			TempR02_P3_Option_Filter					<0x0002>,
			TempR02_P3_Option_Leitung					<0x0001>,
			TempR02_P3_ScalMb, 
			TempR02_P3_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P3_ScalOption						<0x0001>,
			TempR02_P3_LimLow,
			TempR02_P3_LimHigh,
			TempR02_P3_Filter,
			TempR02_P3_Mb,
			TempR02_P3_Me,
			TempR02_P3_R1,
			TempR02_P3_Pt1,
			TempR02_P3_Val,
			TempR02_P3_Tim,
			TempR02_P3_DUMMY2
		}
	}
}

COMMAND write_TempR02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempR02_P3_Slot6,
			TempR02_P3_Index6,
			TempR02_P3_Mode,
//			TempR02_P3_Option_Kanal						<0x8000>,
			TempR02_P3_Option_Bit8_14					<0xFF00>,
			TempR02_P3_Option_Sensortyp					<0x00F0>,
			TempR02_P3_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P3_Option_Temperatur				<0x0004>,
			TempR02_P3_Option_Filter					<0x0002>,
			TempR02_P3_Option_Leitung					<0x0001>,
			TempR02_P3_ScalMb, 
			TempR02_P3_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P3_ScalOption						<0x0001>,
			TempR02_P3_LimLow,
			TempR02_P3_LimHigh,
			TempR02_P3_Filter,
			TempR02_P3_Mb,
			TempR02_P3_Me,
			TempR02_P3_R1,
			TempR02_P3_Pt1,
			TempR02_P3_Val,
			TempR02_P3_Tim,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // TempR02_P3_DUMMY2		32 Byte
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0	 
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal4					************************************************/
/*******************************************************************************/

COMMAND read_TempR02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempR02_P4_Slot8,
			TempR02_P4_Index8,
			TempR02_P4_Mode,
			TempR02_P4_Option_Kanal						<0x8000>,
			TempR02_P4_Option_Bit8_14					<0x7F00>,
			TempR02_P4_Option_Sensortyp					<0x00F0>,
			TempR02_P4_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P4_Option_Temperatur				<0x0004>,
			TempR02_P4_Option_Filter					<0x0002>,
			TempR02_P4_Option_Leitung					<0x0001>,
			TempR02_P4_ScalMb, 
			TempR02_P4_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P4_ScalOption						<0x0001>,
			TempR02_P4_LimLow,
			TempR02_P4_LimHigh,
			TempR02_P4_Filter,
			TempR02_P4_Mb,
			TempR02_P4_Me,
			TempR02_P4_R1,
			TempR02_P4_Pt1,
			TempR02_P4_Val,
			TempR02_P4_Tim,
			TempR02_P4_DUMMY2
		}
	}
}

COMMAND write_TempR02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempR02_P4_Slot8,
			TempR02_P4_Index8,
			TempR02_P4_Mode,
//			TempR02_P4_Option_Kanal						<0x8000>,
			TempR02_P4_Option_Bit8_14					<0xFF00>,
			TempR02_P4_Option_Sensortyp					<0x00F0>,
			TempR02_P4_Option_Stoerunterdrueckung		<0x0008>,
			TempR02_P4_Option_Temperatur				<0x0004>,
			TempR02_P4_Option_Filter					<0x0002>,
			TempR02_P4_Option_Leitung					<0x0001>,
			TempR02_P4_ScalMb, 
			TempR02_P4_ScalMe,
			Bit1_15										<0xFFFE>,
			TempR02_P4_ScalOption						<0x0001>,
			TempR02_P4_LimLow,
			TempR02_P4_LimHigh,
			TempR02_P4_Filter,
			TempR02_P4_Mb,
			TempR02_P4_Me,
			TempR02_P4_R1,
			TempR02_P4_Pt1,
			TempR02_P4_Val,
			TempR02_P4_Tim,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // TempR02_P4_DUMMY2		32 Byte
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0	 
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_TempR02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempR02_ident_k1,
		Tab_s_TempR02_input_k1
	}
}

MENU Tab_s_TempR02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		TempR02_P1_Option_Kanal
	}
}

MENU Tab_s_TempR02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State,
		Mod4y5y_P1_ErrMode,
		TempR02_P1_Filter,
		TempR02_P1_LimLow,
		TempR02_P1_LimHigh,
		Tab_s_TempR02_input_simulation_k1,
		Tab_s_TempR02_input_ersatzwert_k1,
		Tab_s_TempR02_input_skal_k1,
		Tab_s_TempR02_input_lfd_k1,
		Tab_s_TempR02_input_messumformer_k1
	}
}

MENU Tab_s_TempR02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal,
		Mod4y5y_P1_SimOption,
		Mod4y5y_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_s_TempR02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal,
		Mod4y5y_P1_ErrOption,
		Mod4y5y_P1_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_s_TempR02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_ScalOption,
		TempR02_P1_ScalMb,
		TempR02_P1_ScalMe
	}
}

MENU Tab_s_TempR02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_Option_Leitung,
		TempR02_P1_Pt1,
		TempR02_P1_Val,
		TempR02_P1_Tim
	}
}

MENU Tab_s_TempR02_input_messumformer_k1
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_Option_Sensortyp,
		TempR02_P1_Mode,
		Loc_TempR02_P1_R1,
		TempR02_P1_Option_Stoerunterdrueckung,
		TempR02_P1_Option_Filter,
		Loc_TempR02_T_P1_MbMe_Unit,
		Loc_TempR02_TC_P1_Mb,
		Loc_TempR02_TC_P1_Me,
		Loc_TempR02_TF_P1_Mb,
		Loc_TempR02_TF_P1_Me,
		Loc_TempR02_R_P1_Mb,
		Loc_TempR02_R_P1_Me
	}
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_TempR02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempR02_ident_k2,
		Tab_s_TempR02_input_k2
	}
}

MENU Tab_s_TempR02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		TempR02_P2_Option_Kanal
	}
}

MENU Tab_s_TempR02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State,
		Mod4y5y_P2_ErrMode,
		TempR02_P2_Filter,
		TempR02_P2_LimLow,
		TempR02_P2_LimHigh,
		Tab_s_TempR02_input_simulation_k2,
		Tab_s_TempR02_input_ersatzwert_k2,
		Tab_s_TempR02_input_skal_k2,
		Tab_s_TempR02_input_lfd_k2,
		Tab_s_TempR02_input_messumformer_k2
	}
}

MENU Tab_s_TempR02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal,
		Mod4y5y_P2_SimOption,
		Mod4y5y_P2_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}

MENU Tab_s_TempR02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal,
		Mod4y5y_P2_ErrOption,
		Mod4y5y_P2_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_s_TempR02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_ScalOption,
		TempR02_P2_ScalMb,
		TempR02_P2_ScalMe
	}
}

MENU Tab_s_TempR02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_Option_Leitung,
		TempR02_P2_Pt1,
		TempR02_P2_Val,
		TempR02_P2_Tim
	}
}

MENU Tab_s_TempR02_input_messumformer_k2
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_Option_Sensortyp,
		TempR02_P2_Mode,
		Loc_TempR02_P2_R1,
		TempR02_P2_Option_Stoerunterdrueckung,
		TempR02_P2_Option_Filter,
		Loc_TempR02_T_P2_MbMe_Unit,
		Loc_TempR02_TC_P2_Mb,
		Loc_TempR02_TC_P2_Me,
		Loc_TempR02_TF_P2_Mb,
		Loc_TempR02_TF_P2_Me,
		Loc_TempR02_R_P2_Mb,
		Loc_TempR02_R_P2_Me
	}
}

/*******************************************************************************/
/*****	Kanal3			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_TempR02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempR02_ident_k3,
		Tab_s_TempR02_input_k3
	}
}

MENU Tab_s_TempR02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		TempR02_P3_Option_Kanal
	}
}

MENU Tab_s_TempR02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State,
		Mod4y5y_P3_ErrMode,
		TempR02_P3_Filter,
		TempR02_P3_LimLow,
		TempR02_P3_LimHigh,
		Tab_s_TempR02_input_simulation_k3,
		Tab_s_TempR02_input_ersatzwert_k3,
		Tab_s_TempR02_input_skal_k3,
		Tab_s_TempR02_input_lfd_k3,
		Tab_s_TempR02_input_messumformer_k3
	}
}

MENU Tab_s_TempR02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal,
		Mod4y5y_P3_SimOption,
		Mod4y5y_P3_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}

MENU Tab_s_TempR02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal,
		Mod4y5y_P3_ErrOption,
		Mod4y5y_P3_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_s_TempR02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_ScalOption,
		TempR02_P3_ScalMb,
		TempR02_P3_ScalMe
	}
}

MENU Tab_s_TempR02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_Option_Leitung,
		TempR02_P3_Pt1,
		TempR02_P3_Val,
		TempR02_P3_Tim
	}
}

MENU Tab_s_TempR02_input_messumformer_k3
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_Option_Sensortyp,
		TempR02_P3_Mode,
		Loc_TempR02_P3_R1,
		TempR02_P3_Option_Stoerunterdrueckung,
		TempR02_P3_Option_Filter,
		Loc_TempR02_T_P3_MbMe_Unit,
		Loc_TempR02_TC_P3_Mb,
		Loc_TempR02_TC_P3_Me,
		Loc_TempR02_TF_P3_Mb,
		Loc_TempR02_TF_P3_Me,
		Loc_TempR02_R_P3_Mb,
		Loc_TempR02_R_P3_Me
	}
}

/*******************************************************************************/
/*****	Kanal4			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_TempR02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempR02_ident_k4,
		Tab_s_TempR02_input_k4
	}
}

MENU Tab_s_TempR02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		TempR02_P4_Option_Kanal
	}
}

MENU Tab_s_TempR02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State,
		Mod4y5y_P4_ErrMode,
		TempR02_P4_Filter,
		TempR02_P4_LimLow,
		TempR02_P4_LimHigh,
		Tab_s_TempR02_input_simulation_k4,
		Tab_s_TempR02_input_ersatzwert_k4,
		Tab_s_TempR02_input_skal_k4,
		Tab_s_TempR02_input_lfd_k4,
		Tab_s_TempR02_input_messumformer_k4
	}
}

MENU Tab_s_TempR02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal,
		Mod4y5y_P4_SimOption,
		Mod4y5y_P4_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}

MENU Tab_s_TempR02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal,
		Mod4y5y_P4_ErrOption,
		Mod4y5y_P4_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_s_TempR02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_ScalOption,
		TempR02_P4_ScalMb,
		TempR02_P4_ScalMe
	}
}

MENU Tab_s_TempR02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_Option_Leitung,
		TempR02_P4_Pt1,
		TempR02_P4_Val,
		TempR02_P4_Tim
	}
}

MENU Tab_s_TempR02_input_messumformer_k4
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_Option_Sensortyp,
		TempR02_P4_Mode,
		Loc_TempR02_P4_R1,
		TempR02_P4_Option_Stoerunterdrueckung,
		TempR02_P4_Option_Filter,
		Loc_TempR02_T_P4_MbMe_Unit,
		Loc_TempR02_TC_P4_Mb,
		Loc_TempR02_TC_P4_Me,
		Loc_TempR02_TF_P4_Mb,
		Loc_TempR02_TF_P4_Me,
		Loc_TempR02_R_P4_Mb,
		Loc_TempR02_R_P4_Me
	}
}


/*******************************************************************************/
/*****	Table: Maintenance  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_TempR02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempR02_ident_k1,
		Tab_m_TempR02_input_k1
	}
}

MENU Tab_m_TempR02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		TempR02_P1_Option_Kanal
	}
}

MENU Tab_m_TempR02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State						(READ_ONLY),
		Mod4y5y_P1_ErrMode						(READ_ONLY),
		TempR02_P1_Filter						(READ_ONLY),
		TempR02_P1_LimLow						(READ_ONLY),
		TempR02_P1_LimHigh						(READ_ONLY),
		Tab_m_TempR02_input_simulation_k1,
		Tab_m_TempR02_input_ersatzwert_k1,
		Tab_m_TempR02_input_skal_k1,
		Tab_m_TempR02_input_lfd_k1,
		Tab_m_TempR02_input_messumformer_k1
	}
}

MENU Tab_m_TempR02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal					(READ_ONLY),
		Mod4y5y_P1_SimOption					(READ_ONLY),
		Mod4y5y_P1_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}


MENU Tab_m_TempR02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal					(READ_ONLY),
		Mod4y5y_P1_ErrOption					(READ_ONLY),
		Mod4y5y_P1_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_m_TempR02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_ScalOption					(READ_ONLY),
		TempR02_P1_ScalMb						(READ_ONLY),
		TempR02_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_Option_Leitung				(READ_ONLY),
		TempR02_P1_Pt1							(READ_ONLY),
		TempR02_P1_Val							(READ_ONLY),
		TempR02_P1_Tim							(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_messumformer_k1
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P1_Option_Sensortyp				(READ_ONLY),
		TempR02_P1_Mode							(READ_ONLY),
		Loc_TempR02_P1_R1						(READ_ONLY),
		TempR02_P1_Option_Stoerunterdrueckung	(READ_ONLY),
		TempR02_P1_Option_Filter				(READ_ONLY),
		Loc_TempR02_TC_P1_Mb					(READ_ONLY),
		Loc_TempR02_TC_P1_Me					(READ_ONLY),
		Loc_TempR02_TF_P1_Mb					(READ_ONLY),
		Loc_TempR02_TF_P1_Me					(READ_ONLY),
		Loc_TempR02_R_P1_Mb						(READ_ONLY),
		Loc_TempR02_R_P1_Me						(READ_ONLY)
	}
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_TempR02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempR02_ident_k2,
		Tab_m_TempR02_input_k2
	}
}

MENU Tab_m_TempR02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		TempR02_P2_Option_Kanal
	}
}

MENU Tab_m_TempR02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State						(READ_ONLY),
		Mod4y5y_P2_ErrMode						(READ_ONLY),
		TempR02_P2_Filter						(READ_ONLY),
		TempR02_P2_LimLow						(READ_ONLY),
		TempR02_P2_LimHigh						(READ_ONLY),
		Tab_m_TempR02_input_simulation_k2,
		Tab_m_TempR02_input_ersatzwert_k2,
		Tab_m_TempR02_input_skal_k2,
		Tab_m_TempR02_input_lfd_k2,
		Tab_m_TempR02_input_messumformer_k2
	}
}

MENU Tab_m_TempR02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal					(READ_ONLY),
		Mod4y5y_P2_SimOption					(READ_ONLY),
		Mod4y5y_P2_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}


MENU Tab_m_TempR02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal					(READ_ONLY),
		Mod4y5y_P2_ErrOption					(READ_ONLY),
		Mod4y5y_P2_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_m_TempR02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_ScalOption					(READ_ONLY),
		TempR02_P2_ScalMb						(READ_ONLY),
		TempR02_P2_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_Option_Leitung				(READ_ONLY),
		TempR02_P2_Pt1							(READ_ONLY),
		TempR02_P2_Val							(READ_ONLY),
		TempR02_P2_Tim							(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_messumformer_k2
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P2_Option_Sensortyp				(READ_ONLY),
		TempR02_P2_Mode							(READ_ONLY),
		Loc_TempR02_P2_R1						(READ_ONLY),
		TempR02_P2_Option_Stoerunterdrueckung	(READ_ONLY),
		TempR02_P2_Option_Filter				(READ_ONLY),
		Loc_TempR02_T_P2_MbMe_Unit				(READ_ONLY),
		Loc_TempR02_TC_P2_Mb					(READ_ONLY),
		Loc_TempR02_TC_P2_Me					(READ_ONLY),
		Loc_TempR02_TF_P2_Mb					(READ_ONLY),
		Loc_TempR02_TF_P2_Me					(READ_ONLY),
		Loc_TempR02_R_P2_Mb						(READ_ONLY),
		Loc_TempR02_R_P2_Me						(READ_ONLY)
	}
}

/*******************************************************************************/
/*****	Kanal3			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_TempR02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempR02_ident_k3,
		Tab_m_TempR02_input_k3
	}
}

MENU Tab_m_TempR02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		TempR02_P3_Option_Kanal
	}
}

MENU Tab_m_TempR02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State						(READ_ONLY),
		Mod4y5y_P3_ErrMode						(READ_ONLY),
		TempR02_P3_Filter						(READ_ONLY),
		TempR02_P3_LimLow						(READ_ONLY),
		TempR02_P3_LimHigh						(READ_ONLY),
		Tab_m_TempR02_input_simulation_k3,
		Tab_m_TempR02_input_ersatzwert_k3,
		Tab_m_TempR02_input_skal_k3,
		Tab_m_TempR02_input_lfd_k3,
		Tab_m_TempR02_input_messumformer_k3
	}
}

MENU Tab_m_TempR02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal					(READ_ONLY),
		Mod4y5y_P3_SimOption					(READ_ONLY),
		Mod4y5y_P3_SimState_Data				(READ_ONLY)
	}	
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}


MENU Tab_m_TempR02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal					(READ_ONLY),
		Mod4y5y_P3_ErrOption					(READ_ONLY),
		Mod4y5y_P3_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_m_TempR02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_ScalOption					(READ_ONLY),
		TempR02_P3_ScalMb						(READ_ONLY),
		TempR02_P3_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_Option_Leitung				(READ_ONLY),
		TempR02_P3_Pt1							(READ_ONLY),
		TempR02_P3_Val							(READ_ONLY),
		TempR02_P3_Tim							(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_messumformer_k3
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P3_Option_Sensortyp				(READ_ONLY),
		TempR02_P3_Mode							(READ_ONLY),
		Loc_TempR02_P3_R1						(READ_ONLY),
		TempR02_P3_Option_Stoerunterdrueckung	(READ_ONLY),
		TempR02_P3_Option_Filter				(READ_ONLY),
		Loc_TempR02_T_P3_MbMe_Unit				(READ_ONLY),
		Loc_TempR02_TC_P3_Mb					(READ_ONLY),
		Loc_TempR02_TC_P3_Me					(READ_ONLY),
		Loc_TempR02_TF_P3_Mb					(READ_ONLY),
		Loc_TempR02_TF_P3_Me					(READ_ONLY),
		Loc_TempR02_R_P3_Mb						(READ_ONLY),
		Loc_TempR02_R_P3_Me						(READ_ONLY)
	}
}

/*******************************************************************************/
/*****	Kanal4			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_TempR02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempR02_ident_k4,
		Tab_m_TempR02_input_k4
	}
}

MENU Tab_m_TempR02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		TempR02_P4_Option_Kanal
	}
}

MENU Tab_m_TempR02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State						(READ_ONLY),
		Mod4y5y_P4_ErrMode						(READ_ONLY),
		TempR02_P4_Filter						(READ_ONLY),
		TempR02_P4_LimLow						(READ_ONLY),
		TempR02_P4_LimHigh						(READ_ONLY),
		Tab_m_TempR02_input_simulation_k4,
		Tab_m_TempR02_input_ersatzwert_k4,
		Tab_m_TempR02_input_skal_k4,
		Tab_m_TempR02_input_lfd_k4,
		Tab_m_TempR02_input_messumformer_k4
	}
}

MENU Tab_m_TempR02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal					(READ_ONLY),
		Mod4y5y_P4_SimOption					(READ_ONLY),
		Mod4y5y_P4_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}


MENU Tab_m_TempR02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal					(READ_ONLY),
		Mod4y5y_P4_ErrOption					(READ_ONLY),
		Mod4y5y_P4_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_m_TempR02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_ScalOption					(READ_ONLY),
		TempR02_P4_ScalMb						(READ_ONLY),
		TempR02_P4_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_Option_Leitung				(READ_ONLY),
		TempR02_P4_Pt1							(READ_ONLY),
		TempR02_P4_Val							(READ_ONLY),
		TempR02_P4_Tim							(READ_ONLY)
	}
}

MENU Tab_m_TempR02_input_messumformer_k4
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempR02_P4_Option_Sensortyp				(READ_ONLY),
		TempR02_P4_Mode							(READ_ONLY),
		Loc_TempR02_P4_R1						(READ_ONLY),
		TempR02_P4_Option_Stoerunterdrueckung	(READ_ONLY),
		TempR02_P4_Option_Filter				(READ_ONLY),
		Loc_TempR02_T_P4_MbMe_Unit				(READ_ONLY),
		Loc_TempR02_TC_P4_Mb					(READ_ONLY),
		Loc_TempR02_TC_P4_Me					(READ_ONLY),
		Loc_TempR02_TF_P4_Mb					(READ_ONLY),
		Loc_TempR02_TF_P4_Me					(READ_ONLY),
		Loc_TempR02_R_P4_Mb						(READ_ONLY),
		Loc_TempR02_R_P4_Me						(READ_ONLY)
	}
}
