/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Thermoelement Meumformer			*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.23  $                                    */
/*  $Date:   06 Apr 2000 12:47:48  $                        */
/*----------------------------------------------------------*/


#define		SENSOR_TC_UNIT_C_01							\
			(TempTC02_P1_Option_Temperatur == 0)		\

#define		SENSOR_TC_UNIT_C_02							\
			(TempTC02_P2_Option_Temperatur == 0)		\

#define		SENSOR_TC_UNIT_C_03							\
			(TempTC02_P3_Option_Temperatur == 0)		\

#define		SENSOR_TC_UNIT_C_04							\
			(TempTC02_P4_Option_Temperatur == 0)		\

#define		SENSOR_TC_UNIT_F_01							\
			(TempTC02_P1_Option_Temperatur != 0)		\

#define		SENSOR_TC_UNIT_F_02							\
			(TempTC02_P2_Option_Temperatur != 0)		\

#define		SENSOR_TC_UNIT_F_03							\
			(TempTC02_P3_Option_Temperatur != 0)		\

#define		SENSOR_TC_UNIT_F_04							\
			(TempTC02_P4_Option_Temperatur != 0)		\

#define		TempTC_CALC_01(TempVal_TTTC_01)		\
			IF (SENSOR_TC_UNIT_C_01)					\
			{											\
				TempVal_TTTC_01;						\
			}											\
			ELSE										\
			{											\
				(TempVal_TTTC_01 * 1.8) + 32.0;			\
			}
			
#define		TempTC_CALC_02(TempVal_TTTC_02)		\
			IF (SENSOR_TC_UNIT_C_02)					\
			{											\
				TempVal_TTTC_02;						\
			}											\
			ELSE										\
			{											\
				(TempVal_TTTC_02 * 1.8) + 32.0;			\
			}

#define		TempTC_CALC_03(TempVal_TTTC_03)		\
			IF (SENSOR_TC_UNIT_C_03)					\
			{											\
				TempVal_TTTC_03;						\
			}											\
			ELSE										\
			{											\
				(TempVal_TTTC_03 * 1.8) + 32.0;			\
			}

#define		TempTC_CALC_04(TempVal_TTTC_04)		\
			IF (SENSOR_TC_UNIT_C_04)					\
			{											\
				TempVal_TTTC_04;						\
			}											\
			ELSE										\
			{											\
				(TempVal_TTTC_04 * 1.8) + 32.0;			\
			}

#define		SENSOR_TC_VOLT_01							\
			(TempTC02_P1_Mode == 0x0000)				\

#define		SENSOR_TC_VOLT_02							\
			(TempTC02_P2_Mode == 0x0000)				\

#define		SENSOR_TC_VOLT_03							\
			(TempTC02_P3_Mode == 0x0000)				\

#define		SENSOR_TC_VOLT_04							\
			(TempTC02_P4_Mode == 0x0000)				\


#define		SENSOR_TC_TEMP_01							\
			(TempTC02_P1_Mode != 0x0000)				\

#define		SENSOR_TC_TEMP_02							\
			(TempTC02_P2_Mode != 0x0000)				\

#define		SENSOR_TC_TEMP_03							\
			(TempTC02_P3_Mode != 0x0000)				\

#define		SENSOR_TC_TEMP_04							\
			(TempTC02_P4_Mode != 0x0000)				\

#define		VoltTC_CALC_01

#define		VoltTC_CALC_02

#define		VoltTC_CALC_03

#define		VoltTC_CALC_04

#define		TempTC_MB_ME_MIN_VALUES_01					\
			IF (SENSOR_TC_UNIT_C_01)					\
			{											\
				SELECT (TempTC02_P1_Mode) /*Celsius*/	\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-200.000;				\
					CASE 2:		0.000;					\
					CASE 3:		-270.000;				\
					CASE 4:		-270.000;				\
					CASE 5:		-200.000;				\
					CASE 6:		0.000;					\
					CASE 7:		-200.000;				\
					CASE 8:		-50.000;				\
					CASE 9:		-210.000;				\
					CASE 10:	-210.000;				\
					CASE 11:	-100.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P1_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-328.000;				\
					CASE 2:		32.000;					\
					CASE 3:		-454.000;				\
					CASE 4:		-454.000;				\
					CASE 5:		-328.000;				\
					CASE 6:		32.000;					\
					CASE 7:		-328.000;				\
					CASE 8:		-54.000;				\
					CASE 9:		-346.000;				\
					CASE 10:	-346.000;				\
					CASE 11:	-148.000;				\
				}										\
			}

#define		TempTC_MB_ME_MIN_VALUES_02					\
			IF (SENSOR_TC_UNIT_C_02)					\
			{											\
				SELECT (TempTC02_P2_Mode) /*Celsius*/	\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-200.000;				\
					CASE 2:		0.000;					\
					CASE 3:		-270.000;				\
					CASE 4:		-270.000;				\
					CASE 5:		-200.000;				\
					CASE 6:		0.000;					\
					CASE 7:		-200.000;				\
					CASE 8:		-50.000;				\
					CASE 9:		-210.000;				\
					CASE 10:	-210.000;				\
					CASE 11:	-100.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P2_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-328.000;				\
					CASE 2:		32.000;					\
					CASE 3:		-454.000;				\
					CASE 4:		-454.000;				\
					CASE 5:		-328.000;				\
					CASE 6:		32.000;					\
					CASE 7:		-328.000;				\
					CASE 8:		-54.000;				\
					CASE 9:		-346.000;				\
					CASE 10:	-346.000;				\
					CASE 11:	-148.000;				\
				}										\
			}

#define		TempTC_MB_ME_MIN_VALUES_03					\
			IF (SENSOR_TC_UNIT_C_03)					\
			{											\
				SELECT (TempTC02_P3_Mode) /*Celsius*/	\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-200.000;				\
					CASE 2:		0.000;					\
					CASE 3:		-270.000;				\
					CASE 4:		-270.000;				\
					CASE 5:		-200.000;				\
					CASE 6:		0.000;					\
					CASE 7:		-200.000;				\
					CASE 8:		-50.000;				\
					CASE 9:		-210.000;				\
					CASE 10:	-210.000;				\
					CASE 11:	-100.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P3_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-328.000;				\
					CASE 2:		32.000;					\
					CASE 3:		-454.000;				\
					CASE 4:		-454.000;				\
					CASE 5:		-328.000;				\
					CASE 6:		32.000;					\
					CASE 7:		-328.000;				\
					CASE 8:		-54.000;				\
					CASE 9:		-346.000;				\
					CASE 10:	-346.000;				\
					CASE 11:	-148.000;				\
				}										\
			}

#define		TempTC_MB_ME_MIN_VALUES_04					\
			IF (SENSOR_TC_UNIT_C_04)					\
			{											\
				SELECT (TempTC02_P4_Mode) /*Celsius*/	\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-200.000;				\
					CASE 2:		0.000;					\
					CASE 3:		-270.000;				\
					CASE 4:		-270.000;				\
					CASE 5:		-200.000;				\
					CASE 6:		0.000;					\
					CASE 7:		-200.000;				\
					CASE 8:		-50.000;				\
					CASE 9:		-210.000;				\
					CASE 10:	-210.000;				\
					CASE 11:	-100.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P4_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		-65.000;	/*linear*/	\
					CASE 1:		-328.000;				\
					CASE 2:		32.000;					\
					CASE 3:		-454.000;				\
					CASE 4:		-454.000;				\
					CASE 5:		-328.000;				\
					CASE 6:		32.000;					\
					CASE 7:		-328.000;				\
					CASE 8:		-54.000;				\
					CASE 9:		-346.000;				\
					CASE 10:	-346.000;				\
					CASE 11:	-148.000;				\
				}										\
			}

#define		TempTC_MB_ME_MAX_VALUES_01				  	\
			IF (SENSOR_TC_UNIT_C_01)					\
			{											\
				SELECT (TempTC02_P1_Mode) /*Celsius*/	\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		600.000;				\
					CASE 2:		1820.000;				\
					CASE 3:		1000.000;				\
					CASE 4:		400.000;				\
					CASE 5:		1370.000;				\
					CASE 6:		1760.000;				\
					CASE 7:		900.000;				\
					CASE 8:		1760.000;				\
					CASE 9:		1200.000;				\
					CASE 10:	1200.000;				\
					CASE 11:	1300.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P1_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		1112.000;				\
					CASE 2:		3308.000;				\
					CASE 3:		1832.000;				\
					CASE 4:		752.000; 				\
					CASE 5:		2498.000;				\
					CASE 6:		3200.000;				\
					CASE 7:		1652.000;				\
					CASE 8:		3200.000;				\
					CASE 9:		2192.000;				\
					CASE 10:	2192.000;				\
					CASE 11:	2372.000;				\
				}										\
			}

#define		TempTC_MB_ME_MAX_VALUES_02				  	\
			IF (SENSOR_TC_UNIT_C_02)					\
			{											\
				SELECT (TempTC02_P2_Mode) /*Celsius*/	\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		600.000;				\
					CASE 2:		1820.000;				\
					CASE 3:		1000.000;				\
					CASE 4:		400.000;				\
					CASE 5:		1370.000;				\
					CASE 6:		1760.000;				\
					CASE 7:		900.000;				\
					CASE 8:		1760.000;				\
					CASE 9:		1200.000;				\
					CASE 10:	1200.000;				\
					CASE 11:	1300.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P2_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		1112.000;				\
					CASE 2:		3308.000;				\
					CASE 3:		1832.000;				\
					CASE 4:		752.000; 				\
					CASE 5:		2498.000;				\
					CASE 6:		3200.000;				\
					CASE 7:		1652.000;				\
					CASE 8:		3200.000;				\
					CASE 9:		2192.000;				\
					CASE 10:	2192.000;				\
					CASE 11:	2372.000;				\
				}										\
			}

#define		TempTC_MB_ME_MAX_VALUES_03				  	\
			IF (SENSOR_TC_UNIT_C_03)					\
			{											\
				SELECT (TempTC02_P3_Mode) /*Celsius*/	\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		600.000;				\
					CASE 2:		1820.000;				\
					CASE 3:		1000.000;				\
					CASE 4:		400.000;				\
					CASE 5:		1370.000;				\
					CASE 6:		1760.000;				\
					CASE 7:		900.000;				\
					CASE 8:		1760.000;				\
					CASE 9:		1200.000;				\
					CASE 10:	1200.000;				\
					CASE 11:	1300.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P3_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		1112.000;				\
					CASE 2:		3308.000;				\
					CASE 3:		1832.000;				\
					CASE 4:		752.000; 				\
					CASE 5:		2498.000;				\
					CASE 6:		3200.000;				\
					CASE 7:		1652.000;				\
					CASE 8:		3200.000;				\
					CASE 9:		2192.000;				\
					CASE 10:	2192.000;				\
					CASE 11:	2372.000;				\
				}										\
			}

#define		TempTC_MB_ME_MAX_VALUES_04				  	\
			IF (SENSOR_TC_UNIT_C_04)					\
			{											\
				SELECT (TempTC02_P4_Mode) /*Celsius*/	\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		600.000;				\
					CASE 2:		1820.000;				\
					CASE 3:		1000.000;				\
					CASE 4:		400.000;				\
					CASE 5:		1370.000;				\
					CASE 6:		1760.000;				\
					CASE 7:		900.000;				\
					CASE 8:		1760.000;				\
					CASE 9:		1200.000;				\
					CASE 10:	1200.000;				\
					CASE 11:	1300.000;				\
				}										\
			}											\
			ELSE										\
			{											\
				SELECT (TempTC02_P4_Mode) /*Fahrenheit*/\
				{										\
					CASE 0:		75.000;	/*linear*/		\
					CASE 1:		1112.000;				\
					CASE 2:		3308.000;				\
					CASE 3:		1832.000;				\
					CASE 4:		752.000; 				\
					CASE 5:		2498.000;				\
					CASE 6:		3200.000;				\
					CASE 7:		1652.000;				\
					CASE 8:		3200.000;				\
					CASE 9:		2192.000;				\
					CASE 10:	2192.000;				\
					CASE 11:	2372.000;				\
				}										\
			}


/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

UNIT TempTCC02_P1_MB_ME_UNIT_RELATION 	// Temperatur C
{
	Loc_TempTC02_P1_MbMe_Unit:
	
	Loc_TempTCC02_P1_Mb,
	Loc_TempTCC02_P1_Me,
	Loc_TempTCC02_P1_Vst
}

UNIT TempTCF02_P1_MB_ME_UNIT_RELATION 	// Temperatur F
{
	Loc_TempTC02_P1_MbMe_Unit:
	
	Loc_TempTCF02_P1_Mb,
	Loc_TempTCF02_P1_Me,
	Loc_TempTCF02_P1_Vst
}

UNIT VoltTC02_P1_MB_ME_UNIT_RELATION 	// Voltage
{
	Loc_VoltTC02_P1_MbMe_Unit:
	
	Loc_VoltTC02_P1_Mb,
	Loc_VoltTC02_P1_Me
}

VARIABLE Loc_TempTC02_P1_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;	
		{32,  [degC]	},										
		{33,  [degF]	}
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempTC02_P1_Option_Temperatur != 0)	
			{											
				Loc_TempTC02_P1_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempTC02_P1_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P1_MbMe_Unit != 32)	
			{											
				TempTC02_P1_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P1_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_VoltTC02_P1_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 36;	
		{36,  [mV]		}
	}
	HANDLING	READ & WRITE;
}

UNIT TempTCC02_P2_MB_ME_UNIT_RELATION 	// Temperatur C
{
	Loc_TempTC02_P2_MbMe_Unit:
	
	Loc_TempTCC02_P2_Mb,
	Loc_TempTCC02_P2_Me,
	Loc_TempTCC02_P2_Vst
}

UNIT TempTCF02_P2_MB_ME_UNIT_RELATION 	// Temperatur F
{
	Loc_TempTC02_P2_MbMe_Unit:
	
	Loc_TempTCF02_P2_Mb,
	Loc_TempTCF02_P2_Me,
	Loc_TempTCF02_P2_Vst
}

UNIT VoltTC02_P2_MB_ME_UNIT_RELATION 	// Voltage
{
	Loc_VoltTC02_P2_MbMe_Unit:
	
	Loc_VoltTC02_P2_Mb,
	Loc_VoltTC02_P2_Me
}

VARIABLE Loc_TempTC02_P2_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;	
		{32,  [degC]	},										
		{33,  [degF]	}
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempTC02_P2_Option_Temperatur != 0)	
			{											
				Loc_TempTC02_P2_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempTC02_P2_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P2_MbMe_Unit != 32)	
			{											
				TempTC02_P2_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P2_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_VoltTC02_P2_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 36;	
		{36,  [mV]		}
	}
	HANDLING	READ & WRITE;
}

UNIT TempTCC02_P3_MB_ME_UNIT_RELATION 	// Temperatur C
{
	Loc_TempTC02_P3_MbMe_Unit:
	
	Loc_TempTCC02_P3_Mb,
	Loc_TempTCC02_P3_Me,
	Loc_TempTCC02_P3_Vst
}

UNIT TempTCF02_P3_MB_ME_UNIT_RELATION 	// Temperatur F
{
	Loc_TempTC02_P3_MbMe_Unit:
	
	Loc_TempTCF02_P3_Mb,
	Loc_TempTCF02_P3_Me,
	Loc_TempTCF02_P3_Vst
}

UNIT VoltTC02_P3_MB_ME_UNIT_RELATION 	// Voltage
{
	Loc_VoltTC02_P3_MbMe_Unit:
	
	Loc_VoltTC02_P3_Mb,
	Loc_VoltTC02_P3_Me
}

VARIABLE Loc_TempTC02_P3_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;	
		{32,  [degC]	},										
		{33,  [degF]	}
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempTC02_P3_Option_Temperatur != 0)	
			{											
				Loc_TempTC02_P3_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempTC02_P3_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P3_MbMe_Unit != 32)	
			{											
				TempTC02_P3_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P3_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_VoltTC02_P3_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 36;	
		{36,  [mV]		}
	}
	HANDLING	READ & WRITE;
}

UNIT TempTCC02_P4_MB_ME_UNIT_RELATION 	// Temperatur C
{
	Loc_TempTC02_P4_MbMe_Unit:
	
	Loc_TempTCC02_P4_Mb,
	Loc_TempTCC02_P4_Me,
	Loc_TempTCC02_P4_Vst
}

UNIT TempTCF02_P4_MB_ME_UNIT_RELATION 	// Temperatur F
{
	Loc_TempTC02_P4_MbMe_Unit:
	
	Loc_TempTCF02_P4_Mb,
	Loc_TempTCF02_P4_Me,
	Loc_TempTCF02_P4_Vst
}

UNIT VoltTC02_P4_MB_ME_UNIT_RELATION 	// Voltage
{
	Loc_VoltTC02_P4_MbMe_Unit:
	
	Loc_VoltTC02_P4_Mb,
	Loc_VoltTC02_P4_Me
}

VARIABLE Loc_TempTC02_P4_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 32;	
		{32,  [degC]	},										
		{33,  [degF]	}
	}
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (TempTC02_P4_Option_Temperatur != 0)	
			{											
				Loc_TempTC02_P4_MbMe_Unit = 33;		// [degF]
			}											
			else 
			{											
				Loc_TempTC02_P4_MbMe_Unit = 32;		// [degC]
			}											
		}
	}
	POST_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P4_MbMe_Unit != 32)	
			{											
				TempTC02_P4_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P4_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE Loc_VoltTC02_P4_MbMe_Unit
{
	LABEL		[unit];
	HELP		[unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 36;	
		{36,  [mV]		}
	}
	HANDLING	READ & WRITE;
}

/***********************************************************************/
/*    METHOD												           */
/***********************************************************************/

METHOD methode_set_TempTC02_P1_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_TC_VOLT_01)
		{
			Loc_VoltTC02_P1_Mb		= Loc_VoltTC02_P1_Mb.DEFAULT_VALUE;
			Loc_VoltTC02_P1_Me		= Loc_VoltTC02_P1_Me.DEFAULT_VALUE;
			Loc_TempTCC02_P1_Vst	= Loc_TempTCC02_P1_Vst.DEFAULT_VALUE;
			Loc_TempTCF02_P1_Vst	= Loc_TempTCF02_P1_Vst.DEFAULT_VALUE;
		}
		else	if (SENSOR_TC_UNIT_C_01)
				{
					Loc_TempTCC02_P1_Mb	= Loc_TempTCC02_P1_Mb.DEFAULT_VALUE;
					Loc_TempTCC02_P1_Me	= Loc_TempTCC02_P1_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempTCF02_P1_Mb	= Loc_TempTCF02_P1_Mb.DEFAULT_VALUE;
					Loc_TempTCF02_P1_Me	= Loc_TempTCF02_P1_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempTC02_P2_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_TC_VOLT_02)
		{
			Loc_VoltTC02_P2_Mb		= Loc_VoltTC02_P2_Mb.DEFAULT_VALUE;
			Loc_VoltTC02_P2_Me		= Loc_VoltTC02_P2_Me.DEFAULT_VALUE;
			Loc_TempTCC02_P2_Vst	= Loc_TempTCC02_P2_Vst.DEFAULT_VALUE;
			Loc_TempTCF02_P2_Vst	= Loc_TempTCF02_P2_Vst.DEFAULT_VALUE;
		}
		else	if (SENSOR_TC_UNIT_C_02)
				{
					Loc_TempTCC02_P2_Mb	= Loc_TempTCC02_P2_Mb.DEFAULT_VALUE;
					Loc_TempTCC02_P2_Me	= Loc_TempTCC02_P2_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempTCF02_P2_Mb	= Loc_TempTCF02_P2_Mb.DEFAULT_VALUE;
					Loc_TempTCF02_P2_Me	= Loc_TempTCF02_P2_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempTC02_P3_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_TC_VOLT_03)
		{
			Loc_VoltTC02_P3_Mb		= Loc_VoltTC02_P3_Mb.DEFAULT_VALUE;
			Loc_VoltTC02_P3_Me		= Loc_VoltTC02_P3_Me.DEFAULT_VALUE;
			Loc_TempTCC02_P3_Vst	= Loc_TempTCC02_P3_Vst.DEFAULT_VALUE;
			Loc_TempTCF02_P3_Vst	= Loc_TempTCF02_P3_Vst.DEFAULT_VALUE;
		}
		else	if (SENSOR_TC_UNIT_C_03)
				{
					Loc_TempTCC02_P3_Mb	= Loc_TempTCC02_P3_Mb.DEFAULT_VALUE;
					Loc_TempTCC02_P3_Me	= Loc_TempTCC02_P3_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempTCF02_P3_Mb	= Loc_TempTCF02_P3_Mb.DEFAULT_VALUE;
					Loc_TempTCF02_P3_Me	= Loc_TempTCF02_P3_Me.DEFAULT_VALUE;
				}
	}
}

METHOD methode_set_TempTC02_P4_MbMe
{
	CLASS			INPUT;
	DEFINITION
	{
		if (SENSOR_TC_VOLT_04)
		{
			Loc_VoltTC02_P4_Mb		= Loc_VoltTC02_P4_Mb.DEFAULT_VALUE;
			Loc_VoltTC02_P4_Me		= Loc_VoltTC02_P4_Me.DEFAULT_VALUE;
			Loc_TempTCC02_P4_Vst	= Loc_TempTCC02_P4_Vst.DEFAULT_VALUE;
			Loc_TempTCF02_P4_Vst	= Loc_TempTCF02_P4_Vst.DEFAULT_VALUE;
		}
		else	if (SENSOR_TC_UNIT_C_04)
				{
					Loc_TempTCC02_P4_Mb	= Loc_TempTCC02_P4_Mb.DEFAULT_VALUE;
					Loc_TempTCC02_P4_Me	= Loc_TempTCC02_P4_Me.DEFAULT_VALUE;
				}
				else
				{
					Loc_TempTCF02_P4_Mb	= Loc_TempTCF02_P4_Mb.DEFAULT_VALUE;
					Loc_TempTCF02_P4_Me	= Loc_TempTCF02_P4_Me.DEFAULT_VALUE;
				}
	}
}

/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/

TempTC02_P1_Slot2		LIKE VARIABLE	P0_Slot0
{
}

TempTC02_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
		DEFAULT_VALUE 2;
	}
}

VARIABLE	TempTC02_P1_Mode
{
	LABEL		[P1_lin_type];
	HELP		[P1_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 5;
		{ 0,	[linear]				},
		{ 1,	[thermoelement_U]			},
		{ 2,	[thermoelement_B]			},
		{ 3,	[thermoelement_E]			},
		{ 4,	[thermoelement_T]			},
		{ 5,	[thermoelement_K]			},
		{ 6,	[thermoelement_S]			},
		{ 7,	[thermoelement_R]			},
		{ 8,	[thermoelement_L]			},
		{ 9,	[thermoelement_J]			},
		{ 10,	[thermoelement_N]			},
		{ 11,	[thermoelement_Pallaplat]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempTC02_P1_MbMe
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Option_Vergleichstelle
{
	LABEL		[P1_Option_Vergleichstelle];
	HELP		[P1_Option_Vergleichstelle_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{	0x0000,	[intern_opt]	},
		{	0x0001,	[extern_opt]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P1_MbMe_Unit != 32)	
			{											
				TempTC02_P1_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P1_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_01)
}

VARIABLE	TempTC02_P1_Option_Stoerunterdrueckung
{
	LABEL		[P1_Option_Stoerunterdrueckung];
	HELP		[P1_Option_Stoerunterdrueckung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[hz50]	},
		{	0x0001,	[hz60]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Option_Bit4_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}


/********** Skalierung *****************/

VARIABLE	TempTC02_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempTC02_P1_ScalMb, TempTC02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempTC02_P1_ScalMb, TempTC02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;

}

VARIABLE	TempTC02_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempTC02_P1_LimLow, TempTC02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_01(TempTC02_P1_LimLow, TempTC02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}
	
	CONSTANT_UNIT	[Percent_Second];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

//********** Erweitert *****************/

VARIABLE	TempTC02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
		{
			method_scale1000_temp_01_C (MODUL_5y05, TempTC02_P1_Mb, Loc_TempTCC02_P1_Mb)
		}
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
		{
			method_scale1000_temp_01_F (MODUL_5y05, TempTC02_P1_Mb, Loc_TempTCF02_P1_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_01;
//		DEFAULT_VALUE	TempTC_CALC_01 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
		{
			method_rescale1000_temp_01_C (MODUL_5y05, TempTC02_P1_Mb, Loc_TempTCC02_P1_Mb),
			method_check_MbMe_float_01(Loc_TempTCC02_P1_Mb, Loc_TempTCC02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
}

VARIABLE	Loc_TempTCF02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_01;
//		DEFAULT_VALUE	TempTC_CALC_01 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
		{
			method_rescale1000_temp_01_F (MODUL_5y05, TempTC02_P1_Mb, Loc_TempTCF02_P1_Mb),
			method_check_MbMe_float_01(Loc_TempTCF02_P1_Mb, Loc_TempTCF02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
}

VARIABLE	VoltTC02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_01)
		{
			method_scale1000_int_float_01 (VoltTC02_P1_Mb, Loc_VoltTC02_P1_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_01 (-75.0);
		MAX_VALUE		VoltTC_CALC_01 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_01 (-65.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
//		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_01)
		{
			method_rescale1000_int_float_01 (VoltTC02_P1_Mb, Loc_VoltTC02_P1_Mb),
			method_check_MbMe_float_01(Loc_VoltTC02_P1_Mb, Loc_VoltTC02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_01)
}

VARIABLE	TempTC02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
		{
			method_scale1000_temp_01_C (MODUL_5y05, TempTC02_P1_Me, Loc_TempTCC02_P1_Me)
		}
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
		{
			method_scale1000_temp_01_F (MODUL_5y05, TempTC02_P1_Me, Loc_TempTCF02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_01;
//		DEFAULT_VALUE	TempTC_CALC_01 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
		{
			method_rescale1000_temp_01_C (MODUL_5y05, TempTC02_P1_Me, Loc_TempTCC02_P1_Me),
			method_check_MbMe_float_01(Loc_TempTCC02_P1_Mb, Loc_TempTCC02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
}

VARIABLE	Loc_TempTCF02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_01;
//		DEFAULT_VALUE	TempTC_CALC_01 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
		{
			method_rescale1000_temp_01_F (MODUL_5y05, TempTC02_P1_Me, Loc_TempTCF02_P1_Me),
			method_check_MbMe_float_01(Loc_TempTCF02_P1_Mb, Loc_TempTCF02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_F_01)
}

VARIABLE	VoltTC02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_01)
		{
			method_scale1000_int_float_01 (VoltTC02_P1_Me, Loc_VoltTC02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_01 (-75.0);
		MAX_VALUE		VoltTC_CALC_01 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_01 (75.0);
//		DEFAULT_VALUE	VoltTC_CALC_01 (100.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_01;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_01;
//		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_01;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_01)
		{
			method_rescale1000_int_float_01 (VoltTC02_P1_Me, Loc_VoltTC02_P1_Me),
			method_check_MbMe_float_01(Loc_VoltTC02_P1_Mb, Loc_VoltTC02_P1_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_01)
}

VARIABLE	TempTC02_P1_R1
{
	LABEL		[P1_R1];
	HELP		[P1_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01 (TempTC02_P1_R1, Loc_TempTC02_P1_R1)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTC02_P1_R1
{
	LABEL		[P1_R1];
	HELP		[P1_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0.00;
		MAX_VALUE 50.00;
		DEFAULT_VALUE 0.00;
	}	
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (TempTC02_P1_R1, Loc_TempTC02_P1_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P1_Option_Vergleichstelle == 0x0000)
}

VARIABLE	TempTC02_P1_Pt1
{
	LABEL		[P1_FrqPt1];
	HELP		[P1_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P1_Option_Leitung == 1)
}

VARIABLE	TempTC02_P1_Val
{
	LABEL		[P1_Val];
	HELP		[P1_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P1_Option_Leitung == 1)
}

VARIABLE	TempTC02_P1_Tim
{
	LABEL		[P1_Tim];
	HELP		[P1_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P1_Option_Leitung == 1)
}

VARIABLE	TempTC02_P1_Vst
{
	LABEL		[P1_Vst];
	HELP		[P1_Vst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_temp_01_C (MODUL_5y05, TempTC02_P1_Vst, Loc_TempTCC02_P1_Vst)
	}
	POST_READ_ACTIONS
	{
		method_scale100_temp_01_F (MODUL_5y05, TempTC02_P1_Vst, Loc_TempTCF02_P1_Vst)
	}

	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P1_Vst
{
	LABEL		[P1_Vst];
	HELP		[P1_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_01 (0.00);
		MAX_VALUE		TempTC_CALC_01 (100.00);
		DEFAULT_VALUE	TempTC_CALC_01 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_01_C (MODUL_5y05, TempTC02_P1_Vst, Loc_TempTCC02_P1_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P1_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_C_01)
}

VARIABLE	Loc_TempTCF02_P1_Vst
{
	LABEL		[P1_Vst];
	HELP		[P1_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_01 (0.00);
		MAX_VALUE		TempTC_CALC_01 (100.00);
		DEFAULT_VALUE	TempTC_CALC_01 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_01_F (MODUL_5y05, TempTC02_P1_Vst, Loc_TempTCF02_P1_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P1_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_F_01)
}

VARIABLE	TempTC02_P1_Tast
{
	LABEL		[P1_Tast];
	HELP		[P1_Tast_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 1;
	}
	
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P1_Option_Vergleichstelle == 0x0001)
}

VARIABLE	TempTC02_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (28);
	CLASS		CONTAINED;
	HANDLING	READ;
}



/*******************************************************************************/
/*****	Variables Kanal2 Index4	************************************************/
/*******************************************************************************/

TempTC02_P2_Slot4						LIKE VARIABLE	P0_Slot0
{
}

TempTC02_P2_Index4						LIKE VARIABLE	TempTC02_P1_Index2
{
		REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 4;
			}
}

VARIABLE	TempTC02_P2_Mode
{
	LABEL		[P2_lin_type];
	HELP		[P2_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 5;
		{ 0,	[linear]				},
		{ 1,	[thermoelement_U]			},
		{ 2,	[thermoelement_B]			},
		{ 3,	[thermoelement_E]			},
		{ 4,	[thermoelement_T]			},
		{ 5,	[thermoelement_K]			},
		{ 6,	[thermoelement_S]			},
		{ 7,	[thermoelement_R]			},
		{ 8,	[thermoelement_L]			},
		{ 9,	[thermoelement_J]			},
		{ 10,	[thermoelement_N]			},
		{ 11,	[thermoelement_Pallaplat]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempTC02_P2_MbMe
	}
	HANDLING	READ & WRITE;
}

TempTC02_P2_Option_Leitung				LIKE VARIABLE	TempTC02_P1_Option_Leitung
{
}

TempTC02_P2_Option_Vergleichstelle		LIKE VARIABLE	TempTC02_P1_Option_Vergleichstelle
{
}

VARIABLE	TempTC02_P2_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P2_MbMe_Unit != 32)	
			{											
				TempTC02_P2_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P2_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_02)
}

TempTC02_P2_Option_Stoerunterdrueckung	LIKE VARIABLE	TempTC02_P1_Option_Stoerunterdrueckung
{
}

TempTC02_P2_Option_Bit4_14				LIKE VARIABLE	TempTC02_P1_Option_Bit4_14
{
}

TempTC02_P2_Option_Kanal				LIKE VARIABLE	TempTC02_P1_Option_Kanal
{
}

/********** Skalierung *****************/

VARIABLE	TempTC02_P2_ScalMb
{
	LABEL		[P2_ScalMb];
	HELP		[P2_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempTC02_P2_ScalMb, TempTC02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P2_ScalMe
{
	LABEL		[P2_ScalMe];
	HELP		[P2_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempTC02_P2_ScalMb, TempTC02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;

}

TempTC02_P2_ScalOption					LIKE VARIABLE	TempTC02_P1_ScalOption
{
}

VARIABLE	TempTC02_P2_LimLow
{
	LABEL		[P2_LimLow];
	HELP		[P2_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempTC02_P2_LimLow, TempTC02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P2_LimHigh
{
	LABEL		[P2_LimHigh];
	HELP		[P2_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_02(TempTC02_P2_LimLow, TempTC02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempTC02_P2_Filter						LIKE VARIABLE	TempTC02_P1_Filter
{
}

//********** Erweitert *****************/

VARIABLE	TempTC02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
		{
			method_scale1000_temp_02_C (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCC02_P2_Me)
		}
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
		{
			method_scale1000_temp_02_F (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCF02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_02;
//		DEFAULT_VALUE	TempTC_CALC_02 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
		{
			method_rescale1000_temp_02_C (MODUL_5y05, TempTC02_P2_Mb, Loc_TempTCC02_P2_Mb),
			method_check_MbMe_float_02(Loc_TempTCC02_P2_Mb, Loc_TempTCC02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
}

VARIABLE	Loc_TempTCF02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_02;
//		DEFAULT_VALUE	TempTC_CALC_02 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
		{
			method_rescale1000_temp_02_F (MODUL_5y05, TempTC02_P2_Mb, Loc_TempTCF02_P2_Mb),
			method_check_MbMe_float_02(Loc_TempTCF02_P2_Mb, Loc_TempTCF02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
}

VARIABLE	VoltTC02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_02)
		{
			method_scale1000_int_float_02 (VoltTC02_P2_Mb, Loc_VoltTC02_P2_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P2_Mb
{
	LABEL		[P2_Mb];
	HELP		[P2_Mb_help];
	TYPE		FLOAT
	{
//		MIN_VALUE		-75.0;
//		MAX_VALUE		85.0;
//		DEFAULT_VALUE	-65.0;
		MIN_VALUE		VoltTC_CALC_02 (-75.0);
		MAX_VALUE		VoltTC_CALC_02 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_02 (-65.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
//		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_02)
		{
			method_rescale1000_int_float_02 (VoltTC02_P2_Mb, Loc_VoltTC02_P2_Mb),
			method_check_MbMe_float_02(Loc_VoltTC02_P2_Mb, Loc_VoltTC02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_02)
}

VARIABLE	TempTC02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
		{
			method_scale1000_temp_02_C (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCC02_P2_Me)
		}
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
		{
			method_scale1000_temp_02_F (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCF02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_02;
//		DEFAULT_VALUE	TempTC_CALC_02 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
		{
			method_rescale1000_temp_02_C (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCC02_P2_Me),
			method_check_MbMe_float_02(Loc_TempTCC02_P2_Mb, Loc_TempTCC02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
}

VARIABLE	Loc_TempTCF02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_02;
//		DEFAULT_VALUE	TempTC_CALC_02 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
		{
			method_rescale1000_temp_02_F (MODUL_5y05, TempTC02_P2_Me, Loc_TempTCF02_P2_Me),
			method_check_MbMe_float_02(Loc_TempTCF02_P2_Mb, Loc_TempTCF02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_F_02)
}

VARIABLE	VoltTC02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_02)
		{
			method_scale1000_int_float_02 (VoltTC02_P2_Me, Loc_VoltTC02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P2_Me
{
	LABEL		[P2_Me];
	HELP		[P2_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_02 (-75.0);
		MAX_VALUE		VoltTC_CALC_02 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_02 (75.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_02;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_02;
//		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_02;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_02)
		{
			method_rescale1000_int_float_02 (VoltTC02_P2_Me, Loc_VoltTC02_P2_Me),
			method_check_MbMe_float_02(Loc_VoltTC02_P2_Mb, Loc_VoltTC02_P2_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_02)
}

VARIABLE	TempTC02_P2_R1
{
	LABEL		[P2_R1];
	HELP		[P2_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02 (TempTC02_P2_R1, Loc_TempTC02_P2_R1)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTC02_P2_R1
{
	LABEL		[P2_R1];
	HELP		[P2_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0.00;
		MAX_VALUE 50.00;
		DEFAULT_VALUE 0.00;
	}	
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (TempTC02_P2_R1, Loc_TempTC02_P2_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P2_Option_Vergleichstelle == 0x0000)
}

VARIABLE	TempTC02_P2_Pt1
{
	LABEL		[P2_FrqPt1];
	HELP		[P2_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P2_Option_Leitung == 1)
}

VARIABLE	TempTC02_P2_Val
{
	LABEL		[P2_Val];
	HELP		[P2_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P2_Option_Leitung == 1)
}

VARIABLE	TempTC02_P2_Tim
{
	LABEL		[P2_Tim];
	HELP		[P2_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P2_Option_Leitung == 1)
}

VARIABLE	TempTC02_P2_Vst
{
	LABEL		[P2_Vst];
	HELP		[P2_Vst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_temp_02_C (MODUL_5y05, TempTC02_P2_Vst, Loc_TempTCC02_P2_Vst)
	}
	POST_READ_ACTIONS
	{
		method_scale100_temp_02_F (MODUL_5y05, TempTC02_P2_Vst, Loc_TempTCF02_P2_Vst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P2_Vst
{
	LABEL		[P2_Vst];
	HELP		[P2_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_02 (0.00);
		MAX_VALUE		TempTC_CALC_02 (100.00);
		DEFAULT_VALUE	TempTC_CALC_02 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_02_C (MODUL_5y05, TempTC02_P2_Vst, Loc_TempTCC02_P2_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P2_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_C_02)
}

VARIABLE	Loc_TempTCF02_P2_Vst
{
	LABEL		[P2_Vst];
	HELP		[P2_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_02 (0.00);
		MAX_VALUE		TempTC_CALC_02 (100.00);
		DEFAULT_VALUE	TempTC_CALC_02 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_02_F (MODUL_5y05, TempTC02_P2_Vst, Loc_TempTCF02_P2_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P2_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_F_02)
}

VARIABLE	TempTC02_P2_Tast
{
	LABEL		[P2_Tast];
	HELP		[P2_Tast_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 1;
	}
	
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P2_Option_Vergleichstelle == 0x0001)
}

TempTC02_P2_DUMMY2						LIKE VARIABLE	TempTC02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index6	************************************************/
/*******************************************************************************/

TempTC02_P3_Slot6						LIKE VARIABLE	P0_Slot0
{
}

TempTC02_P3_Index6						LIKE VARIABLE	TempTC02_P1_Index2
{
		REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 6;
			}
}

VARIABLE	TempTC02_P3_Mode
{
	LABEL		[P3_lin_type];
	HELP		[P3_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 5;
		{ 0,	[linear]				},
		{ 1,	[thermoelement_U]			},
		{ 2,	[thermoelement_B]			},
		{ 3,	[thermoelement_E]			},
		{ 4,	[thermoelement_T]			},
		{ 5,	[thermoelement_K]			},
		{ 6,	[thermoelement_S]			},
		{ 7,	[thermoelement_R]			},
		{ 8,	[thermoelement_L]			},
		{ 9,	[thermoelement_J]			},
		{ 10,	[thermoelement_N]			},
		{ 11,	[thermoelement_Pallaplat]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempTC02_P3_MbMe
	}
	HANDLING	READ & WRITE;
}

TempTC02_P3_Option_Leitung				LIKE VARIABLE	TempTC02_P1_Option_Leitung
{
}

TempTC02_P3_Option_Vergleichstelle		LIKE VARIABLE	TempTC02_P1_Option_Vergleichstelle
{
}

VARIABLE	TempTC02_P3_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P3_MbMe_Unit != 32)	
			{											
				TempTC02_P3_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P3_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_03)
}

TempTC02_P3_Option_Stoerunterdrueckung	LIKE VARIABLE	TempTC02_P1_Option_Stoerunterdrueckung
{
}

TempTC02_P3_Option_Bit4_14				LIKE VARIABLE	TempTC02_P1_Option_Bit4_14
{
}

TempTC02_P3_Option_Kanal				LIKE VARIABLE	TempTC02_P1_Option_Kanal
{
}


/********** Skalierung *****************/

VARIABLE	TempTC02_P3_ScalMb
{
	LABEL		[P3_ScalMb];
	HELP		[P3_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempTC02_P3_ScalMb, TempTC02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P3_ScalMe
{
	LABEL		[P3_ScalMe];
	HELP		[P3_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempTC02_P3_ScalMb, TempTC02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;

}

TempTC02_P3_ScalOption					LIKE VARIABLE	TempTC02_P1_ScalOption
{
}

VARIABLE	TempTC02_P3_LimLow
{
	LABEL		[P3_LimLow];
	HELP		[P3_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempTC02_P3_LimLow, TempTC02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P3_LimHigh
{
	LABEL		[P3_LimHigh];
	HELP		[P3_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_03(TempTC02_P3_LimLow, TempTC02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempTC02_P3_Filter						LIKE VARIABLE	TempTC02_P1_Filter
{
}

//********** Erweitert *****************/

VARIABLE	TempTC02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
		{
			method_scale1000_temp_03_C (MODUL_5y05, TempTC02_P3_Mb, Loc_TempTCC02_P3_Mb)
		}
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
		{
			method_scale1000_temp_03_F (MODUL_5y05, TempTC02_P3_Mb, Loc_TempTCF02_P3_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_03;
//		DEFAULT_VALUE	TempTC_CALC_03 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
		{
			method_rescale1000_temp_03_C (MODUL_5y05, TempTC02_P3_Mb, Loc_TempTCC02_P3_Mb),
			method_check_MbMe_float_03(Loc_TempTCC02_P3_Mb, Loc_TempTCC02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
}

VARIABLE	Loc_TempTCF02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_03;
//		DEFAULT_VALUE	TempTC_CALC_03 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
		{
			method_rescale1000_temp_03_F (MODUL_5y05, TempTC02_P3_Mb, Loc_TempTCF02_P3_Mb),
			method_check_MbMe_float_03(Loc_TempTCF02_P3_Mb, Loc_TempTCF02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
}

VARIABLE	VoltTC02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_03)
		{
			method_scale1000_int_float_03 (VoltTC02_P3_Mb, Loc_VoltTC02_P3_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P3_Mb
{
	LABEL		[P3_Mb];
	HELP		[P3_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_03 (-75.0);
		MAX_VALUE		VoltTC_CALC_03 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_03 (-65.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
//		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_03)
		{
			method_rescale1000_int_float_03 (VoltTC02_P3_Mb, Loc_VoltTC02_P3_Mb),
			method_check_MbMe_float_03(Loc_VoltTC02_P3_Mb, Loc_VoltTC02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_03)
}

VARIABLE	TempTC02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
		{
			method_scale1000_temp_03_C (MODUL_5y05, TempTC02_P3_Me, Loc_TempTCC02_P3_Me)
		}
	}
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
		{
			method_scale1000_temp_03_F (MODUL_5y05, TempTC02_P3_Me, Loc_TempTCF02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_03;
//		DEFAULT_VALUE	TempTC_CALC_03 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
		{
			method_rescale1000_temp_03_C (MODUL_5y05, TempTC02_P3_Me, Loc_TempTCC02_P3_Me),
			method_check_MbMe_float_03(Loc_TempTCC02_P3_Mb, Loc_TempTCC02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
}

VARIABLE	Loc_TempTCF02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_03;
//		DEFAULT_VALUE	TempTC_CALC_03 (100.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
		{
			method_rescale1000_temp_03_F (MODUL_5y05, TempTC02_P3_Me, Loc_TempTCF02_P3_Me),
			method_check_MbMe_float_03(Loc_TempTCF02_P3_Mb, Loc_TempTCF02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_F_03)
}

VARIABLE	VoltTC02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_03)
		{
			method_scale1000_int_float_03 (VoltTC02_P3_Me, Loc_VoltTC02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P3_Me
{
	LABEL		[P3_Me];
	HELP		[P3_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_03 (-75.0);
		MAX_VALUE		VoltTC_CALC_03 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_03 (75.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_03;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_03;
//		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_03;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_03)
		{
			method_rescale1000_int_float_03 (VoltTC02_P3_Me, Loc_VoltTC02_P3_Me),
			method_check_MbMe_float_03(Loc_VoltTC02_P3_Mb, Loc_VoltTC02_P3_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_03)
}
	
VARIABLE	TempTC02_P3_R1
{
	LABEL		[P3_R1];
	HELP		[P3_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03 (TempTC02_P3_R1, Loc_TempTC02_P3_R1)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTC02_P3_R1
{
	LABEL		[P3_R1];
	HELP		[P3_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0.00;
		MAX_VALUE 50.00;
		DEFAULT_VALUE 0.00;
	}	
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (TempTC02_P3_R1, Loc_TempTC02_P3_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P3_Option_Vergleichstelle == 0x0000)
}

VARIABLE	TempTC02_P3_Pt1
{
	LABEL		[P3_FrqPt1];
	HELP		[P3_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P3_Option_Leitung == 1)
}

VARIABLE	TempTC02_P3_Val
{
	LABEL		[P3_Val];
	HELP		[P3_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P3_Option_Leitung == 1)
}

VARIABLE	TempTC02_P3_Tim
{
	LABEL		[P3_Tim];
	HELP		[P3_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P3_Option_Leitung == 1)
}

VARIABLE	TempTC02_P3_Vst
{
	LABEL		[P3_Vst];
	HELP		[P3_Vst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_temp_03_C (MODUL_5y05, TempTC02_P3_Vst, Loc_TempTCC02_P3_Vst)
	}
	POST_READ_ACTIONS
	{
		method_scale100_temp_03_F (MODUL_5y05, TempTC02_P3_Vst, Loc_TempTCF02_P3_Vst)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_TempTCC02_P3_Vst
{
	LABEL		[P3_Vst];
	HELP		[P3_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_03 (0.00);
		MAX_VALUE		TempTC_CALC_03 (100.00);
		DEFAULT_VALUE	TempTC_CALC_03 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_03_C (MODUL_5y05, TempTC02_P3_Vst, Loc_TempTCC02_P3_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P3_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_C_03)
}

VARIABLE	Loc_TempTCF02_P3_Vst
{
	LABEL		[P3_Vst];
	HELP		[P3_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_03 (0.00);
		MAX_VALUE		TempTC_CALC_03 (100.00);
		DEFAULT_VALUE	TempTC_CALC_03 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_03_F (MODUL_5y05, TempTC02_P3_Vst, Loc_TempTCF02_P3_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P3_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_F_03)
}

VARIABLE	TempTC02_P3_Tast
{
	LABEL		[P3_Tast];
	HELP		[P3_Tast_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 1;
	}
	
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P3_Option_Vergleichstelle == 0x0001)
}

TempTC02_P3_DUMMY2						LIKE VARIABLE	TempTC02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index8	************************************************/
/*******************************************************************************/

TempTC02_P4_Slot8						LIKE VARIABLE	P0_Slot0
{
}

TempTC02_P4_Index8						LIKE VARIABLE	TempTC02_P1_Index2
{
		REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 8;
			}
}

VARIABLE	TempTC02_P4_Mode
{
	LABEL		[P4_lin_type];
	HELP		[P4_lin_type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 5;
		{ 0,	[linear]				},
		{ 1,	[thermoelement_U]			},
		{ 2,	[thermoelement_B]			},
		{ 3,	[thermoelement_E]			},
		{ 4,	[thermoelement_T]			},
		{ 5,	[thermoelement_K]			},
		{ 6,	[thermoelement_S]			},
		{ 7,	[thermoelement_R]			},
		{ 8,	[thermoelement_L]			},
		{ 9,	[thermoelement_J]			},
		{ 10,	[thermoelement_N]			},
		{ 11,	[thermoelement_Pallaplat]	}
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		methode_set_TempTC02_P4_MbMe
	}
	HANDLING	READ & WRITE;
}

TempTC02_P4_Option_Leitung				LIKE VARIABLE	TempTC02_P1_Option_Leitung
{
}

TempTC02_P4_Option_Vergleichstelle		LIKE VARIABLE	TempTC02_P1_Option_Vergleichstelle
{
}

VARIABLE	TempTC02_P4_Option_Temperatur
{
	LABEL		[unit];
	HELP		[unit_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;	
		{0,  [degC]	},
		{1,  [degF]	}
	}
	CLASS		CONTAINED;
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if (Loc_TempTC02_P4_MbMe_Unit != 32)	
			{											
				TempTC02_P4_Option_Temperatur = 1;	// [degF]
			}											
			else 
			{											
				TempTC02_P4_Option_Temperatur = 0;	// [degC]
			}											
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_04)
}

TempTC02_P4_Option_Stoerunterdrueckung	LIKE VARIABLE	TempTC02_P1_Option_Stoerunterdrueckung
{
}

TempTC02_P4_Option_Bit4_14				LIKE VARIABLE	TempTC02_P1_Option_Bit4_14
{
}

TempTC02_P4_Option_Kanal				LIKE VARIABLE	TempTC02_P1_Option_Kanal
{
}


/********** Skalierung *****************/

VARIABLE	TempTC02_P4_ScalMb
{
	LABEL		[P4_ScalMb];
	HELP		[P4_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempTC02_P4_ScalMb, TempTC02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P4_ScalMe
{
	LABEL		[P4_ScalMe];
	HELP		[P4_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempTC02_P4_ScalMb, TempTC02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;

}

TempTC02_P4_ScalOption					LIKE VARIABLE	TempTC02_P1_ScalOption
{
}

VARIABLE	TempTC02_P4_LimLow
{
	LABEL		[P4_LimLow];
	HELP		[P4_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempTC02_P4_LimLow, TempTC02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	TempTC02_P4_LimHigh
{
	LABEL		[P4_LimHigh];
	HELP		[P4_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int_04(TempTC02_P4_LimLow, TempTC02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}

TempTC02_P4_Filter						LIKE VARIABLE	TempTC02_P1_Filter
{
}

//********** Erweitert *****************/

VARIABLE	TempTC02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
		{
			method_scale1000_temp_04_C (MODUL_5y05, TempTC02_P4_Mb, Loc_TempTCC02_P4_Mb)
		}
	}
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
		{
			method_scale1000_temp_04_F (MODUL_5y05, TempTC02_P4_Mb, Loc_TempTCF02_P4_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_04;
//		DEFAULT_VALUE	TempTC_CALC_04 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
		{
			method_rescale1000_temp_04_C (MODUL_5y05, TempTC02_P4_Mb, Loc_TempTCC02_P4_Mb),
			method_check_MbMe_float_04(Loc_TempTCC02_P4_Mb, Loc_TempTCC02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
}

VARIABLE	Loc_TempTCF02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_04;
//		DEFAULT_VALUE	TempTC_CALC_04 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
		{
			method_rescale1000_temp_04_F (MODUL_5y05, TempTC02_P4_Mb, Loc_TempTCF02_P4_Mb),
			method_check_MbMe_float_04(Loc_TempTCF02_P4_Mb, Loc_TempTCF02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
}

VARIABLE	VoltTC02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_04)
		{
			method_scale1000_int_float_04 (VoltTC02_P4_Mb, Loc_VoltTC02_P4_Mb)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P4_Mb
{
	LABEL		[P4_Mb];
	HELP		[P4_Mb_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_04 (-75.0);
		MAX_VALUE		VoltTC_CALC_04 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_04 (-65.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
//		DEFAULT_VALUE	TempTC_MB_ME_MIN_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_04)
		{
			method_rescale1000_int_float_04 (VoltTC02_P4_Mb, Loc_VoltTC02_P4_Mb),
			method_check_MbMe_float_04(Loc_VoltTC02_P4_Mb, Loc_VoltTC02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_04)
}

VARIABLE	TempTC02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
		{
			method_scale1000_temp_04_C (MODUL_5y05, TempTC02_P4_Me, Loc_TempTCC02_P4_Me)
		}
	}
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
		{
			method_scale1000_temp_04_F (MODUL_5y05, TempTC02_P4_Me, Loc_TempTCF02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_TempTCC02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_04;
//		DEFAULT_VALUE	TempTC_CALC_04 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
		{
			method_rescale1000_temp_04_C (MODUL_5y05, TempTC02_P4_Me, Loc_TempTCC02_P4_Me),
			method_check_MbMe_float_04(Loc_TempTCC02_P4_Mb, Loc_TempTCC02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
}

VARIABLE	Loc_TempTCF02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_04;
//		DEFAULT_VALUE	TempTC_CALC_04 (0.0);
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
		{
			method_rescale1000_temp_04_F (MODUL_5y05, TempTC02_P4_Me, Loc_TempTCF02_P4_Me),
			method_check_MbMe_float_04(Loc_TempTCF02_P4_Mb, Loc_TempTCF02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_F_04)
}

VARIABLE	VoltTC02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE	100000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		IF (SENSOR_TC_VOLT_04)
		{
			method_scale1000_int_float_04 (VoltTC02_P4_Me, Loc_VoltTC02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VoltTC02_P4_Me
{
	LABEL		[P4_Me];
	HELP		[P4_Me_help];
	TYPE		FLOAT
	{
		MIN_VALUE		VoltTC_CALC_04 (-75.0);
		MAX_VALUE		VoltTC_CALC_04 (85.0);
		DEFAULT_VALUE	VoltTC_CALC_04 (75.0);
//		MIN_VALUE		TempTC_MB_ME_MIN_VALUES_04;
//		MAX_VALUE		TempTC_MB_ME_MAX_VALUES_04;
//		DEFAULT_VALUE	TempTC_MB_ME_MAX_VALUES_04;
		DISPLAY_FORMAT ".3f";
	}
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		IF (SENSOR_TC_VOLT_04)
		{
			method_rescale1000_int_float_04 (VoltTC02_P4_Me, Loc_VoltTC02_P4_Me),
			method_check_MbMe_float_04(Loc_VoltTC02_P4_Mb, Loc_VoltTC02_P4_Me)
		}
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (SENSOR_TC_VOLT_04)
}
	
VARIABLE	TempTC02_P4_R1
{
	LABEL		[P4_R1];
	HELP		[P4_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04 (TempTC02_P4_R1, Loc_TempTC02_P4_R1)
	}
	HANDLING	READ & WRITE;
}


VARIABLE	Loc_TempTC02_P4_R1
{
	LABEL		[P4_R1];
	HELP		[P4_R1_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0.00;
		MAX_VALUE 50.00;
		DEFAULT_VALUE 0.00;
	}	
	CONSTANT_UNIT	[Ohm];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (TempTC02_P4_R1, Loc_TempTC02_P4_R1)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P4_Option_Vergleichstelle == 0x0000)
}

VARIABLE	TempTC02_P4_Pt1
{
	LABEL		[P4_FrqPt1];
	HELP		[P4_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P4_Option_Leitung == 1)
}

VARIABLE	TempTC02_P4_Val
{
	LABEL		[P4_Val];
	HELP		[P4_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P4_Option_Leitung == 1)
}

VARIABLE	TempTC02_P4_Tim
{
	LABEL		[P4_Tim];
	HELP		[P4_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P4_Option_Leitung == 1)
}

VARIABLE	TempTC02_P4_Vst
{
	LABEL		[P4_Vst];
	HELP		[P4_Vst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_temp_04_C (MODUL_5y05, TempTC02_P4_Vst, Loc_TempTCC02_P4_Vst)
	}
	POST_READ_ACTIONS
	{
		method_scale100_temp_04_F (MODUL_5y05, TempTC02_P4_Vst, Loc_TempTCF02_P4_Vst)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_TempTCC02_P4_Vst
{
	LABEL		[P4_Vst];
	HELP		[P4_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_04 (0.00);
		MAX_VALUE		TempTC_CALC_04 (100.00);
		DEFAULT_VALUE	TempTC_CALC_04 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_04_C (MODUL_5y05, TempTC02_P4_Vst, Loc_TempTCC02_P4_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P4_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_C_04)
}

VARIABLE	Loc_TempTCF02_P4_Vst
{
	LABEL		[P4_Vst];
	HELP		[P4_Vst_help];
	TYPE		FLOAT
	{
		MIN_VALUE		TempTC_CALC_04 (0.00);
		MAX_VALUE		TempTC_CALC_04 (100.00);
		DEFAULT_VALUE	TempTC_CALC_04 (50.00);
		DISPLAY_FORMAT	".2f";
	}	
	CLASS		LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_temp_04_F (MODUL_5y05, TempTC02_P4_Vst, Loc_TempTCF02_P4_Vst)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE ((TempTC02_P4_Option_Vergleichstelle == 0x0001) && SENSOR_TC_UNIT_F_04)
}

VARIABLE	TempTC02_P4_Tast
{
	LABEL		[P4_Tast];
	HELP		[P4_Tast_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 1;
	}
	
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (TempTC02_P4_Option_Vergleichstelle == 0x0001)
}

TempTC02_P4_DUMMY2						LIKE VARIABLE	TempTC02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_TempTC02							\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,						\
			Mod4y5y_P1_Index1,						\
			Mod4y5y_P1_Tag,							\
			Mod4y5y_P1_State,						\
			Mod4y5y_P1_ErrMode,						\
			Mod4y5y_P1_SimVal,						\
			Mod4y5y_P1_SimState_Data,				\
			Mod4y5y_P1_SimOption,					\
			Mod4y5y_P1_ErrVal,						\
			Mod4y5y_P1_ErrState_Data,				\
			Mod4y5y_P1_ErrOption,					\
			TempTC02_P1_Slot2,						\
			TempTC02_P1_Index2,						\
			TempTC02_P1_Mode,						\
			TempTC02_P1_Option_Leitung,				\
			TempTC02_P1_Option_Kanal,				\
			TempTC02_P1_Option_Vergleichstelle,		\
			TempTC02_P1_Option_Temperatur,			\
			TempTC02_P1_Option_Stoerunterdrueckung,	\
			TempTC02_P1_ScalMb,						\
			TempTC02_P1_ScalMe,						\
			TempTC02_P1_ScalOption,					\
			TempTC02_P1_LimLow,						\
			TempTC02_P1_LimHigh, 					\
			TempTC02_P1_Filter,						\
			TempTC02_P1_Mb,							\
			TempTC02_P1_Me,							\
			TempTC02_P1_R1,							\
			TempTC02_P1_Pt1,						\
			TempTC02_P1_Val,						\
			TempTC02_P1_Tim,						\
			TempTC02_P1_Vst,						\
			TempTC02_P1_Tast,						\
			Mod4y5y_P2_Slot3,						\
			Mod4y5y_P2_Index3,						\
			Mod4y5y_P2_Tag,							\
			Mod4y5y_P2_State,						\
			Mod4y5y_P2_ErrMode,						\
			Mod4y5y_P2_SimVal,						\
			Mod4y5y_P2_SimState_Data,				\
			Mod4y5y_P2_SimOption,					\
			Mod4y5y_P2_ErrVal,						\
			Mod4y5y_P2_ErrState_Data,				\
			Mod4y5y_P2_ErrOption,					\
			TempTC02_P2_Slot4,						\
			TempTC02_P2_Index4,						\
			TempTC02_P2_Mode,						\
			TempTC02_P2_Option_Leitung,				\
			TempTC02_P2_Option_Kanal,				\
			TempTC02_P2_Option_Vergleichstelle,		\
			TempTC02_P2_Option_Temperatur,			\
			TempTC02_P2_Option_Stoerunterdrueckung,	\
			TempTC02_P2_ScalMb,						\
			TempTC02_P2_ScalMe,						\
			TempTC02_P2_ScalOption,					\
			TempTC02_P2_LimLow,						\
			TempTC02_P2_LimHigh, 					\
			TempTC02_P2_Filter,						\
			TempTC02_P2_Mb,							\
			TempTC02_P2_Me,							\
			TempTC02_P2_R1,							\
			TempTC02_P2_Pt1,						\
			TempTC02_P2_Val,						\
			TempTC02_P2_Tim,						\
			TempTC02_P2_Vst,						\
			TempTC02_P2_Tast,						\
			Mod4y5y_P3_Slot5,						\
			Mod4y5y_P3_Index5,						\
			Mod4y5y_P3_Tag,							\
			Mod4y5y_P3_State,						\
			Mod4y5y_P3_ErrMode,						\
			Mod4y5y_P3_SimVal,						\
			Mod4y5y_P3_SimState_Data,				\
			Mod4y5y_P3_SimOption,					\
			Mod4y5y_P3_ErrVal,						\
			Mod4y5y_P3_ErrState_Data,				\
			Mod4y5y_P3_ErrOption,					\
			TempTC02_P3_Slot6,						\
			TempTC02_P3_Index6,						\
			TempTC02_P3_Mode,						\
			TempTC02_P3_Option_Leitung,				\
			TempTC02_P3_Option_Kanal,				\
			TempTC02_P3_Option_Vergleichstelle,		\
			TempTC02_P3_Option_Temperatur,			\
			TempTC02_P3_Option_Stoerunterdrueckung,	\
			TempTC02_P3_ScalMb,						\
			TempTC02_P3_ScalMe,						\
			TempTC02_P3_ScalOption,					\
			TempTC02_P3_LimLow,						\
			TempTC02_P3_LimHigh, 					\
			TempTC02_P3_Filter,						\
			TempTC02_P3_Mb,							\
			TempTC02_P3_Me,							\
			TempTC02_P3_R1,							\
			TempTC02_P3_Pt1,						\
			TempTC02_P3_Val,						\
			TempTC02_P3_Tim,						\
			TempTC02_P3_Vst,						\
			TempTC02_P3_Tast,						\
			Mod4y5y_P4_Slot7,						\
			Mod4y5y_P4_Index7,						\
			Mod4y5y_P4_Tag,							\
			Mod4y5y_P4_State,						\
			Mod4y5y_P4_ErrMode,						\
			Mod4y5y_P4_SimVal,						\
			Mod4y5y_P4_SimState_Data,				\
			Mod4y5y_P4_SimOption,					\
			Mod4y5y_P4_ErrVal,						\
			Mod4y5y_P4_ErrState_Data,				\
			Mod4y5y_P4_ErrOption,					\
			TempTC02_P4_Slot8,						\
			TempTC02_P4_Index8,						\
			TempTC02_P4_Mode,						\
			TempTC02_P4_Option_Leitung,				\
			TempTC02_P4_Option_Kanal,				\
			TempTC02_P4_Option_Vergleichstelle,		\
			TempTC02_P4_Option_Temperatur,			\
			TempTC02_P4_Option_Stoerunterdrueckung,	\
			TempTC02_P4_ScalMb,						\
			TempTC02_P4_ScalMe,						\
			TempTC02_P4_ScalOption,					\
			TempTC02_P4_LimLow,						\
			TempTC02_P4_LimHigh, 					\
			TempTC02_P4_Filter,						\
			TempTC02_P4_Mb,							\
			TempTC02_P4_Me,							\
			TempTC02_P4_R1,							\
			TempTC02_P4_Pt1,						\
			TempTC02_P4_Val,						\
			TempTC02_P4_Tim,						\
			TempTC02_P4_Vst,						\
			TempTC02_P4_Tast,						\

#define	UPLOAD_TempTC02							\
			P0_Type,								\
			P0_Slot0,								\
			P0_Index0,								\
			P0_Tag,									\
			P0_Channel,								\
			P0_Sector,								\
			P0_Option,								\
			P0_Size,					\
			P0_CfgMode,								\
			Mod4y5y_P1_Slot1,						\
			Mod4y5y_P1_Index1,						\
			Mod4y5y_P1_Tag,							\
			Mod4y5y_P1_State,						\
			Mod4y5y_P1_ErrMode,						\
			Mod4y5y_P1_SimVal,						\
			Mod4y5y_P1_SimState_Data,				\
			Mod4y5y_P1_SimOption,					\
			Mod4y5y_P1_ErrVal,						\
			Mod4y5y_P1_ErrState_Data,				\
			Mod4y5y_P1_ErrOption,					\
			TempTC02_P1_Slot2,						\
			TempTC02_P1_Index2,						\
			TempTC02_P1_Mode,						\
			TempTC02_P1_Option_Leitung,				\
			TempTC02_P1_Option_Vergleichstelle,		\
			TempTC02_P1_Option_Temperatur,			\
			TempTC02_P1_Option_Stoerunterdrueckung,	\
			TempTC02_P1_ScalMb,						\
			TempTC02_P1_ScalMe,						\
			TempTC02_P1_ScalOption,					\
			TempTC02_P1_LimLow,						\
			TempTC02_P1_LimHigh, 					\
			TempTC02_P1_Filter,						\
			TempTC02_P1_Mb,							\
			TempTC02_P1_Me,							\
			TempTC02_P1_R1,							\
			TempTC02_P1_Pt1,						\
			TempTC02_P1_Val,						\
			TempTC02_P1_Tim,						\
			TempTC02_P1_Vst,						\
			TempTC02_P1_Tast,						\
			Mod4y5y_P2_Slot3,						\
			Mod4y5y_P2_Index3,						\
			Mod4y5y_P2_Tag,							\
			Mod4y5y_P2_State,						\
			Mod4y5y_P2_ErrMode,						\
			Mod4y5y_P2_SimVal,						\
			Mod4y5y_P2_SimState_Data,				\
			Mod4y5y_P2_SimOption,					\
			Mod4y5y_P2_ErrVal,						\
			Mod4y5y_P2_ErrState_Data,				\
			Mod4y5y_P2_ErrOption,					\
			TempTC02_P2_Slot4,						\
			TempTC02_P2_Index4,						\
			TempTC02_P2_Mode,						\
			TempTC02_P2_Option_Leitung,				\
			TempTC02_P2_Option_Vergleichstelle,		\
			TempTC02_P2_Option_Temperatur,			\
			TempTC02_P2_Option_Stoerunterdrueckung,	\
			TempTC02_P2_ScalMb,						\
			TempTC02_P2_ScalMe,						\
			TempTC02_P2_ScalOption,					\
			TempTC02_P2_LimLow,						\
			TempTC02_P2_LimHigh, 					\
			TempTC02_P2_Filter,						\
			TempTC02_P2_Mb,							\
			TempTC02_P2_Me,							\
			TempTC02_P2_R1,							\
			TempTC02_P2_Pt1,						\
			TempTC02_P2_Val,						\
			TempTC02_P2_Tim,						\
			TempTC02_P2_Vst,						\
			TempTC02_P2_Tast,						\
			Mod4y5y_P3_Slot5,						\
			Mod4y5y_P3_Index5,						\
			Mod4y5y_P3_Tag,							\
			Mod4y5y_P3_State,						\
			Mod4y5y_P3_ErrMode,						\
			Mod4y5y_P3_SimVal,						\
			Mod4y5y_P3_SimState_Data,				\
			Mod4y5y_P3_SimOption,					\
			Mod4y5y_P3_ErrVal,						\
			Mod4y5y_P3_ErrState_Data,				\
			Mod4y5y_P3_ErrOption,					\
			TempTC02_P3_Slot6,						\
			TempTC02_P3_Index6,						\
			TempTC02_P3_Mode,						\
			TempTC02_P3_Option_Leitung,				\
			TempTC02_P3_Option_Vergleichstelle,		\
			TempTC02_P3_Option_Temperatur,			\
			TempTC02_P3_Option_Stoerunterdrueckung,	\
			TempTC02_P3_ScalMb,						\
			TempTC02_P3_ScalMe,						\
			TempTC02_P3_ScalOption,					\
			TempTC02_P3_LimLow,						\
			TempTC02_P3_LimHigh, 					\
			TempTC02_P3_Filter,						\
			TempTC02_P3_Mb,							\
			TempTC02_P3_Me,							\
			TempTC02_P3_R1,							\
			TempTC02_P3_Pt1,						\
			TempTC02_P3_Val,						\
			TempTC02_P3_Tim,						\
			TempTC02_P3_Vst,						\
			TempTC02_P3_Tast,						\
			Mod4y5y_P4_Slot7,						\
			Mod4y5y_P4_Index7,						\
			Mod4y5y_P4_Tag,							\
			Mod4y5y_P4_State,						\
			Mod4y5y_P4_ErrMode,						\
			Mod4y5y_P4_SimVal,						\
			Mod4y5y_P4_SimState_Data,				\
			Mod4y5y_P4_SimOption,					\
			Mod4y5y_P4_ErrVal,						\
			Mod4y5y_P4_ErrState_Data,				\
			Mod4y5y_P4_ErrOption,					\
			TempTC02_P4_Slot8,						\
			TempTC02_P4_Index8,						\
			TempTC02_P4_Mode,						\
			TempTC02_P4_Option_Leitung,				\
			TempTC02_P4_Option_Vergleichstelle,		\
			TempTC02_P4_Option_Temperatur,			\
			TempTC02_P4_Option_Stoerunterdrueckung,	\
			TempTC02_P4_ScalMb,						\
			TempTC02_P4_ScalMe,						\
			TempTC02_P4_ScalOption,					\
			TempTC02_P4_LimLow,						\
			TempTC02_P4_LimHigh, 					\
			TempTC02_P4_Filter,						\
			TempTC02_P4_Mb,							\
			TempTC02_P4_Me,							\
			TempTC02_P4_R1,							\
			TempTC02_P4_Pt1,						\
			TempTC02_P4_Val,						\
			TempTC02_P4_Tim,						\
			TempTC02_P4_Vst,						\
			TempTC02_P4_Tast,						\


/*******************************************************************************/
/*****	Kanal1				 ***************************************************/
/*******************************************************************************/

COMMAND read_TempTC02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempTC02_P1_Slot2, 
			TempTC02_P1_Index2, 
			TempTC02_P1_Mode,
			TempTC02_P1_Option_Kanal				<0x8000>,
			TempTC02_P1_Option_Bit4_14				<0x7FF0>, 
			TempTC02_P1_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P1_Option_Temperatur			<0x0004>, 
			TempTC02_P1_Option_Vergleichstelle		<0x0002>,
			TempTC02_P1_Option_Leitung				<0x0001>, 
			TempTC02_P1_ScalMb, 
			TempTC02_P1_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P1_ScalOption					<0x0001>, 
			TempTC02_P1_LimLow, 
			TempTC02_P1_LimHigh,
			TempTC02_P1_Filter, 
			TempTC02_P1_Mb, 
			TempTC02_P1_Me, 
			TempTC02_P1_R1, 
			TempTC02_P1_Pt1,
			TempTC02_P1_Val, 
			TempTC02_P1_Tim, 
			TempTC02_P1_Vst, 
			TempTC02_P1_Tast, 
			TempTC02_P1_DUMMY2
		}
	}
}

COMMAND write_TempTC02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempTC02_P1_Slot2, 
			TempTC02_P1_Index2, 
			TempTC02_P1_Mode,
//			TempTC02_P1_Option_Kanal				<0x8000>,
			TempTC02_P1_Option_Bit4_14				<0xFFF0>, 
			TempTC02_P1_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P1_Option_Temperatur			<0x0004>, 
			TempTC02_P1_Option_Vergleichstelle		<0x0002>,
			TempTC02_P1_Option_Leitung				<0x0001>, 
			TempTC02_P1_ScalMb, 
			TempTC02_P1_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P1_ScalOption					<0x0001>, 
			TempTC02_P1_LimLow, 
			TempTC02_P1_LimHigh,
			TempTC02_P1_Filter, 
			TempTC02_P1_Mb, 
			TempTC02_P1_Me, 
			TempTC02_P1_R1, 
			TempTC02_P1_Pt1,
			TempTC02_P1_Val, 
			TempTC02_P1_Tim, 
			TempTC02_P1_Vst, 
			TempTC02_P1_Tast, 
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		 // TempTC02_P1_DUMMY2		ASCII (28);
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0					
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2				 ***************************************************/
/*******************************************************************************/

COMMAND read_TempTC02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempTC02_P2_Slot4, 
			TempTC02_P2_Index4, 
			TempTC02_P2_Mode,
			TempTC02_P2_Option_Kanal				<0x8000>,
			TempTC02_P2_Option_Bit4_14				<0x7FF0>, 
			TempTC02_P2_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P2_Option_Temperatur			<0x0004>, 
			TempTC02_P2_Option_Vergleichstelle		<0x0002>,
			TempTC02_P2_Option_Leitung				<0x0001>, 
			TempTC02_P2_ScalMb, 
			TempTC02_P2_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P2_ScalOption					<0x0001>, 
			TempTC02_P2_LimLow, 
			TempTC02_P2_LimHigh,
			TempTC02_P2_Filter, 
			TempTC02_P2_Mb, 
			TempTC02_P2_Me, 
			TempTC02_P2_R1, 
			TempTC02_P2_Pt1,
			TempTC02_P2_Val, 
			TempTC02_P2_Tim, 
			TempTC02_P2_Vst, 
			TempTC02_P2_Tast, 
			TempTC02_P2_DUMMY2
		}
	}
}

COMMAND write_TempTC02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempTC02_P2_Slot4, 
			TempTC02_P2_Index4, 
			TempTC02_P2_Mode,
//			TempTC02_P2_Option_Kanal				<0x8000>,
			TempTC02_P2_Option_Bit4_14				<0xFFF0>, 
			TempTC02_P2_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P2_Option_Temperatur			<0x0004>, 
			TempTC02_P2_Option_Vergleichstelle		<0x0002>,
			TempTC02_P2_Option_Leitung				<0x0001>, 
			TempTC02_P2_ScalMb, 
			TempTC02_P2_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P2_ScalOption					<0x0001>, 
			TempTC02_P2_LimLow, 
			TempTC02_P2_LimHigh,
			TempTC02_P2_Filter, 
			TempTC02_P2_Mb, 
			TempTC02_P2_Me, 
			TempTC02_P2_R1, 
			TempTC02_P2_Pt1,
			TempTC02_P2_Val, 
			TempTC02_P2_Tim, 
			TempTC02_P2_Vst, 
			TempTC02_P2_Tast, 
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		 // TempTC02_P2_DUMMY2			ASCII (28);
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0					 
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3				 ***************************************************/
/*******************************************************************************/

COMMAND read_TempTC02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempTC02_P3_Slot6, 
			TempTC02_P3_Index6, 
			TempTC02_P3_Mode,
			TempTC02_P3_Option_Kanal				<0x8000>,
			TempTC02_P3_Option_Bit4_14				<0x7FF0>, 
			TempTC02_P3_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P3_Option_Temperatur			<0x0004>, 
			TempTC02_P3_Option_Vergleichstelle		<0x0002>,
			TempTC02_P3_Option_Leitung				<0x0001>, 
			TempTC02_P3_ScalMb, 
			TempTC02_P3_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P3_ScalOption					<0x0001>, 
			TempTC02_P3_LimLow, 
			TempTC02_P3_LimHigh,
			TempTC02_P3_Filter, 
			TempTC02_P3_Mb, 
			TempTC02_P3_Me, 
			TempTC02_P3_R1, 
			TempTC02_P3_Pt1,
			TempTC02_P3_Val, 
			TempTC02_P3_Tim, 
			TempTC02_P3_Vst, 
			TempTC02_P3_Tast, 
			TempTC02_P3_DUMMY2
		}
	}
}

COMMAND write_TempTC02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempTC02_P3_Slot6, 
			TempTC02_P3_Index6, 
			TempTC02_P3_Mode,
//			TempTC02_P3_Option_Kanal				<0x8000>,
			TempTC02_P3_Option_Bit4_14				<0xFFF0>, 
			TempTC02_P3_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P3_Option_Temperatur			<0x0004>, 
			TempTC02_P3_Option_Vergleichstelle		<0x0002>,
			TempTC02_P3_Option_Leitung				<0x0001>, 
			TempTC02_P3_ScalMb, 
			TempTC02_P3_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P3_ScalOption					<0x0001>, 
			TempTC02_P3_LimLow, 
			TempTC02_P3_LimHigh,
			TempTC02_P3_Filter, 
			TempTC02_P3_Mb, 
			TempTC02_P3_Me, 
			TempTC02_P3_R1, 
			TempTC02_P3_Pt1,
			TempTC02_P3_Val, 
			TempTC02_P3_Tim, 
			TempTC02_P3_Vst, 
			TempTC02_P3_Tast, 
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		 // TempTC02_P3_DUMMY2			ASCII (28);
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0					 
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Kanal4				 ***************************************************/
/*******************************************************************************/

COMMAND read_TempTC02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			TempTC02_P4_Slot8, 
			TempTC02_P4_Index8, 
			TempTC02_P4_Mode,
			TempTC02_P4_Option_Kanal				<0x8000>,
			TempTC02_P4_Option_Bit4_14				<0x7FF0>, 
			TempTC02_P4_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P4_Option_Temperatur			<0x0004>, 
			TempTC02_P4_Option_Vergleichstelle		<0x0002>,
			TempTC02_P4_Option_Leitung				<0x0001>, 
			TempTC02_P4_ScalMb, 
			TempTC02_P4_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P4_ScalOption					<0x0001>, 
			TempTC02_P4_LimLow, 
			TempTC02_P4_LimHigh,
			TempTC02_P4_Filter, 
			TempTC02_P4_Mb, 
			TempTC02_P4_Me, 
			TempTC02_P4_R1, 
			TempTC02_P4_Pt1,
			TempTC02_P4_Val, 
			TempTC02_P4_Tim, 
			TempTC02_P4_Vst, 
			TempTC02_P4_Tast, 
			TempTC02_P4_DUMMY2
		}
	}
}

COMMAND write_TempTC02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TempTC02_P4_Slot8, 
			TempTC02_P4_Index8, 
			TempTC02_P4_Mode,
//			TempTC02_P4_Option_Kanal				<0x8000>,
			TempTC02_P4_Option_Bit4_14				<0xFFF0>, 
			TempTC02_P4_Option_Stoerunterdrueckung	<0x0008>,
			TempTC02_P4_Option_Temperatur			<0x0004>, 
			TempTC02_P4_Option_Vergleichstelle		<0x0002>,
			TempTC02_P4_Option_Leitung				<0x0001>, 
			TempTC02_P4_ScalMb, 
			TempTC02_P4_ScalMe,
			Bit1_15									<0xFFFE>,
			TempTC02_P4_ScalOption					<0x0001>, 
			TempTC02_P4_LimLow, 
			TempTC02_P4_LimHigh,
			TempTC02_P4_Filter, 
			TempTC02_P4_Mb, 
			TempTC02_P4_Me, 
			TempTC02_P4_R1, 
			TempTC02_P4_Pt1,
			TempTC02_P4_Val, 
			TempTC02_P4_Tim, 
			TempTC02_P4_Vst, 
			TempTC02_P4_Tast, 
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		 // TempTC02_P4_DUMMY2			ASCII (28);
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0					 
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1				 ***************************************************/
/*******************************************************************************/

MENU Tab_s_TempTC02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempTC02_ident_k1,
		Tab_s_TempTC02_input_k1
	}
}

MENU Tab_s_TempTC02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		TempTC02_P1_Option_Kanal
	}
}

MENU Tab_s_TempTC02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State,
		Mod4y5y_P1_ErrMode,	
		TempTC02_P1_Filter,
//		TempTC02_P1_LimLow					(READ_ONLY),
//		TempTC02_P1_LimHigh					(READ_ONLY),
		TempTC02_P1_LimLow,
		TempTC02_P1_LimHigh,
		Tab_s_TempTC02_input_simulation_k1,
		Tab_s_TempTC02_input_ersatzwert_k1,
		Tab_s_TempTC02_input_skal_k1,
		Tab_s_TempTC02_input_lfd_k1,
		Tab_s_TempTC02_input_messumformer_k1
	}
}

MENU Tab_s_TempTC02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal,
		Mod4y5y_P1_SimOption,
		Mod4y5y_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_s_TempTC02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal,
		Mod4y5y_P1_ErrOption,
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_s_TempTC02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_ScalOption,
		TempTC02_P1_ScalMb,
		TempTC02_P1_ScalMe
	}
}

MENU Tab_s_TempTC02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_Option_Leitung,
		TempTC02_P1_Pt1,
		TempTC02_P1_Val,
		TempTC02_P1_Tim
	}
}

MENU Tab_s_TempTC02_input_messumformer_k1
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_Mode,
		TempTC02_P1_Option_Vergleichstelle,
		Loc_TempTCC02_P1_Vst,
		Loc_TempTCF02_P1_Vst,
		Loc_TempTC02_P1_R1,
		TempTC02_P1_Option_Stoerunterdrueckung,
		TempTC02_P1_Tast,
		Loc_TempTC02_P1_MbMe_Unit,
		Loc_TempTCC02_P1_Mb,
		Loc_TempTCC02_P1_Me,
		Loc_TempTCF02_P1_Mb,
		Loc_TempTCF02_P1_Me,
		Loc_VoltTC02_P1_Mb,
		Loc_VoltTC02_P1_Me
	}
}

/*******************************************************************************/
/*****	Kanal2				 ***************************************************/
/*******************************************************************************/

MENU Tab_s_TempTC02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempTC02_ident_k2,
		Tab_s_TempTC02_input_k2
	}
}

MENU Tab_s_TempTC02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		TempTC02_P2_Option_Kanal
	}
}

MENU Tab_s_TempTC02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State,
		Mod4y5y_P2_ErrMode,	
		TempTC02_P2_Filter,
//		TempTC02_P2_LimLow					(READ_ONLY),
//		TempTC02_P2_LimHigh					(READ_ONLY),
		TempTC02_P2_LimLow,
		TempTC02_P2_LimHigh,
		Tab_s_TempTC02_input_simulation_k2,
		Tab_s_TempTC02_input_ersatzwert_k2,
		Tab_s_TempTC02_input_skal_k2,
		Tab_s_TempTC02_input_lfd_k2,
		Tab_s_TempTC02_input_messumformer_k2
	}
}

MENU Tab_s_TempTC02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal,
		Mod4y5y_P2_SimOption,
		Mod4y5y_P2_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}

MENU Tab_s_TempTC02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal,
		Mod4y5y_P2_ErrOption,
		Mod4y5y_P2_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_s_TempTC02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_ScalOption,
		TempTC02_P2_ScalMb,
		TempTC02_P2_ScalMe
	}
}

MENU Tab_s_TempTC02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_Option_Leitung,
		TempTC02_P2_Pt1,
		TempTC02_P2_Val,
		TempTC02_P2_Tim
	}
}

MENU Tab_s_TempTC02_input_messumformer_k2
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_Mode,
		TempTC02_P2_Option_Vergleichstelle,
		Loc_TempTCC02_P2_Vst,
		Loc_TempTCF02_P2_Vst,
		Loc_TempTC02_P2_R1,
		TempTC02_P2_Option_Stoerunterdrueckung,
		TempTC02_P2_Tast,
		Loc_TempTC02_P2_MbMe_Unit,
		Loc_TempTCC02_P2_Mb,
		Loc_TempTCC02_P2_Me,
		Loc_TempTCF02_P2_Mb,
		Loc_TempTCF02_P2_Me,
		Loc_VoltTC02_P2_Mb,
		Loc_VoltTC02_P2_Me
	}
}

/*******************************************************************************/
/*****	Kanal3				 ***************************************************/
/*******************************************************************************/

MENU Tab_s_TempTC02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempTC02_ident_k3,
		Tab_s_TempTC02_input_k3
	}
}

MENU Tab_s_TempTC02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		TempTC02_P3_Option_Kanal
	}
}

MENU Tab_s_TempTC02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State,
		Mod4y5y_P3_ErrMode,	
		TempTC02_P3_Filter,
//		TempTC02_P3_LimLow					(READ_ONLY),
//		TempTC02_P3_LimHigh					(READ_ONLY),
		TempTC02_P3_LimLow,
		TempTC02_P3_LimHigh,
		Tab_s_TempTC02_input_simulation_k3,
		Tab_s_TempTC02_input_ersatzwert_k3,
		Tab_s_TempTC02_input_skal_k3,
		Tab_s_TempTC02_input_lfd_k3,
		Tab_s_TempTC02_input_messumformer_k3
	}
}

MENU Tab_s_TempTC02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal,
		Mod4y5y_P3_SimOption,
		Mod4y5y_P3_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}

MENU Tab_s_TempTC02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal,
		Mod4y5y_P3_ErrOption,
		Mod4y5y_P3_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_s_TempTC02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_ScalOption,
		TempTC02_P3_ScalMb,
		TempTC02_P3_ScalMe
	}
}

MENU Tab_s_TempTC02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_Option_Leitung,
		TempTC02_P3_Pt1,
		TempTC02_P3_Val,
		TempTC02_P3_Tim
	}
}

MENU Tab_s_TempTC02_input_messumformer_k3
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_Mode,
		TempTC02_P3_Option_Vergleichstelle,
		Loc_TempTCC02_P3_Vst,
		Loc_TempTCF02_P3_Vst,
		Loc_TempTC02_P3_R1,
		TempTC02_P3_Option_Stoerunterdrueckung,
		TempTC02_P3_Tast,
		Loc_TempTC02_P3_MbMe_Unit,
		Loc_TempTCC02_P3_Mb,
		Loc_TempTCC02_P3_Me,
		Loc_TempTCF02_P3_Mb,
		Loc_TempTCF02_P3_Me,
		Loc_VoltTC02_P3_Mb,
		Loc_VoltTC02_P3_Me
	}
}

/*******************************************************************************/
/*****	Kanal4				 ***************************************************/
/*******************************************************************************/

MENU Tab_s_TempTC02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_TempTC02_ident_k4,
		Tab_s_TempTC02_input_k4
	}
}

MENU Tab_s_TempTC02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		TempTC02_P4_Option_Kanal
	}
}

MENU Tab_s_TempTC02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State,
		Mod4y5y_P4_ErrMode,	
		TempTC02_P4_Filter,
//		TempTC02_P4_LimLow					(READ_ONLY),
//		TempTC02_P4_LimHigh					(READ_ONLY),
		TempTC02_P4_LimLow,
		TempTC02_P4_LimHigh,
		Tab_s_TempTC02_input_simulation_k4,
		Tab_s_TempTC02_input_ersatzwert_k4,
		Tab_s_TempTC02_input_skal_k4,
		Tab_s_TempTC02_input_lfd_k4,
		Tab_s_TempTC02_input_messumformer_k4
	}
}

MENU Tab_s_TempTC02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal,
		Mod4y5y_P4_SimOption,
		Mod4y5y_P4_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}

MENU Tab_s_TempTC02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal,
		Mod4y5y_P4_ErrOption,
		Mod4y5y_P4_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_s_TempTC02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_ScalOption,
		TempTC02_P4_ScalMb,
		TempTC02_P4_ScalMe
	}
}

MENU Tab_s_TempTC02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_Option_Leitung,
		TempTC02_P4_Pt1,
		TempTC02_P4_Val,
		TempTC02_P4_Tim
	}
}

MENU Tab_s_TempTC02_input_messumformer_k4
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_Mode,
		TempTC02_P4_Option_Vergleichstelle,
		Loc_TempTCC02_P4_Vst,
		Loc_TempTCF02_P4_Vst,
		Loc_TempTC02_P4_R1,
		TempTC02_P4_Option_Stoerunterdrueckung,
		TempTC02_P4_Tast,
		Loc_TempTC02_P4_MbMe_Unit,
		Loc_TempTCC02_P4_Mb,
		Loc_TempTCC02_P4_Me,
		Loc_TempTCF02_P4_Mb,
		Loc_TempTCF02_P4_Me,
		Loc_VoltTC02_P4_Mb,
		Loc_VoltTC02_P4_Me
	}
}


/*******************************************************************************/
/*****	Table: Maintenance   ***************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1				 ***************************************************/
/*******************************************************************************/

MENU Tab_m_TempTC02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempTC02_ident_k1,
		Tab_m_TempTC02_input_k1
	}
}

MENU Tab_m_TempTC02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag,
		TempTC02_P1_Option_Kanal
	}
}

MENU Tab_m_TempTC02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State					(READ_ONLY),
		Mod4y5y_P1_ErrMode					(READ_ONLY),
		TempTC02_P1_Filter					(READ_ONLY),
		TempTC02_P1_LimLow					(READ_ONLY),
		TempTC02_P1_LimHigh					(READ_ONLY),
		Tab_m_TempTC02_input_simulation_k1,
		Tab_m_TempTC02_input_ersatzwert_k1,
		Tab_m_TempTC02_input_skal_k1,
		Tab_m_TempTC02_input_lfd_k1,
		Tab_m_TempTC02_input_messumformer_k1
	}
}

MENU Tab_m_TempTC02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal				(READ_ONLY),
		Mod4y5y_P1_SimOption				(READ_ONLY),
		Mod4y5y_P1_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_m_TempTC02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal				(READ_ONLY),
		Mod4y5y_P1_ErrOption				(READ_ONLY),
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_m_TempTC02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_ScalOption				(READ_ONLY),
		TempTC02_P1_ScalMb					(READ_ONLY),
		TempTC02_P1_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_TempTC02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_Option_Leitung			(READ_ONLY),
		TempTC02_P1_Pt1						(READ_ONLY),
		TempTC02_P1_Val						(READ_ONLY),
		TempTC02_P1_Tim						(READ_ONLY)
	}									
}

MENU Tab_m_TempTC02_input_messumformer_k1
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P1_Mode						(READ_ONLY),
		TempTC02_P1_Option_Vergleichstelle		(READ_ONLY),
		Loc_TempTCC02_P1_Vst					(READ_ONLY),
		Loc_TempTCF02_P1_Vst					(READ_ONLY),
		Loc_TempTC02_P1_R1						(READ_ONLY),
		TempTC02_P1_Option_Stoerunterdrueckung	(READ_ONLY),
		TempTC02_P1_Tast						(READ_ONLY),
		Loc_TempTC02_P1_MbMe_Unit				(READ_ONLY),
		Loc_TempTCC02_P1_Mb						(READ_ONLY),
		Loc_TempTCC02_P1_Me						(READ_ONLY),
		Loc_TempTCF02_P1_Mb						(READ_ONLY),
		Loc_TempTCF02_P1_Me						(READ_ONLY),
		Loc_VoltTC02_P1_Mb						(READ_ONLY),
		Loc_VoltTC02_P1_Me						(READ_ONLY)
	}
}


/*******************************************************************************/
/*****	Kanal2				 ***************************************************/
/*******************************************************************************/

MENU Tab_m_TempTC02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempTC02_ident_k2,
		Tab_m_TempTC02_input_k2
	}
}

MENU Tab_m_TempTC02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_Tag,
		TempTC02_P2_Option_Kanal
	}
}

MENU Tab_m_TempTC02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P2_State					(READ_ONLY),
		Mod4y5y_P2_ErrMode					(READ_ONLY),
		TempTC02_P2_Filter					(READ_ONLY),
		TempTC02_P2_LimLow					(READ_ONLY),
		TempTC02_P2_LimHigh					(READ_ONLY),
		Tab_m_TempTC02_input_simulation_k2,
		Tab_m_TempTC02_input_ersatzwert_k2,
		Tab_m_TempTC02_input_skal_k2,
		Tab_m_TempTC02_input_lfd_k2,
		Tab_m_TempTC02_input_messumformer_k2
	}
}

MENU Tab_m_TempTC02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_SimVal				(READ_ONLY),
		Mod4y5y_P2_SimOption				(READ_ONLY),
		Mod4y5y_P2_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_State == 1)
}

MENU Tab_m_TempTC02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P2_ErrVal				(READ_ONLY),
		Mod4y5y_P2_ErrOption				(READ_ONLY),
		Mod4y5y_P2_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P2_ErrMode == 1)
}

MENU Tab_m_TempTC02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_ScalOption				(READ_ONLY),
		TempTC02_P2_ScalMb					(READ_ONLY),
		TempTC02_P2_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_TempTC02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_Option_Leitung			(READ_ONLY),
		TempTC02_P2_Pt1						(READ_ONLY),
		TempTC02_P2_Val						(READ_ONLY),
		TempTC02_P2_Tim						(READ_ONLY)
	}									
}

MENU Tab_m_TempTC02_input_messumformer_k2
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P2_Mode						(READ_ONLY),
		TempTC02_P2_Option_Vergleichstelle		(READ_ONLY),
		Loc_TempTCC02_P2_Vst					(READ_ONLY),
		Loc_TempTCF02_P2_Vst					(READ_ONLY),
		Loc_TempTC02_P2_R1						(READ_ONLY),
		TempTC02_P2_Option_Stoerunterdrueckung	(READ_ONLY),
		TempTC02_P2_Tast						(READ_ONLY),
		Loc_TempTC02_P2_MbMe_Unit				(READ_ONLY),
		Loc_TempTCC02_P2_Mb						(READ_ONLY),
		Loc_TempTCC02_P2_Me						(READ_ONLY),
		Loc_TempTCF02_P2_Mb						(READ_ONLY),
		Loc_TempTCF02_P2_Me						(READ_ONLY),
		Loc_VoltTC02_P2_Mb						(READ_ONLY),
		Loc_VoltTC02_P2_Me						(READ_ONLY)
	}
}


/*******************************************************************************/
/*****	Kanal3				 ***************************************************/
/*******************************************************************************/

MENU Tab_m_TempTC02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempTC02_ident_k3,
		Tab_m_TempTC02_input_k3
	}
}

MENU Tab_m_TempTC02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_Tag,
		TempTC02_P3_Option_Kanal
	}
}

MENU Tab_m_TempTC02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P3_State					(READ_ONLY),
		Mod4y5y_P3_ErrMode					(READ_ONLY),
		TempTC02_P3_Filter					(READ_ONLY),
		TempTC02_P3_LimLow					(READ_ONLY),
		TempTC02_P3_LimHigh					(READ_ONLY),
		Tab_m_TempTC02_input_simulation_k3,
		Tab_m_TempTC02_input_ersatzwert_k3,
		Tab_m_TempTC02_input_skal_k3,
		Tab_m_TempTC02_input_lfd_k3,
		Tab_m_TempTC02_input_messumformer_k3
	}
}

MENU Tab_m_TempTC02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_SimVal				(READ_ONLY),
		Mod4y5y_P3_SimOption				(READ_ONLY),
		Mod4y5y_P3_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_State == 1)
}

MENU Tab_m_TempTC02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P3_ErrVal				(READ_ONLY),
		Mod4y5y_P3_ErrOption				(READ_ONLY),
		Mod4y5y_P3_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P3_ErrMode == 1)
}

MENU Tab_m_TempTC02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_ScalOption				(READ_ONLY),
		TempTC02_P3_ScalMb					(READ_ONLY),
		TempTC02_P3_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_TempTC02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_Option_Leitung			(READ_ONLY),
		TempTC02_P3_Pt1						(READ_ONLY),
		TempTC02_P3_Val						(READ_ONLY),
		TempTC02_P3_Tim						(READ_ONLY)
	}									
}

MENU Tab_m_TempTC02_input_messumformer_k3
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P3_Mode						(READ_ONLY),
		TempTC02_P3_Option_Vergleichstelle		(READ_ONLY),
		Loc_TempTCC02_P3_Vst					(READ_ONLY),
		Loc_TempTCF02_P3_Vst					(READ_ONLY),
		Loc_TempTC02_P3_R1						(READ_ONLY),
		TempTC02_P3_Option_Stoerunterdrueckung	(READ_ONLY),
		TempTC02_P3_Tast						(READ_ONLY),
		Loc_TempTC02_P3_MbMe_Unit				(READ_ONLY),
		Loc_TempTCC02_P3_Mb						(READ_ONLY),
		Loc_TempTCC02_P3_Me						(READ_ONLY),
		Loc_TempTCF02_P3_Mb						(READ_ONLY),
		Loc_TempTCF02_P3_Me						(READ_ONLY),
		Loc_VoltTC02_P3_Mb						(READ_ONLY),
		Loc_VoltTC02_P3_Me						(READ_ONLY)
	}
}


/*******************************************************************************/
/*****	Kanal4				 ***************************************************/
/*******************************************************************************/

MENU Tab_m_TempTC02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_TempTC02_ident_k4,
		Tab_m_TempTC02_input_k4
	}
}

MENU Tab_m_TempTC02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_Tag,
		TempTC02_P4_Option_Kanal
	}
}

MENU Tab_m_TempTC02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P4_State					(READ_ONLY),
		Mod4y5y_P4_ErrMode					(READ_ONLY),
		TempTC02_P4_Filter					(READ_ONLY),
		TempTC02_P4_LimLow					(READ_ONLY),
		TempTC02_P4_LimHigh					(READ_ONLY),
		Tab_m_TempTC02_input_simulation_k4,
		Tab_m_TempTC02_input_ersatzwert_k4,
		Tab_m_TempTC02_input_skal_k4,
		Tab_m_TempTC02_input_lfd_k4,
		Tab_m_TempTC02_input_messumformer_k4
	}
}

MENU Tab_m_TempTC02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_SimVal				(READ_ONLY),
		Mod4y5y_P4_SimOption				(READ_ONLY),
		Mod4y5y_P4_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_State == 1)
}

MENU Tab_m_TempTC02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P4_ErrVal				(READ_ONLY),
		Mod4y5y_P4_ErrOption				(READ_ONLY),
		Mod4y5y_P4_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P4_ErrMode == 1)
}

MENU Tab_m_TempTC02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_ScalOption				(READ_ONLY),
		TempTC02_P4_ScalMb					(READ_ONLY),
		TempTC02_P4_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_TempTC02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_Option_Leitung			(READ_ONLY),
		TempTC02_P4_Pt1						(READ_ONLY),
		TempTC02_P4_Val						(READ_ONLY),
		TempTC02_P4_Tim						(READ_ONLY)
	}									
}

MENU Tab_m_TempTC02_input_messumformer_k4
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		TempTC02_P4_Mode						(READ_ONLY),
		TempTC02_P4_Option_Vergleichstelle		(READ_ONLY),
		Loc_TempTCC02_P4_Vst					(READ_ONLY),
		Loc_TempTCF02_P4_Vst					(READ_ONLY),
		Loc_TempTC02_P4_R1						(READ_ONLY),
		TempTC02_P4_Option_Stoerunterdrueckung	(READ_ONLY),
		TempTC02_P4_Tast						(READ_ONLY),
		Loc_TempTC02_P4_MbMe_Unit				(READ_ONLY),
		Loc_TempTCC02_P4_Mb						(READ_ONLY),
		Loc_TempTCC02_P4_Me						(READ_ONLY),
		Loc_TempTCF02_P4_Mb						(READ_ONLY),
		Loc_TempTCF02_P4_Me						(READ_ONLY),
		Loc_VoltTC02_P4_Mb						(READ_ONLY),
		Loc_VoltTC02_P4_Me						(READ_ONLY)
	}
}

