
/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Rahmen fr alle Module              */
/*                                                          */
/*    Dictionary:       SI__DC01.dct, PFDP_DC_V6.dct        */
/*                                                          */
/*  $Revision:   1.26  $                                    */
/*  $Date:   06 Apr 2000 12:47:50  $                        */
/*----------------------------------------------------------*/


MANUFACTURER    93,
DEVICE_TYPE     1,
DEVICE_REVISION 0x0200,
DD_REVISION     39


#include    "SI_OptM.inc"               // MENU Options 
#include    "SI_FileM.inc"              // MENU File 
#include    "SI_HlpM.inc"               // MENU Help

#define		DEFAULT_VALUE_CommError_Delay_Read		300 
#define		DEFAULT_VALUE_CommError_Delay_Write		300
//#include    "SIPAST_CommError.inc" 

#define     MODUL_TYPE      P0_Type
#define     DIR_INDEX_MODUL


#include    "PFDP__GEN_01.inc"          // Include fr globale Definitionen

#include    "PFDP__MBar02.inc"          // MENU BAR 
#include    "PFDP__PARA01.inc"          // PARAMETER 
#include    "PFDP__SLOT01.inc"          // Objekteigenschaften
#include    "PFDP__4y5y01.inc"          // Include fr Modul 4yxx und 5yxx	Kanal 1 - 4
#include    "PFDP__TTR_01.inc"          // Include fr Modul PT100	Kanal 1
#include    "PFDP__TTR_02.inc"          // Include fr Modul PT100	Kanal 2 - 4
#include    "PFDP__TTTC01.inc"          // Include fr Modul Meumformer	Kanal 1
#include    "PFDP__TTTC02.inc"          // Include fr Modul Meumformer	Kanal 2 - 4
#include    "PFDP__DI2C01.inc"          // Include fr Modul Namur 2Kanle
#include    "PFDP__DI3C01.inc"          // Include fr Modul Namur 3Kanle
#include    "PFDP__DI7C01.inc"          // Include fr Modul Namur 7Kanle
#include    "PFDP__DI8C01.inc"          // Include fr Modul Namur 8Kanle
#include    "PFDP__DI15C01.inc"          // Include fr Modul Namur 15Kanle
#include    "PFDP__SL0001.inc"          // Include fr unbenutzter Steckplatz
#include    "PFDP__DIDO01.inc"          // Include fr Modul Ventiltreiber / Namur 3Kanle
#include    "PFDP__DIDO02.inc"          // Include fr Modul Ventiltreiber / Namur 8Kanle
#include    "PFDP__DIDO05.inc"          // Include fr Modul Ventiltreiber 2 Kanle
#include    "PFDP__DO06.inc"            // Include fr Modul 2 Ventile
#include    "PFDP__RL2C01.inc"          // Include fr Modul Relaiskarte 2-kanalig
#include    "PFDP__RL4C01.inc"          // Include fr Modul Relaiskarte 4-kanalig
#include    "PFDP__RL8C01.inc"          // Include fr Modul Relaiskarte 8-kanalig
#include    "PFDP__DIFR01.inc"          // Include fr Modul 1Kanal Frequenzmessung/Impulszhler
#include    "PFDP__VOIN01.inc"          // Include fr Modul Spannungseingang 0-10Volt
#include    "PFDP__OUSP01.inc"          // Include fr Modul Ausgangstrenner Kanal 1
#include    "PFDP__OUSP02.inc"          // Include fr Modul Ausgangstrenner Kanal 2 - 4
#include    "PFDP__INSP01.inc"          // Include fr Modul Eingangstrenner Kanal 1
#include    "PFDP__INSP02.inc"          // Include fr Modul Eingangstrenner Kanal 2 - 4
#include    "PFDP__MOST01.inc"          // Include fr OnlineDialog "Modul-Status"
#include    "PFDP__MOID01.inc"          // Include fr OnlineDialog "Modul-Status"
#include    "PFDP__UNIM02.inc"          // Include fr Modul Universal Kanal 1 - 4

#include    "PNO_Profile_DP_HART.inc"   // Include fr DP-HART Modul nach PNO-Richtlinie


/*******************************************************************************/
/*****  Methoden    ************************************************************/
/*******************************************************************************/

METHOD method_scale100_int_float (long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 100.0;
    }
}

METHOD method_scale100_int_float_01 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        locVar_1 = intVar_1 / 100.0;
    }
}

METHOD method_scale100_int_float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        locVar_2 = intVar_2 / 100.0;
    }
}

METHOD method_scale100_int_float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        locVar_3 = intVar_3 / 100.0;
    }
}

METHOD method_scale100_int_float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
		locVar_4 = intVar_4 / 100.0;
    }
}

METHOD method_rescale100_int_float (long intVar, float locVar)
{
    DEFINITION
    {
        intVar = locVar * 100.0;
    }
}

METHOD method_rescale100_int_float_01 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        intVar_1 = locVar_1 * 100.0;
    }
}

METHOD method_rescale100_int_float_01_2 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        intVar_1 = locVar_1 * 100.0;
    }
}

METHOD method_rescale100_int_float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        intVar_2 = locVar_2 * 100.0;
    }
}

METHOD method_rescale100_int_float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        intVar_3 = locVar_3 * 100.0;
    }
}

METHOD method_rescale100_int_float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
        intVar_4 = locVar_4 * 100.0;
    }
}

METHOD method_scale_100int_500float_01 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        locVar_1 = intVar_1 / 20.0 * 100;
    }
}

METHOD method_rescale_100int_500float_01(long intVar_1, float locVar_1)
{
    DEFINITION
    {
        intVar_1 = locVar_1 * 20 / 100;
    }
}

METHOD method_scale_100int_500float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        locVar_2 = intVar_2 / 20.0 * 100;
    }
}

METHOD method_rescale_100int_500float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        intVar_2 = locVar_2 * 20.0 / 100;
    }
}

METHOD method_scale_100int_500float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        locVar_3 = intVar_3 / 20.0 * 100;
    }
}

METHOD method_rescale_100int_500float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        intVar_3 = locVar_3 * 20.0 / 100;
    }
}

METHOD method_scale_100int_500float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
        locVar_4 = intVar_4 / 20.0 * 100;
    }
}

METHOD method_rescale_100int_500float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
        intVar_4 = locVar_4 * 20.0 / 100;
    }
}

METHOD method_scale1000_int_float (long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 1000.0;
    }
}

METHOD method_scale1000_int_float_01 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        locVar_1 = intVar_1 / 1000.0;
    }
}

METHOD method_scale1000_int_float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        locVar_2 = intVar_2 / 1000.0;
    }
}

METHOD method_scale1000_int_float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        locVar_3 = intVar_3 / 1000.0;
    }
}

METHOD method_scale1000_int_float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
        locVar_4 = intVar_4 / 1000.0;
    }
}

METHOD method_rescale1000_int_float (long intVar, float locVar)
{
    DEFINITION
    {
        intVar = locVar * 1000.0;
    }
}

METHOD method_rescale1000_int_float_01 (long intVar_1, float locVar_1)
{
    DEFINITION
    {
        intVar_1 = locVar_1 * 1000.0;
    }
}

METHOD method_rescale1000_int_float_02 (long intVar_2, float locVar_2)
{
    DEFINITION
    {
        intVar_2 = locVar_2 * 1000.0;
    }
}

METHOD method_rescale1000_int_float_03 (long intVar_3, float locVar_3)
{
    DEFINITION
    {
        intVar_3 = locVar_3 * 1000.0;
    }
}

METHOD method_rescale1000_int_float_04 (long intVar_4, float locVar_4)
{
    DEFINITION
    {
        intVar_4 = locVar_4 * 1000.0;
    }
}

METHOD method_scale100_temp_C (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 100.0 ;	// Degree C

		switch (nModuleType)
		{
     //       case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale100_temp_F (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 100.0 ;	

		switch (nModuleType)
		{
     //       case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
	        locVar = (locVar * 1.8) + 32;	// Degree F
				break;
			default:
				break;
		}
	}
}

METHOD method_scale100_temp_01_C (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 100.0 ;	// Degree C

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
				break;
			default:
				break;
		}
    }
}

METHOD method_scale100_temp_01_F (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 100.0 ;	

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
	        locVar_01 = (locVar_01 * 1.8) + 32;	// Degree F
				break;
			default:
				break;
		}
	}
}

METHOD method_scale100_temp_02_C (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 100.0 ;	// Degree C

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
				break;
			default:
				break;
		}
    }
}

METHOD method_scale100_temp_02_F (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 100.0 ;	

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
	        locVar_02 = (locVar_02 * 1.8) + 32;	// Degree F
				break;
			default:
				break;
		}
	}
}

METHOD method_scale100_temp_03_C (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 100.0 ;	// Degree C

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
				break;
			default:
				break;
		}
    }
}

METHOD method_scale100_temp_03_F (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 100.0 ;	

		switch (nModuleType)
		{
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
	        locVar_03 = (locVar_03 * 1.8) + 32;	// Degree F
				break;
			default:
				break;
		}
	}
}

METHOD method_scale100_temp_04_C (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 100.0 ;	// Degree C

		switch (nModuleType)
		{
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
				break;
			default:
				break;
		}
    }
}

METHOD method_scale100_temp_04_F (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 100.0 ;	

		switch (nModuleType)
		{
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
	        locVar_04 = (locVar_04 * 1.8) + 32;	// Degree F
				break;
			default:
				break;
		}
	}
}

METHOD method_rescale100_temp_C (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        switch (nModuleType)
        {
           // case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
                break;
            default:
                break;
        }
		intVar = locVar  * 100.0;
    }
}

METHOD method_rescale100_temp_F (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        switch (nModuleType)
        {
            //case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
			locVar = (locVar - 32.0) / 1.8;                
				break;
            default:
                break;
        }
		intVar = locVar  * 100.0;
    }
}

METHOD method_rescale100_temp_01_C (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
                break;
            default:
                break;
        }
		intVar_01 = locVar_01  * 100.0;
    }
}

METHOD method_rescale100_temp_01_F (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        switch (nModuleType)
        {
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
			locVar_01 = (locVar_01 - 32.0) / 1.8;                
                break;
            default:
                break;
        }
		intVar_01 = locVar_01  * 100.0;
    }
}

METHOD method_rescale100_temp_02_C (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
                break;
            default:
                break;
        }
		intVar_02 = locVar_02  * 100.0;
    }
}

METHOD method_rescale100_temp_02_F (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
			locVar_02 = (locVar_02 - 32.0) / 1.8;                
                break;
            default:
                break;
        }
		intVar_02 = locVar_02  * 100.0;
    }
}

METHOD method_rescale100_temp_03_C (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
                break;
            default:
                break;
        }
		intVar_03 = locVar_03  * 100.0;
    }
}

METHOD method_rescale100_temp_03_F (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
			locVar_03 = (locVar_03 - 32.0) / 1.8;                
                break;
            default:
                break;
        }
		intVar_03 = locVar_03  * 100.0;
    }
}

METHOD method_rescale100_temp_04_C (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        switch (nModuleType)
        {
		//	case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
                break;
            default:
                break;
        }
		intVar_04 = locVar_04  * 100.0;
    }
}

METHOD method_rescale100_temp_04_F (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        switch (nModuleType)
        {
			//case MODUL_5y05:        
			case MODUL_5005:        
			case MODUL_5105:        
			case MODUL_5205:        
			locVar_04 = (locVar_04 - 32.0) / 1.8;                
                break;
            default:
                break;
        }
		intVar_04 = locVar_04  * 100.0;
    }
}

METHOD method_scale1000_temp_C (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 1000.0 ;

		switch (nModuleType)
		{
		//	case MODUL_5y01:        
			case MODUL_5001:        
			case MODUL_5101:        
			case MODUL_5201:        
          //  case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_F (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        locVar = intVar / 1000.0 ;

		switch (nModuleType)
		{
		//	case MODUL_5y01:        
			case MODUL_5001:        
			case MODUL_5101:        
			case MODUL_5201: 
          //  case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202: 
			locVar = (locVar * 1.8) +  32.0;
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_01_C (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 1000.0 ;

		switch (nModuleType)
		{
         //   case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_01_F (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 1000.0 ;

		switch (nModuleType)
		{
         //   case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
         //   case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_01 = (locVar_01 * 1.8) +  32.0;
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_02_C (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 1000.0 ;

		switch (nModuleType)
		{
        //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_02_F (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 1000.0 ;

		switch (nModuleType)
		{
       //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_02 = (locVar_02 * 1.8) +  32.0;
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_03_C (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 1000.0 ;

		switch (nModuleType)
		{
        //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_03_F (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 1000.0 ;

		switch (nModuleType)
		{
      //      case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
     //       case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_03 = (locVar_03 * 1.8) +  32.0;
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_04_C (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 1000.0 ;

		switch (nModuleType)
		{
       //     case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
       //     case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
                break;
            default:
                break;
        }
    }
}

METHOD method_scale1000_temp_04_F (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 1000.0 ;

		switch (nModuleType)
		{
       //     case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
       //     case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_04 = (locVar_04 * 1.8) +  32.0;
                break;
            default:
                break;
        }
    }
}

METHOD method_rescale1000_temp_C (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        switch (nModuleType)
        {
        //    case MODUL_5y01:        
            case MODUL_5001:        
            case MODUL_5101:        
            case MODUL_5201:        
        //    case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202:        
            default:
                break;
        }
		intVar = locVar  * 1000.0;
    }
}

METHOD method_rescale1000_temp_F (int nModuleType, long intVar, float locVar)
{
    DEFINITION
    {
        switch (nModuleType)
        {
       //     case MODUL_5y01:        
            case MODUL_5001:        
            case MODUL_5101:        
            case MODUL_5201:  
     //       case MODUL_5y02:        
            case MODUL_5002:        
            case MODUL_5102:        
            case MODUL_5202: 
			locVar = (locVar - 32.0) / 1.8;
            default:
                break;
        }
		intVar = locVar  * 1000.0;
    }
}

METHOD method_rescale1000_temp_01_C (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        switch (nModuleType)
        {
        //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
            default:
                break;
        }
		intVar_01 = locVar_01  * 1000.0;
    }
}

METHOD method_rescale1000_temp_01_F (int nModuleType, long intVar_01, float locVar_01)
{
    DEFINITION
    {
        switch (nModuleType)
        {
       //     case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
       //     case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_01 = (locVar_01 - 32.0) / 1.8;
            default:
                break;
        }
		intVar_01 = locVar_01  * 1000.0;
    }
}

METHOD method_rescale1000_temp_02_C (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        switch (nModuleType)
        {
       //     case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
       //     case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
            default:
                break;
        }
		intVar_02 = locVar_02  * 1000.0;
    }
}

METHOD method_rescale1000_temp_02_F (int nModuleType, long intVar_02, float locVar_02)
{
    DEFINITION
    {
        switch (nModuleType)
        {
//case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_02 = (locVar_02 - 32.0) / 1.8;
            default:
                break;
        }
		intVar_02 = locVar_02  * 1000.0;
    }
}

METHOD method_rescale1000_temp_03_C (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        switch (nModuleType)
        {
        //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
            default:
                break;
        }
		intVar_03 = locVar_03  * 1000.0;
    }
}

METHOD method_rescale1000_temp_03_F (int nModuleType, long intVar_03, float locVar_03)
{
    DEFINITION
    {
        switch (nModuleType)
        {
        //    case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_03 = (locVar_03 - 32.0) / 1.8;
            default:
                break;
        }
		intVar_03 = locVar_03  * 1000.0;
    }
}

METHOD method_rescale1000_temp_04_C (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        switch (nModuleType)
        {
         //   case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
         //   case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
            default:
                break;
        }
		intVar_04 = locVar_04  * 1000.0;
    }
}

METHOD method_rescale1000_temp_04_F (int nModuleType, long intVar_04, float locVar_04)
{
    DEFINITION
    {
        switch (nModuleType)
        {
         //   case MODUL_5y04:        
            case MODUL_5004:        
            case MODUL_5104:        
            case MODUL_5204:        
        //    case MODUL_5y05:        
            case MODUL_5005:        
            case MODUL_5105:        
            case MODUL_5205:        
			locVar_04 = (locVar_04 - 32.0) / 1.8;
            default:
                break;
        }
		intVar_04 = locVar_04  * 1000.0;
    }
}

METHOD method_scale_int_mA (long intVar, float locVar)
{
    DEFINITION
    {
        locVar = 4.0 + (intVar * 0.0016);       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_rescale_int_mA (long intVar, float locVar)
{
    DEFINITION
    {
        intVar = (locVar - 4.0) / 0.0016;       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_scale_int_mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = 4.0 + (intVar_01 * 0.0016);       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_rescale_int_mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        intVar_01 = (locVar_01 - 4.0) / 0.0016;       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_scale_int_mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = 4.0 + (intVar_02 * 0.0016);       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_rescale_int_mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        intVar_02 = (locVar_02 - 4.0) / 0.0016;       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_scale_int_mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = 4.0 + (intVar_03 * 0.0016);       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_rescale_int_mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        intVar_03 = (locVar_03 - 4.0) / 0.0016;       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_scale_int_mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = 4.0 + (intVar_04 * 0.0016);       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_rescale_int_mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        intVar_04 = (locVar_04 - 4.0) / 0.0016;       // 4.0 / 2500 = 0.0016
    }
}

METHOD method_scale_int_25_5mA_01 (long intVar_01, float locVar_01)		//	=1,8 mA/18	von 0,0 mA bis 25,5 mA
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 10.0;     
    }
}

METHOD method_rescale_int_25_5mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        intVar_01 = locVar_01 * 10.0;
    }
}

METHOD method_scale_int_25_5mA_02 (long intVar_02, float locVar_02)		//	=1,8 mA/18	von 0,0 mA bis 25,5 mA
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 10.0;     
    }
}

METHOD method_rescale_int_25_5mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        intVar_02 = locVar_02 * 10.0;
    }
}

METHOD method_scale_int_25_5mA_03 (long intVar_03, float locVar_03)		//	=1,8 mA/18	von 0,0 mA bis 25,5 mA
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 10.0;     
    }
}

METHOD method_rescale_int_25_5mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        intVar_03 = locVar_03 * 10.0;
    }
}

METHOD method_scale_int_25_5mA_04 (long intVar_04, float locVar_04)		//	=1,8 mA/18	von 0,0 mA bis 25,5 mA
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 10.0;     
    }
}

METHOD method_rescale_int_25_5mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        intVar_04 = locVar_04 * 10.0;
    }
}

METHOD method_scale_int_9_75_01 (long intVar_01, float locVar_01)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 9.75;     
    }
}

METHOD method_scale_int_9_75_02 (long intVar_02, float locVar_02)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 9.75;     
    }
}

METHOD method_scale_int_9_75_03 (long intVar_03, float locVar_03)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 9.75;     
    }
}

METHOD method_scale_int_9_75_04 (long intVar_04, float locVar_04)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 9.75;     
    }
}

METHOD method_rescale_int_9_75_01 (long intVar_01, float locVar_01)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        intVar_01 = locVar_01 * 9.75;     
    }
}

METHOD method_rescale_int_9_75_02 (long intVar_02, float locVar_02)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        intVar_02 = locVar_02 * 9.75;     
    }
}

METHOD method_rescale_int_9_75_03 (long intVar_03, float locVar_03)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        intVar_03 = locVar_03 * 9.75;     
    }
}

METHOD method_rescale_int_9_75_04 (long intVar_04, float locVar_04)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/20*x
{
    DEFINITION
    {
        intVar_04 = locVar_04 * 9.75;     
    }
}

METHOD method_scale_int_156_01 (long intVar_01, float locVar_01)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 156.0;     
    }
}

METHOD method_scale_int_156_02 (long intVar_02, float locVar_02)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 156.0;     
    }
}

METHOD method_scale_int_156_03 (long intVar_03, float locVar_03)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 156.0;     
    }
}

METHOD method_scale_int_156_04 (long intVar_04, float locVar_04)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 156.0;     
    }
}

METHOD method_rescale_int_156_01 (long intVar_01, float locVar_01)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        intVar_01 = locVar_01 * 156.0;     
    }
}

METHOD method_rescale_int_156_02 (long intVar_02, float locVar_02)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        intVar_02 = locVar_02 * 156.0;     
    }
}

METHOD method_rescale_int_156_03 (long intVar_03, float locVar_03)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        intVar_03 = locVar_03 * 156.0;     
    }
}

METHOD method_rescale_int_156_04 (long intVar_04, float locVar_04)		//	=8 mA/78	von 0,0 mA bis 20 mA		195/1,25*x
{
    DEFINITION
    {
        intVar_04 = locVar_04 * 156.0;     
    }
}



METHOD method_scale_int_1_625mA_01 (long intVar_01, float locVar_01)				//	=0,4/62*255	von 0,0 mA bis 1,625 mA
{
    DEFINITION
    {
        locVar_01 = intVar_01 * 0.4 / 62.77;
    }
}

METHOD method_rescale_int_1_625mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        intVar_01 = locVar_01 * 62.77 / 0.4;
    }
}

METHOD method_scale_int_1_625mA_02 (long intVar_02, float locVar_02)				//	=0,4/62*255	von 0,0 mA bis 1,62516129 mA
{
    DEFINITION
    {
        locVar_02 = intVar_02 * 0.4 / 62.77;
    }
}

METHOD method_rescale_int_1_625mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        intVar_02 = locVar_02 * 62.77 / 0.4;
    }
}

METHOD method_scale_int_1_625mA_03 (long intVar_03, float locVar_03)				//	=0,4/62*255	von 0,0 mA bis 1,62516129 mA
{
    DEFINITION
    {
        locVar_03 = intVar_03 * 0.4 / 62.77;
    }
}

METHOD method_rescale_int_1_625mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        intVar_03 = locVar_03 * 62.77 / 0.4;
    }
}

METHOD method_scale_int_1_625mA_04 (long intVar_04, float locVar_04)				//	=0,4/62*255	von 0,0 mA bis 1,62516129 mA
{
    DEFINITION
    {
        locVar_04 = intVar_04 * 0.4 / 62.77;
    }
}

METHOD method_rescale_int_1_625mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        intVar_04 = locVar_04 * 62.77 / 0.4;
    }
}

METHOD method_scale_int_0_20mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = intVar_01 / 2500.0;       
    }
}

METHOD method_scale_int_0_20mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = intVar_02 / 2500.0;       
    }
}

METHOD method_scale_int_0_20mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = intVar_03 / 2500.0;       
    }
}

METHOD method_scale_int_0_20mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = intVar_04 / 2500.0;       
    }
}

METHOD method_rescale_int_0_20mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        intVar_01 = locVar_01 * 2500.0;       
    }
}

METHOD method_rescale_int_0_20mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        intVar_02 = locVar_02 * 2500.0;       
    }
}

METHOD method_rescale_int_0_20mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        intVar_03 = locVar_03 * 2500.0;       
    }
}

METHOD method_rescale_int_0_20mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        intVar_04 = locVar_04 * 2500.0;       
    }
}

METHOD method_scale_int_0_4mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        locVar_01 = (intVar_01 * 4.0 / 2500.0 ) + 4.0;       
    }
}

METHOD method_scale_int_0_4mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        locVar_02 = (intVar_02 * 4.0 / 2500.0 ) + 4.0;       
    }
}

METHOD method_scale_int_0_4mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        locVar_03 = (intVar_03 * 4.0 / 2500.0 ) + 4.0;       
    }
}

METHOD method_scale_int_0_4mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        locVar_04 = (intVar_04 * 4.0 / 2500.0 ) + 4.0;       
    }
}

METHOD method_rescale_int_0_4mA_01 (long intVar_01, float locVar_01)
{
    DEFINITION
    {
        intVar_01 = (locVar_01 - 4.0) * 2500.0 / 4.0;       
    }
}

METHOD method_rescale_int_0_4mA_02 (long intVar_02, float locVar_02)
{
    DEFINITION
    {
        intVar_02 = (locVar_02 - 4.0) * 2500.0 / 4.0;       
    }
}

METHOD method_rescale_int_0_4mA_03 (long intVar_03, float locVar_03)
{
    DEFINITION
    {
        intVar_03 = (locVar_03 - 4.0) * 2500.0 / 4.0;       
    }
}

METHOD method_rescale_int_0_4mA_04 (long intVar_04, float locVar_04)
{
    DEFINITION
    {
        intVar_04 = (locVar_04 - 4.0) * 2500.0 / 4.0;       
    }
}


METHOD method_check_MbMe_float(float fMb, float fMe)
{
    DEFINITION
    {
        if (fMb > fMe)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_float_01(float fMb_01, float fMe_01)
{
    DEFINITION
    {
        if (fMb_01 > fMe_01)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_float_02(float fMb_02, float fMe_02)
{
    DEFINITION
    {
        if (fMb_02 > fMe_02)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_float_03(float fMb_03, float fMe_03)
{
    DEFINITION
    {
        if (fMb_03 > fMe_03)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_float_04(float fMb_04, float fMe_04)
{
    DEFINITION
    {
        if (fMb_04 > fMe_04)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_int(long iMb, long iMe)
{
    DEFINITION
    {
        if (iMb > iMe)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_int_01(long iMb_01, long iMe_01)
{
    DEFINITION
    {
        if (iMb_01 > iMe_01)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_int_02(long iMb_02, long iMe_02)
{
    DEFINITION
    {
        if (iMb_02 > iMe_02)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_int_03(long iMb_03, long iMe_03)
{
    DEFINITION
    {
        if (iMb_03 > iMe_03)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_check_MbMe_int_04(long iMb_04, long iMe_04)
{
    DEFINITION
    {
        if (iMb_04 > iMe_04)
        {
            ACKNOWLEDGE([warning_min_max_value]);
        }
    }
}

METHOD method_set_slots
{
    DEFINITION
    {
        int slot;

        slot = ivar_value(Loc_P0_Slot0);    

        iassign(P0_Slot0, slot);
        iassign(DI2C01_P1_Slot1, slot);
        iassign(DI2C01_P2_Slot2, slot);
        iassign(DI3C01_P3_Slot3, slot);
        iassign(DI8C01_P1_Slot1, slot);
        iassign(DI8C01_P2_Slot2, slot);
        iassign(DI8C01_P3_Slot3, slot);
        iassign(DI8C01_P4_Slot4, slot);
        iassign(DI8C01_P5_Slot5, slot);
        iassign(DI8C01_P6_Slot6, slot);
        iassign(DI8C01_P7_Slot7, slot);
        iassign(DI8C01_P8_Slot8, slot);

        iassign(DI15C01_P1_Slot1, slot);
        iassign(DI15C01_P3_Slot2, slot);
        iassign(DI15C01_P5_Slot3, slot);
        iassign(DI15C01_P7_Slot4, slot);
        iassign(DI15C01_P9_Slot5, slot);
        iassign(DI15C01_P11_Slot6, slot);
        iassign(DI15C01_P13_Slot7, slot);
        iassign(DI15C01_P15_Slot8, slot);
		
		iassign(DIDO_P1_Slot1, slot);
        iassign(DIDO_P2_Slot2, slot);
        iassign(DIDO_P3_Slot3, slot);
        iassign(DIDO02_P1_Slot1, slot);
        iassign(DIDO02_P2_Slot2, slot);
        iassign(DIDO02_P3_Slot3, slot);
        iassign(DIDO02_P4_Slot4, slot);
        iassign(DIDO02_P5_Slot5, slot);
        iassign(DIDO02_P6_Slot6, slot);
        iassign(DIDO02_P7_Slot7, slot);
        iassign(DIDO02_P8_Slot8, slot);
        iassign(DIDO05_P1_Slot1, slot);
        iassign(DIDO05_P2_Slot2, slot);
        iassign(DIDO05_P3_Slot3, slot);
        iassign(DO06_P1_Slot1, slot);
        iassign(DO06_P2_Slot1, slot);
        iassign(Mod4y5y_P1_Slot1, slot);
        iassign(Mod4y5y_P2_Slot3, slot);
        iassign(Mod4y5y_P3_Slot5, slot);
        iassign(Mod4y5y_P4_Slot7, slot);
        iassign(TempR_P1_Slot2, slot);
        iassign(TempR02_P1_Slot2, slot);
        iassign(TempR02_P2_Slot4, slot);
        iassign(TempR02_P3_Slot6, slot);
        iassign(TempR02_P4_Slot8, slot);
        iassign(TempTC_P1_Slot2, slot);
        iassign(TempTC02_P1_Slot2, slot);
        iassign(TempTC02_P2_Slot4, slot);
        iassign(TempTC02_P3_Slot6, slot);
        iassign(TempTC02_P4_Slot8, slot);
        iassign(RL2C_P1_Slot1, slot);
        iassign(RL2C_P2_Slot2, slot);
        iassign(RL4C_P1_Slot1, slot);
        iassign(RL4C_P2_Slot2, slot);
        iassign(RL4C_P3_Slot3, slot);
        iassign(RL4C_P4_Slot4, slot);
        iassign(RL8C_P1_Slot1, slot);
        iassign(RL8C_P2_Slot2, slot);
        iassign(RL8C_P3_Slot3, slot);
        iassign(RL8C_P4_Slot4, slot);
        iassign(RL8C_P5_Slot5, slot);
        iassign(RL8C_P6_Slot6, slot);
        iassign(RL8C_P7_Slot7, slot);
        iassign(RL8C_P8_Slot8, slot);
        iassign(DIFR_P1_Slot1, slot);
        iassign(DIFR_P1_Slot2, slot); 
        iassign(VOIN_P1_Slot2, slot);
        iassign(OUSP_P1_Slot2, slot);
        iassign(OUSP02_P1_Slot2, slot);
        iassign(OUSP02_P2_Slot4, slot);
        iassign(OUSP02_P3_Slot6, slot);
		iassign(OUSP02_P4_Slot8, slot);
        iassign(INSP_P1_Slot1, slot);
        iassign(INSP_P1_Slot2, slot);
        iassign(INSP02_P1_Slot1, slot);
        iassign(INSP02_P1_Slot2, slot);
        iassign(INSP02_P2_Slot3, slot);
        iassign(INSP02_P2_Slot4, slot);
        iassign(INSP02_P3_Slot5, slot);
        iassign(INSP02_P3_Slot6, slot);
        iassign(INSP02_P4_Slot7, slot);
        iassign(INSP02_P4_Slot8, slot);
        iassign(UNIM02_P1_Slot1, slot);
        iassign(UNIM02_P1_Slot2, slot);
        iassign(UNIM02_P2_Slot3, slot);
        iassign(UNIM02_P2_Slot4, slot);
        iassign(UNIM02_P3_Slot5, slot);
        iassign(UNIM02_P3_Slot6, slot);
        iassign(UNIM02_P4_Slot7, slot);
        iassign(UNIM02_P4_Slot8, slot);

    }
}

/*******************************************************************************/
/*****  Variables   ************************************************************/
/*******************************************************************************/


VARIABLE    Loc_check_Mb_int
{
    LABEL       [P1_Mb];
    HELP        [P1_Mb_help];
    TYPE        UNSIGNED_INTEGER (4);
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
}

VARIABLE    Loc_check_Me_int
{
    LABEL       [P1_Me];
    HELP        [P1_Me_help];
    TYPE        UNSIGNED_INTEGER (4);
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
}

Loc_check_Mb_float  LIKE VARIABLE   Loc_check_Mb_int    
{
    REDEFINE    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".3f";
    }
}

Loc_check_Me_float  LIKE VARIABLE   Loc_check_Me_int    
{
    REDEFINE    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".3f";
    }
}

VARIABLE    Loc_InitModul
{
    LABEL       "Loc_InitModul";
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE   0;
    }
    CLASS       LOCAL;
}

VARIABLE    Loc_DoLoad
{
    LABEL       "Loc_DoLoad";
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE   1;
    }
    CLASS       LOCAL;
}


VARIABLE    Bit1_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    Bit1_15
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    Bit3_15
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    Bit1_14
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

#define Table_s_TempR                       \
            Tab_s_TempR_kanal1,             \
            Tab_s_certificates

#define Table_s_TempR02                     \
            Tab_s_TempR02_kanal1,           \
            Tab_s_TempR02_kanal2,           \
            Tab_s_TempR02_kanal3,           \
            Tab_s_TempR02_kanal4,           \
            Tab_s_certificates

#define Table_s_TempTC                      \
            Tab_s_TempTC_kanal1,            \
            Tab_s_certificates

#define Table_s_TempTC02                    \
            Tab_s_TempTC02_kanal1,          \
            Tab_s_TempTC02_kanal2,          \
            Tab_s_TempTC02_kanal3,          \
            Tab_s_TempTC02_kanal4,          \
            Tab_s_certificates

#define Table_s_DI2C01                      \
            Tab_s_DI2C01_kanal1,            \
            Tab_s_DI2C01_kanal2,            \
            Tab_s_certificates

#define Table_s_DI3C01                      \
            Tab_s_DI3C01_kanal1,            \
            Tab_s_DI3C01_kanal2,            \
            Tab_s_DI3C01_kanal3,            \
            Tab_s_certificates

#define Table_s_DI7C01                      \
            Tab_s_DI7C01_kanal1,            \
            Tab_s_DI7C01_kanal2,            \
            Tab_s_DI7C01_kanal3,            \
            Tab_s_DI7C01_kanal4,            \
            Tab_s_DI7C01_kanal5,            \
            Tab_s_DI7C01_kanal6,            \
            Tab_s_DI7C01_kanal7,            \
            Tab_s_certificates

#define Table_s_DI8C01                      \
            Tab_s_DI8C01_kanal1,            \
            Tab_s_DI8C01_kanal2,            \
            Tab_s_DI8C01_kanal3,            \
            Tab_s_DI8C01_kanal4,            \
            Tab_s_DI8C01_kanal5,            \
            Tab_s_DI8C01_kanal6,            \
            Tab_s_DI8C01_kanal7,            \
            Tab_s_DI8C01_kanal8,            \
            Tab_s_certificates

#define Table_s_DI8C01_NAMUR                \
            Tab_s_DI8C01_kanal1_NAMUR,      \
            Tab_s_DI8C01_kanal2_NAMUR,      \
            Tab_s_DI8C01_kanal3_NAMUR,      \
            Tab_s_DI8C01_kanal4_NAMUR,      \
            Tab_s_DI8C01_kanal5_NAMUR,      \
            Tab_s_DI8C01_kanal6_NAMUR,      \
            Tab_s_DI8C01_kanal7_NAMUR,      \
            Tab_s_DI8C01_kanal8_NAMUR,      \
            Tab_s_certificates

#define Table_s_DI15C01                      \
            Tab_s_DI15C01_kanal1,            \
            Tab_s_DI15C01_kanal2,            \
            Tab_s_DI15C01_kanal3,            \
            Tab_s_DI15C01_kanal4,            \
            Tab_s_DI15C01_kanal5,            \
            Tab_s_DI15C01_kanal6,            \
            Tab_s_DI15C01_kanal7,            \
            Tab_s_DI15C01_kanal8,            \
            Tab_s_DI15C01_kanal9,            \
            Tab_s_DI15C01_kanal10,            \
            Tab_s_DI15C01_kanal11,            \
            Tab_s_DI15C01_kanal12,            \
            Tab_s_DI15C01_kanal13,            \
            Tab_s_DI15C01_kanal14,            \
            Tab_s_DI15C01_kanal15,            \
            Tab_s_certificates

#define Table_s_DIDO                        \
            Tab_s_DIDO_kanal1,              \
            Tab_s_DIDO_kanal2,              \
            Tab_s_DIDO_kanal3,              \
            Tab_s_certificates

#define Table_s_DIDO02                      \
            Tab_s_DIDO02_kanal1,            \
            Tab_s_DIDO02_kanal2,            \
            Tab_s_DIDO02_kanal3,            \
            Tab_s_DIDO02_kanal4,            \
            Tab_s_DIDO02_kanal5,            \
            Tab_s_DIDO02_kanal6,            \
            Tab_s_DIDO02_kanal7,            \
            Tab_s_DIDO02_kanal8,            \
            Tab_s_certificates

#define Table_s_DIDO03                      \
            Tab_s_DIDO02_kanal1,            \
            Tab_s_DIDO02_kanal2,            \
            Tab_s_DIDO02_kanal3,            \
            Tab_s_DIDO02_kanal4,            \
            Tab_s_certificates

#define Table_s_DIDO04                      \
            Tab_s_DIDO02_kanal1,            \
            Tab_s_DIDO02_kanal2,            \
            Tab_s_certificates

#define Table_s_DIDO05                        \
            Tab_s_DIDO05_kanal1,              \
            Tab_s_DIDO05_kanal2,              \
            Tab_s_DIDO05_kanal3,              \
            Tab_s_certificates

#define Table_s_DO06                        \
            Tab_s_DO06_kanal1,              \
            Tab_s_DO06_kanal2,              \
            Tab_s_certificates

#define Table_s_RL2C                        \
            Tab_s_RL2C_kanal1,              \
            Tab_s_RL2C_kanal2,              \
            Tab_s_certificates

#define Table_s_RL4C                        \
            Tab_s_RL4C_kanal1,              \
            Tab_s_RL4C_kanal2,              \
            Tab_s_RL4C_kanal3,              \
            Tab_s_RL4C_kanal4,              \
            Tab_s_certificates

#define Table_s_RL8C                        \
            Tab_s_RL8C_kanal1,              \
            Tab_s_RL8C_kanal2,              \
            Tab_s_RL8C_kanal3,              \
            Tab_s_RL8C_kanal4,              \
            Tab_s_RL8C_kanal5,              \
            Tab_s_RL8C_kanal6,              \
            Tab_s_RL8C_kanal7,              \
            Tab_s_RL8C_kanal8,              \
            Tab_s_certificates

#define Table_s_DIFR                        \
            Tab_s_DIFR_kanal1,              \
            Tab_s_certificates

#define Table_s_VOIN                        \
            Tab_s_VOIN_kanal1,              \
            Tab_s_certificates

#define Table_s_OUSP                        \
            Tab_s_OUSP_kanal1,              \
            Tab_s_certificates

#define Table_s_OUSP02                      \
            Tab_s_OUSP02_kanal1,            \
            Tab_s_OUSP02_kanal2,            \
            Tab_s_OUSP02_kanal3,            \
            Tab_s_OUSP02_kanal4,            \
            Tab_s_certificates

#define Table_s_INSP                        \
            Tab_s_INSP_kanal1,              \
            Tab_s_certificates

#define Table_s_INSP02                      \
            Tab_s_INSP02_kanal1,            \
            Tab_s_INSP02_kanal2,            \
            Tab_s_INSP02_kanal3,            \
            Tab_s_INSP02_kanal4,            \
            Tab_s_certificates

#define Table_s_UNIM02						\
            Tab_s_UNIM02_kanal1,            \
            Tab_s_UNIM02_kanal2,            \
            Tab_s_UNIM02_kanal3,            \
            Tab_s_UNIM02_kanal4,            \
            Tab_s_certificates

MENU Table_Main_Specialist
{
    LABEL       SELECT (P0_Type)        
		{
			CASE MODUL_LEER:		[unbenutzter_steckplatz];
			CASE MODUL_1001:		[schaltver_2Kanal_1001];
			CASE MODUL_1101:		[schaltver_2Kanal_1101];
			CASE MODUL_1201:		[schaltver_2Kanal_1201];
			CASE MODUL_1301:		[schaltver_2Kanal_1301];
			CASE MODUL_1002:		[schaltver_3Kanal_1002];
			CASE MODUL_1102:		[schaltver_3Kanal_1102];
			CASE MODUL_1202:		[schaltver_3Kanal_1202];
			CASE MODUL_1302:		[schaltver_3Kanal_1302];
			CASE MODUL_1003:		[schaltver_1K_freq_imp_1003];
			CASE MODUL_1103:		[schaltver_1K_freq_imp_1103];
			CASE MODUL_1203:		[schaltver_1K_freq_imp_1203];
			CASE MODUL_1303:		[schaltver_1K_freq_imp_1303];
			CASE MODUL_1007:		[schaltver_7Kanal_1007];
			CASE MODUL_1008:		[schaltver_8Kanal_1008];
			CASE MODUL_1108:		[schaltver_8Kanal_1108];
			CASE MODUL_1208:		[schaltver_8Kanal_1208];
			CASE MODUL_1308:		[schaltver_8Kanal_1308];
			CASE MODUL_1009:		[schaltver_8Kanal_1009];
			CASE MODUL_1109:		[schaltver_8Kanal_1109];
			CASE MODUL_1209:		[schaltver_8Kanal_1209];
			CASE MODUL_1014:		[schaltver_15Kanal_1014];
			CASE MODUL_1015:		[schaltver_15Kanal_1015];
			CASE MODUL_2002:		[ventiltreiber_2002];
			CASE MODUL_2101:		[ventiltreiber_2101];
			CASE MODUL_2102:		[ventiltreiber_2102];
			CASE MODUL_2103:		[ventiltreiber_2103];
			CASE MODUL_2104:		[ventiltreiber_2104];
			CASE MODUL_2105:		[ventiltreiber_2105];
			CASE MODUL_2106:		[ventiltreiber_2106];
			CASE MODUL_2107:		[ventiltreiber_2107];
			CASE MODUL_2108:		[ventiltreiber_2108];
			CASE MODUL_2109:		[ventiltreiber_2109];
			CASE MODUL_2110:		[ventiltreiber_2110];
			CASE MODUL_2111:		[ventiltreiber_2111];
			CASE MODUL_2112:		[ventiltreiber_2112];
			CASE MODUL_2113:		[ventiltreiber_2113];
			CASE MODUL_2016:		[ventiltreiber_2016];
			CASE MODUL_2116:		[ventiltreiber_2116];
			CASE MODUL_2017:		[ventiltreiber_2017];
			CASE MODUL_2117:		[ventiltreiber_2117];
			CASE MODUL_2016_2:		[ventiltreiber_2016];
			CASE MODUL_2116_2:		[ventiltreiber_2116];
			CASE MODUL_2017_2:		[ventiltreiber_2017];
			CASE MODUL_2117_2:		[ventiltreiber_2117];
			CASE MODUL_2201:		[ventiltreiber_2201];
			CASE MODUL_2202:		[ventiltreiber_2202];
			CASE MODUL_2203:		[ventiltreiber_2203];
			CASE MODUL_2204:		[ventiltreiber_2204];
			CASE MODUL_2205:		[ventiltreiber_2205];
			CASE MODUL_2206:		[ventiltreiber_2206];
			CASE MODUL_2207:		[ventiltreiber_2207];
			CASE MODUL_2208:		[ventiltreiber_2208];
			CASE MODUL_2209:		[ventiltreiber_2209];
			CASE MODUL_2210:		[ventiltreiber_2210];
			CASE MODUL_2211:		[ventiltreiber_2211];
			CASE MODUL_2212:		[ventiltreiber_2212];
			CASE MODUL_2213:		[ventiltreiber_2213];
			CASE MODUL_2216:		[ventiltreiber_2216];
			CASE MODUL_2217:		[ventiltreiber_2217];
			CASE MODUL_2216_2:		[ventiltreiber_2216];
			CASE MODUL_2217_2:		[ventiltreiber_2217];
			CASE MODUL_3101:		[transmitter_speise_3101];
			CASE MODUL_3201:		[transmitter_speise_3201];
			CASE MODUL_3002:		[transmitter_speise_3002];
			CASE MODUL_3102:		[transmitter_speise_3102];
			CASE MODUL_3202:		[transmitter_speise_3202];
			CASE MODUL_3302:		[transmitter_speise_3302];
			CASE MODUL_3103:		[transmitter_speise_3103];
			CASE MODUL_3203:		[transmitter_speise_3203];
			CASE MODUL_3104:		[transmitter_speise_3104];
			CASE MODUL_3204:		[transmitter_speise_3204];
			CASE MODUL_3005:		[transmitter_speise_3005];
			CASE MODUL_3105:		[transmitter_speise_3105];
			CASE MODUL_3205:		[transmitter_speise_3205];
			CASE MODUL_3006:		[transmitter_speise_3006];
			CASE MODUL_3106:		[transmitter_speise_3106];
			CASE MODUL_3206:		[transmitter_speise_3206];
			CASE MODUL_3305:		[transmitter_speise_3305];
			CASE MODUL_3007:		[transmitter_speise_3007];
			CASE MODUL_3107:		[transmitter_speise_3107];
			CASE MODUL_3207:		[transmitter_speise_3207];
			CASE MODUL_3307:		[transmitter_speise_3307];
			CASE MODUL_4101:		[ausgangstrenner_4101];
			CASE MODUL_4201:		[ausgangstrenner_4201];
			CASE MODUL_4002:		[ausgangstrenner_4002];
			CASE MODUL_4102:		[ausgangstrenner_4102];
			CASE MODUL_4202:		[ausgangstrenner_4202];
			CASE MODUL_4302:		[ausgangstrenner_4302];
			CASE MODUL_4104:		[ausgangstrenner_4104];
			CASE MODUL_4204:		[ausgangstrenner_4204];
			CASE MODUL_4005:		[ausgangstrenner_4005];
			CASE MODUL_4105:		[ausgangstrenner_4105];
			CASE MODUL_4205:		[ausgangstrenner_4205];
			CASE MODUL_4006:		[ausgangstrenner_4006];
			CASE MODUL_4106:		[ausgangstrenner_4106];
			CASE MODUL_4206:		[ausgangstrenner_4206];
			CASE MODUL_5001:		[pt100_messumformer_5001];
			CASE MODUL_5101:		[pt100_messumformer_5101];
			CASE MODUL_5201:		[pt100_messumformer_5201];
			CASE MODUL_5002:		[thermoelement_umfor_5002];
			CASE MODUL_5102:		[thermoelement_umfor_5102];
			CASE MODUL_5202:		[thermoelement_umfor_5202];
			CASE MODUL_5004:		[pt100_messumformer_5004];
			CASE MODUL_5104:		[pt100_messumformer_5104];
			CASE MODUL_5204:		[pt100_messumformer_5204];
			CASE MODUL_5005:		[thermoelement_umfor_5005];
			CASE MODUL_5105:		[thermoelement_umfor_5105];
			CASE MODUL_5205:		[thermoelement_umfor_5205];
			CASE MODUL_5006:		[spannungseingang_5006];
			CASE MODUL_5106:		[spannungseingang_5106];
			CASE MODUL_5206:		[spannungseingang_5206];
			CASE MODUL_6101:		[bin_ausgabe_6101];
			CASE MODUL_6102:		[bin_ausgabe_6102];
			CASE MODUL_6202:		[bin_ausgabe_6202];
			CASE MODUL_6301:		[bin_ausgabe_6301];
			CASE MODUL_6005:		[bin_ausgabe_4kanal_6005];
			CASE MODUL_6006:		[bin_ausgabe_8kanal_6006];
			CASE MODUL_6305:		[bin_ausgabe_4kanal_6305];
			CASE MODUL_6306:		[bin_ausgabe_8kanal_6306];
			CASE MODUL_6008:		[bin_ausgabe_6008];
			CASE MODUL_6108:		[bin_ausgabe_6108];
			CASE MODUL_6208:		[bin_ausgabe_6208];
			CASE MODUL_6308:		[bin_ausgabe_6308];
			CASE MODUL_6010:		[bin_ausgabe_4kanal_6010];
			CASE MODUL_6110:		[bin_ausgabe_4kanal_6110];
			CASE MODUL_6111:		[bin_ausgabe_4kanal_6111];
			CASE MODUL_6112:		[bin_ausgabe_4kanal_6112];
			CASE MODUL_6113:		[bin_ausgabe_4kanal_6113];
			CASE MODUL_6114:		[bin_ausgabe_4kanal_6114];
			CASE MODUL_6115:		[bin_ausgabe_4kanal_6115];
			CASE MODUL_6016:		[bin_ausgabe_2kanal_6016];
			CASE MODUL_6116:		[bin_ausgabe_2kanal_6116];
			CASE MODUL_6017:		[bin_ausgabe_2kanal_6017];
			CASE MODUL_6117:		[bin_ausgabe_2kanal_6117];
			CASE MODUL_6016_2:		[bin_ausgabe_2kanal_6016];
			CASE MODUL_6116_2:		[bin_ausgabe_2kanal_6116];
			CASE MODUL_6017_2:		[bin_ausgabe_2kanal_6017];
			CASE MODUL_6117_2:		[bin_ausgabe_2kanal_6117];
			CASE MODUL_6210:		[bin_ausgabe_2kanal_6210];
			CASE MODUL_6211:		[bin_ausgabe_4kanal_6211];
			CASE MODUL_6212:		[bin_ausgabe_4kanal_6212];
			CASE MODUL_6213:		[bin_ausgabe_4kanal_6213];
			CASE MODUL_6214:		[bin_ausgabe_4kanal_6214];
			CASE MODUL_6215:		[bin_ausgabe_4kanal_6215];
			CASE MODUL_6216:		[bin_ausgabe_2kanal_6216];
			CASE MODUL_6217:		[bin_ausgabe_2kanal_6217];
			CASE MODUL_6216_2:		[bin_ausgabe_2kanal_6216];
			CASE MODUL_6217_2:		[bin_ausgabe_2kanal_6217];
            CASE MODUL_7104:		[universal_modul_7104];
            CASE MODUL_7204:		[universal_modul_7204];
            CASE MODUL_7304:		[universal_modul_7304];

		}
    ACCESS  OFFLINE;
    ITEMS
    {
        Tab_s_ident
        SELECT (P0_Type)        
		{
			CASE MODUL_1001:		Table_s_DI2C01
			CASE MODUL_1101:		Table_s_DI2C01
			CASE MODUL_1201:		Table_s_DI2C01
			CASE MODUL_1301:		Table_s_DI2C01
			CASE MODUL_1002:		Table_s_DI3C01
			CASE MODUL_1102:		Table_s_DI3C01
			CASE MODUL_1202:		Table_s_DI3C01
			CASE MODUL_1302:		Table_s_DI3C01
			CASE MODUL_1003:		Table_s_DIFR
			CASE MODUL_1103:		Table_s_DIFR
			CASE MODUL_1203:		Table_s_DIFR
			CASE MODUL_1303:		Table_s_DIFR
			CASE MODUL_1007:		Table_s_DI7C01		
			CASE MODUL_1008:		Table_s_DI8C01
			CASE MODUL_1108:		Table_s_DI8C01
			CASE MODUL_1208:		Table_s_DI8C01
			CASE MODUL_1308:		Table_s_DI8C01
			CASE MODUL_1009:		Table_s_DI8C01_NAMUR
			CASE MODUL_1109:		Table_s_DI8C01_NAMUR
			CASE MODUL_1209:		Table_s_DI8C01_NAMUR
			CASE MODUL_1014:		Table_s_DI15C01
			CASE MODUL_1015:		Table_s_DI15C01
			CASE MODUL_2002:		Table_s_DIDO
			CASE MODUL_2101:		Table_s_DIDO
			CASE MODUL_2102:		Table_s_DIDO
			CASE MODUL_2103:		Table_s_DIDO
			CASE MODUL_2104:		Table_s_DIDO
			CASE MODUL_2105:		Table_s_DIDO
			CASE MODUL_2106:		Table_s_DIDO
			CASE MODUL_2107:		Table_s_DIDO
			CASE MODUL_2108:		Table_s_DIDO
			CASE MODUL_2109:		Table_s_DIDO
			CASE MODUL_2110:		Table_s_DIDO
			CASE MODUL_2111:		Table_s_DIDO
			CASE MODUL_2112:		Table_s_DIDO
			CASE MODUL_2113:		Table_s_DIDO
			CASE MODUL_2016:		Table_s_DIDO05
			CASE MODUL_2116:		Table_s_DIDO05
			CASE MODUL_2017:		Table_s_DIDO05
			CASE MODUL_2117:		Table_s_DIDO05
			CASE MODUL_2016_2:		Table_s_DIDO05
			CASE MODUL_2116_2:		Table_s_DIDO05
			CASE MODUL_2017_2:		Table_s_DIDO05
			CASE MODUL_2117_2:		Table_s_DIDO05
			CASE MODUL_2201:		Table_s_DIDO
			CASE MODUL_2202:		Table_s_DIDO
			CASE MODUL_2203:		Table_s_DIDO
			CASE MODUL_2204:		Table_s_DIDO
			CASE MODUL_2205:		Table_s_DIDO
			CASE MODUL_2206:		Table_s_DIDO
			CASE MODUL_2207:		Table_s_DIDO
			CASE MODUL_2208:		Table_s_DIDO
			CASE MODUL_2209:		Table_s_DIDO
			CASE MODUL_2210:		Table_s_DIDO
			CASE MODUL_2211:		Table_s_DIDO
			CASE MODUL_2212:		Table_s_DIDO
			CASE MODUL_2213:		Table_s_DIDO
			CASE MODUL_2216:		Table_s_DIDO05
			CASE MODUL_2217:		Table_s_DIDO05
			CASE MODUL_2216_2:		Table_s_DIDO05
			CASE MODUL_2217_2:		Table_s_DIDO05
			CASE MODUL_3101:		Table_s_INSP
			CASE MODUL_3201:		Table_s_INSP
			CASE MODUL_3002:		Table_s_INSP
			CASE MODUL_3102:		Table_s_INSP
			CASE MODUL_3202:		Table_s_INSP
			CASE MODUL_3302:		Table_s_INSP
			CASE MODUL_3103:		Table_s_INSP
			CASE MODUL_3203:		Table_s_INSP
			CASE MODUL_3104:		Table_s_INSP02
			CASE MODUL_3204:		Table_s_INSP02
			CASE MODUL_3005:		Table_s_INSP02
			CASE MODUL_3105:		Table_s_INSP02
			CASE MODUL_3205:		Table_s_INSP02
			CASE MODUL_3006:		Table_s_INSP02
			CASE MODUL_3106:		Table_s_INSP02
			CASE MODUL_3206:		Table_s_INSP02
			CASE MODUL_3305:		Table_s_INSP02
			CASE MODUL_3007:		Table_s_INSP02
			CASE MODUL_3107:		Table_s_INSP02
			CASE MODUL_3207:		Table_s_INSP02
			CASE MODUL_3307:		Table_s_INSP02
			CASE MODUL_4101:		Table_s_OUSP
			CASE MODUL_4201:		Table_s_OUSP
			CASE MODUL_4002:		Table_s_OUSP
			CASE MODUL_4102:		Table_s_OUSP
			CASE MODUL_4202:		Table_s_OUSP
			CASE MODUL_4302:		Table_s_OUSP
			CASE MODUL_4104:		Table_s_OUSP02
			CASE MODUL_4204:		Table_s_OUSP02
			CASE MODUL_4005:		Table_s_OUSP02
			CASE MODUL_4105:		Table_s_OUSP02
			CASE MODUL_4205:		Table_s_OUSP02
			CASE MODUL_4006:		Table_s_OUSP02
			CASE MODUL_4106:		Table_s_OUSP02
			CASE MODUL_4206:		Table_s_OUSP02
			CASE MODUL_5001:		Table_s_TempR
			CASE MODUL_5101:		Table_s_TempR
			CASE MODUL_5201:		Table_s_TempR
			CASE MODUL_5002:		Table_s_TempTC
			CASE MODUL_5102:		Table_s_TempTC
			CASE MODUL_5202:		Table_s_TempTC
			CASE MODUL_5004:		Table_s_TempR02
			CASE MODUL_5104:		Table_s_TempR02
			CASE MODUL_5204:		Table_s_TempR02
			CASE MODUL_5005:		Table_s_TempTC02
			CASE MODUL_5105:		Table_s_TempTC02
			CASE MODUL_5205:		Table_s_TempTC02
			CASE MODUL_5006:		Table_s_VOIN
			CASE MODUL_5106:		Table_s_VOIN
			CASE MODUL_5206:		Table_s_VOIN
			CASE MODUL_6101:		Table_s_RL2C
			CASE MODUL_6102:		Table_s_RL2C
			CASE MODUL_6202:		Table_s_RL2C
			CASE MODUL_6301:		Table_s_RL2C
			CASE MODUL_6005:		Table_s_RL4C
			CASE MODUL_6305:		Table_s_RL4C
			CASE MODUL_6006:		Table_s_RL8C
			CASE MODUL_6306:		Table_s_RL8C
			CASE MODUL_6008:		Table_s_DIDO02
			CASE MODUL_6108:		Table_s_DIDO02
			CASE MODUL_6208:		Table_s_DIDO02
			CASE MODUL_6308:		Table_s_DIDO02
			CASE MODUL_6010:		Table_s_DIDO03
			CASE MODUL_6110:		Table_s_DIDO03
			CASE MODUL_6111:		Table_s_DIDO03
			CASE MODUL_6112:		Table_s_DIDO03
			CASE MODUL_6113:		Table_s_DIDO03
			CASE MODUL_6114:		Table_s_DIDO03
			CASE MODUL_6115:		Table_s_DIDO03
			CASE MODUL_6016:		Table_s_DO06
			CASE MODUL_6116:		Table_s_DO06
			CASE MODUL_6017:		Table_s_DO06
			CASE MODUL_6117:		Table_s_DO06
			CASE MODUL_6016_2:		Table_s_DO06
			CASE MODUL_6116_2:		Table_s_DO06
			CASE MODUL_6017_2:		Table_s_DO06
			CASE MODUL_6117_2:		Table_s_DO06
			CASE MODUL_6210:		Table_s_DIDO03
			CASE MODUL_6211:		Table_s_DIDO03
			CASE MODUL_6212:		Table_s_DIDO03
			CASE MODUL_6213:		Table_s_DIDO03
			CASE MODUL_6214:		Table_s_DIDO03
			CASE MODUL_6215:		Table_s_DIDO03
			CASE MODUL_6216:		Table_s_DO06
			CASE MODUL_6217:		Table_s_DO06
			CASE MODUL_6216_2:		Table_s_DO06
			CASE MODUL_6217_2:		Table_s_DO06
			CASE MODUL_7004:		Table_s_UNIM02
			CASE MODUL_7104:		Table_s_UNIM02
			CASE MODUL_7204:		Table_s_UNIM02
			CASE MODUL_7304:		Table_s_UNIM02
		}
	}
}

/*******************************************************************************/
/*****  Table: Maintenance  ****************************************************/
/*******************************************************************************/

#define Table_m_TempR                       \
            Tab_m_TempR_kanal1,             \
            Tab_m_certificates

#define Table_m_TempR02                     \
            Tab_m_TempR02_kanal1,           \
            Tab_m_TempR02_kanal2,           \
            Tab_m_TempR02_kanal3,           \
            Tab_m_TempR02_kanal4,           \
            Tab_m_certificates

#define Table_m_TempTC                      \
            Tab_m_TempTC_kanal1,            \
            Tab_m_certificates

#define Table_m_TempTC02                    \
            Tab_m_TempTC02_kanal1,          \
            Tab_m_TempTC02_kanal2,          \
            Tab_m_TempTC02_kanal3,          \
            Tab_m_TempTC02_kanal4,          \
            Tab_m_certificates

#define Table_m_DI2C01                      \
            Tab_m_DI2C01_kanal1,            \
            Tab_m_DI2C01_kanal2,            \
            Tab_m_certificates

#define Table_m_DI3C01                      \
            Tab_m_DI3C01_kanal1,            \
            Tab_m_DI3C01_kanal2,            \
            Tab_m_DI3C01_kanal3,            \
            Tab_m_certificates

#define Table_m_DI7C01                      \
            Tab_m_DI7C01_kanal1,            \
            Tab_m_DI7C01_kanal2,            \
            Tab_m_DI7C01_kanal3,            \
            Tab_m_DI7C01_kanal4,            \
            Tab_m_DI7C01_kanal5,            \
            Tab_m_DI7C01_kanal6,            \
            Tab_m_DI7C01_kanal7,            \
            Tab_m_certificates

#define Table_m_DI8C01                      \
            Tab_m_DI8C01_kanal1,            \
            Tab_m_DI8C01_kanal2,            \
            Tab_m_DI8C01_kanal3,            \
            Tab_m_DI8C01_kanal4,            \
            Tab_m_DI8C01_kanal5,            \
            Tab_m_DI8C01_kanal6,            \
            Tab_m_DI8C01_kanal7,            \
            Tab_m_DI8C01_kanal8,            \
            Tab_m_certificates

#define Table_m_DI15C01                      \
            Tab_m_DI15C01_kanal1,            \
            Tab_m_DI15C01_kanal2,            \
            Tab_m_DI15C01_kanal3,            \
            Tab_m_DI15C01_kanal4,            \
            Tab_m_DI15C01_kanal5,            \
            Tab_m_DI15C01_kanal6,            \
            Tab_m_DI15C01_kanal7,            \
            Tab_m_DI15C01_kanal8,            \
            Tab_m_DI15C01_kanal9,            \
            Tab_m_DI15C01_kanal10,            \
            Tab_m_DI15C01_kanal11,            \
            Tab_m_DI15C01_kanal12,            \
            Tab_m_DI15C01_kanal13,            \
            Tab_m_DI15C01_kanal14,            \
            Tab_m_DI15C01_kanal15,            \
            Tab_m_certificates

#define Table_m_DI8C01_NAMUR                \
            Tab_m_DI8C01_kanal1_NAMUR,      \
            Tab_m_DI8C01_kanal2_NAMUR,      \
            Tab_m_DI8C01_kanal3_NAMUR,      \
            Tab_m_DI8C01_kanal4_NAMUR,      \
            Tab_m_DI8C01_kanal5_NAMUR,      \
            Tab_m_DI8C01_kanal6_NAMUR,      \
            Tab_m_DI8C01_kanal7_NAMUR,      \
            Tab_m_DI8C01_kanal8_NAMUR,      \
            Tab_m_certificates

#define Table_m_DIDO                        \
            Tab_m_DIDO_kanal1,              \
            Tab_m_DIDO_kanal2,              \
            Tab_m_DIDO_kanal3,              \
            Tab_m_certificates

#define Table_m_DIDO02                      \
            Tab_m_DIDO02_kanal1,            \
            Tab_m_DIDO02_kanal2,            \
            Tab_m_DIDO02_kanal3,            \
            Tab_m_DIDO02_kanal4,            \
            Tab_m_DIDO02_kanal5,            \
            Tab_m_DIDO02_kanal6,            \
            Tab_m_DIDO02_kanal7,            \
            Tab_m_DIDO02_kanal8,            \
            Tab_m_certificates

#define Table_m_DIDO03                      \
            Tab_m_DIDO02_kanal1,            \
            Tab_m_DIDO02_kanal2,            \
            Tab_m_DIDO02_kanal3,            \
            Tab_m_DIDO02_kanal4,            \
            Tab_m_certificates

#define Table_m_DIDO04                      \
            Tab_m_DIDO02_kanal1,            \
            Tab_m_DIDO02_kanal2,            \
            Tab_m_certificates

#define Table_m_DIDO05                        \
            Tab_m_DIDO05_kanal1,              \
            Tab_m_DIDO05_kanal2,              \
            Tab_m_DIDO05_kanal3,              \
            Tab_m_certificates

#define Table_m_DO06                        \
            Tab_m_DO06_kanal1,              \
            Tab_m_DO06_kanal2,              \
            Tab_m_certificates

#define Table_m_RL2C                        \
            Tab_m_RL2C_kanal1,              \
            Tab_m_RL2C_kanal2,              \
            Tab_m_certificates

#define Table_m_RL4C                        \
            Tab_m_RL4C_kanal1,              \
            Tab_m_RL4C_kanal2,              \
            Tab_m_RL4C_kanal3,              \
            Tab_m_RL4C_kanal4,              \
            Tab_m_certificates

#define Table_m_RL8C                        \
            Tab_m_RL8C_kanal1,              \
            Tab_m_RL8C_kanal2,              \
            Tab_m_RL8C_kanal3,              \
            Tab_m_RL8C_kanal4,              \
            Tab_m_RL8C_kanal5,              \
            Tab_m_RL8C_kanal6,              \
            Tab_m_RL8C_kanal7,              \
            Tab_m_RL8C_kanal8,              \
            Tab_m_certificates

#define Table_m_DIFR                        \
            Tab_m_DIFR_kanal1,              \
            Tab_m_certificates

#define Table_m_VOIN                        \
            Tab_m_VOIN_kanal1,              \
            Tab_m_certificates

#define Table_m_OUSP                        \
            Tab_m_OUSP_kanal1,              \
            Tab_m_certificates

#define Table_m_OUSP02                      \
            Tab_m_OUSP02_kanal1,            \
            Tab_m_OUSP02_kanal2,            \
            Tab_m_OUSP02_kanal3,            \
            Tab_m_OUSP02_kanal4,            \
            Tab_m_certificates

#define Table_m_INSP                        \
            Tab_m_INSP_kanal1,              \
            Tab_m_certificates

#define Table_m_INSP02                      \
            Tab_m_INSP02_kanal1,            \
            Tab_m_INSP02_kanal2,            \
            Tab_m_INSP02_kanal3,            \
            Tab_m_INSP02_kanal4,            \
            Tab_m_certificates

#define Table_m_UNIM02						\
            Tab_m_UNIM02_kanal1,            \
            Tab_m_UNIM02_kanal2,            \
            Tab_m_UNIM02_kanal3,            \
            Tab_m_UNIM02_kanal4,            \
            Tab_m_certificates


MENU Table_Main_Maintenance
{
    LABEL       SELECT (P0_Type)        
			{
			CASE MODUL_LEER:		[unbenutzter_steckplatz];
			CASE MODUL_1001:		[schaltver_2Kanal_1001];
			CASE MODUL_1101:		[schaltver_2Kanal_1101];
			CASE MODUL_1201:		[schaltver_2Kanal_1201];
			CASE MODUL_1301:		[schaltver_2Kanal_1301];
			CASE MODUL_1002:		[schaltver_3Kanal_1002];
			CASE MODUL_1102:		[schaltver_3Kanal_1102];
			CASE MODUL_1202:		[schaltver_3Kanal_1202];
			CASE MODUL_1302:		[schaltver_3Kanal_1302];
			CASE MODUL_1003:		[schaltver_1K_freq_imp_1003];
			CASE MODUL_1103:		[schaltver_1K_freq_imp_1103];
			CASE MODUL_1203:		[schaltver_1K_freq_imp_1203];
			CASE MODUL_1303:		[schaltver_1K_freq_imp_1303];
			CASE MODUL_1007:		[schaltver_7Kanal_1007];
			CASE MODUL_1008:		[schaltver_8Kanal_1008];
			CASE MODUL_1108:		[schaltver_8Kanal_1108];
			CASE MODUL_1208:		[schaltver_8Kanal_1208];
			CASE MODUL_1308:		[schaltver_8Kanal_1308];
			CASE MODUL_1009:		[schaltver_8Kanal_1009];
			CASE MODUL_1109:		[schaltver_8Kanal_1109];
			CASE MODUL_1209:		[schaltver_8Kanal_1209];
			CASE MODUL_1014:		[schaltver_15Kanal_1014];
			CASE MODUL_1015:		[schaltver_15Kanal_1015];
			CASE MODUL_2002:		[ventiltreiber_2002];
			CASE MODUL_2101:		[ventiltreiber_2101];
			CASE MODUL_2102:		[ventiltreiber_2102];
			CASE MODUL_2103:		[ventiltreiber_2103];
			CASE MODUL_2104:		[ventiltreiber_2104];
			CASE MODUL_2105:		[ventiltreiber_2105];
			CASE MODUL_2106:		[ventiltreiber_2106];
			CASE MODUL_2107:		[ventiltreiber_2107];
			CASE MODUL_2108:		[ventiltreiber_2108];
			CASE MODUL_2109:		[ventiltreiber_2109];
			CASE MODUL_2110:		[ventiltreiber_2110];
			CASE MODUL_2111:		[ventiltreiber_2111];
			CASE MODUL_2112:		[ventiltreiber_2112];
			CASE MODUL_2113:		[ventiltreiber_2113];
			CASE MODUL_2016:		[ventiltreiber_2016];
			CASE MODUL_2116:		[ventiltreiber_2116];
			CASE MODUL_2017:		[ventiltreiber_2017];
			CASE MODUL_2117:		[ventiltreiber_2117];
			CASE MODUL_2016_2:		[ventiltreiber_2016];
			CASE MODUL_2116_2:		[ventiltreiber_2116];
			CASE MODUL_2017_2:		[ventiltreiber_2017];
			CASE MODUL_2117_2:		[ventiltreiber_2117];
			CASE MODUL_2201:		[ventiltreiber_2201];
			CASE MODUL_2202:		[ventiltreiber_2202];
			CASE MODUL_2203:		[ventiltreiber_2203];
			CASE MODUL_2204:		[ventiltreiber_2204];
			CASE MODUL_2205:		[ventiltreiber_2205];
			CASE MODUL_2206:		[ventiltreiber_2206];
			CASE MODUL_2207:		[ventiltreiber_2207];
			CASE MODUL_2208:		[ventiltreiber_2208];
			CASE MODUL_2209:		[ventiltreiber_2209];
			CASE MODUL_2210:		[ventiltreiber_2210];
			CASE MODUL_2211:		[ventiltreiber_2211];
			CASE MODUL_2212:		[ventiltreiber_2212];
			CASE MODUL_2213:		[ventiltreiber_2213];
			CASE MODUL_2216:		[ventiltreiber_2216];
			CASE MODUL_2217:		[ventiltreiber_2217];
			CASE MODUL_2216_2:		[ventiltreiber_2216];
			CASE MODUL_2217_2:		[ventiltreiber_2217];
			CASE MODUL_3101:		[transmitter_speise_3101];
			CASE MODUL_3201:		[transmitter_speise_3201];
			CASE MODUL_3002:		[transmitter_speise_3002];
			CASE MODUL_3102:		[transmitter_speise_3102];
			CASE MODUL_3202:		[transmitter_speise_3202];
			CASE MODUL_3302:		[transmitter_speise_3302];
			CASE MODUL_3103:		[transmitter_speise_3103];
			CASE MODUL_3203:		[transmitter_speise_3203];
			CASE MODUL_3104:		[transmitter_speise_3104];
			CASE MODUL_3204:		[transmitter_speise_3204];
			CASE MODUL_3005:		[transmitter_speise_3005];
			CASE MODUL_3105:		[transmitter_speise_3105];
			CASE MODUL_3205:		[transmitter_speise_3205];
			CASE MODUL_3006:		[transmitter_speise_3006];
			CASE MODUL_3106:		[transmitter_speise_3106];
			CASE MODUL_3206:		[transmitter_speise_3206];
			CASE MODUL_3305:		[transmitter_speise_3305];
			CASE MODUL_3007:		[transmitter_speise_3007];
			CASE MODUL_3107:		[transmitter_speise_3107];
			CASE MODUL_3207:		[transmitter_speise_3207];
			CASE MODUL_3307:		[transmitter_speise_3307];
			CASE MODUL_4101:		[ausgangstrenner_4101];
			CASE MODUL_4201:		[ausgangstrenner_4201];
			CASE MODUL_4002:		[ausgangstrenner_4002];
			CASE MODUL_4102:		[ausgangstrenner_4102];
			CASE MODUL_4202:		[ausgangstrenner_4202];
			CASE MODUL_4302:		[ausgangstrenner_4302];
			CASE MODUL_4104:		[ausgangstrenner_4104];
			CASE MODUL_4204:		[ausgangstrenner_4204];
			CASE MODUL_4005:		[ausgangstrenner_4005];
			CASE MODUL_4105:		[ausgangstrenner_4105];
			CASE MODUL_4205:		[ausgangstrenner_4205];
			CASE MODUL_4006:		[ausgangstrenner_4006];
			CASE MODUL_4106:		[ausgangstrenner_4106];
			CASE MODUL_4206:		[ausgangstrenner_4206];
			CASE MODUL_5001:		[pt100_messumformer_5001];
			CASE MODUL_5101:		[pt100_messumformer_5101];
			CASE MODUL_5201:		[pt100_messumformer_5201];
			CASE MODUL_5002:		[thermoelement_umfor_5002];
			CASE MODUL_5102:		[thermoelement_umfor_5102];
			CASE MODUL_5202:		[thermoelement_umfor_5202];
			CASE MODUL_5004:		[pt100_messumformer_5004];
			CASE MODUL_5104:		[pt100_messumformer_5104];
			CASE MODUL_5204:		[pt100_messumformer_5204];
			CASE MODUL_5005:		[thermoelement_umfor_5005];
			CASE MODUL_5105:		[thermoelement_umfor_5105];
			CASE MODUL_5205:		[thermoelement_umfor_5205];
			CASE MODUL_5006:		[spannungseingang_5006];
			CASE MODUL_5106:		[spannungseingang_5106];
			CASE MODUL_5206:		[spannungseingang_5206];
			CASE MODUL_6101:		[bin_ausgabe_6101];
			CASE MODUL_6102:		[bin_ausgabe_6102];
			CASE MODUL_6202:		[bin_ausgabe_6202];
			CASE MODUL_6301:		[bin_ausgabe_6301];
			CASE MODUL_6005:		[bin_ausgabe_4kanal_6005];
			CASE MODUL_6305:		[bin_ausgabe_4kanal_6305];
			CASE MODUL_6006:		[bin_ausgabe_8kanal_6006];
			CASE MODUL_6306:		[bin_ausgabe_8kanal_6306];
			CASE MODUL_6008:		[bin_ausgabe_6008];
			CASE MODUL_6108:		[bin_ausgabe_6108];
			CASE MODUL_6208:		[bin_ausgabe_6208];
			CASE MODUL_6308:		[bin_ausgabe_6308];
			CASE MODUL_6010:		[bin_ausgabe_4kanal_6010];
			CASE MODUL_6110:		[bin_ausgabe_4kanal_6110];
			CASE MODUL_6111:		[bin_ausgabe_4kanal_6111];
			CASE MODUL_6112:		[bin_ausgabe_4kanal_6112];
			CASE MODUL_6113:		[bin_ausgabe_4kanal_6113];
			CASE MODUL_6114:		[bin_ausgabe_4kanal_6114];
			CASE MODUL_6115:		[bin_ausgabe_4kanal_6115];
			CASE MODUL_6016:		[bin_ausgabe_2kanal_6016];
			CASE MODUL_6116:		[bin_ausgabe_2kanal_6116];
			CASE MODUL_6017:		[bin_ausgabe_2kanal_6017];
			CASE MODUL_6117:		[bin_ausgabe_2kanal_6117];
			CASE MODUL_6016_2:		[bin_ausgabe_2kanal_6016];
			CASE MODUL_6116_2:		[bin_ausgabe_2kanal_6116];
			CASE MODUL_6017_2:		[bin_ausgabe_2kanal_6017];
			CASE MODUL_6117_2:		[bin_ausgabe_2kanal_6117];
			CASE MODUL_6210:		[bin_ausgabe_4kanal_6210];
			CASE MODUL_6211:		[bin_ausgabe_4kanal_6211];
			CASE MODUL_6212:		[bin_ausgabe_4kanal_6212];
			CASE MODUL_6213:		[bin_ausgabe_4kanal_6213];
			CASE MODUL_6214:		[bin_ausgabe_4kanal_6214];
			CASE MODUL_6215:		[bin_ausgabe_4kanal_6215];
			CASE MODUL_6216:		[bin_ausgabe_2kanal_6216];
			CASE MODUL_6217:		[bin_ausgabe_2kanal_6217];
			CASE MODUL_6216_2:		[bin_ausgabe_2kanal_6216];
			CASE MODUL_6217_2:		[bin_ausgabe_2kanal_6217];
            CASE MODUL_7004:		[universal_modul_7004];
            CASE MODUL_7104:		[universal_modul_7104];
            CASE MODUL_7204:		[universal_modul_7204];
            CASE MODUL_7304:		[universal_modul_7304];
        }
    ACCESS  OFFLINE;
    ITEMS
    {
        Tab_m_ident
        SELECT (P0_Type)
		{
			CASE MODUL_1001:		Table_m_DI2C01
			CASE MODUL_1101:		Table_m_DI2C01
			CASE MODUL_1201:		Table_m_DI2C01
			CASE MODUL_1301:		Table_m_DI2C01
			CASE MODUL_1002:		Table_m_DI3C01
			CASE MODUL_1102:		Table_m_DI3C01
			CASE MODUL_1202:		Table_m_DI3C01
			CASE MODUL_1302:		Table_m_DI3C01
			CASE MODUL_1003:		Table_m_DIFR
			CASE MODUL_1103:		Table_m_DIFR
			CASE MODUL_1203:		Table_m_DIFR
			CASE MODUL_1303:		Table_m_DIFR
			CASE MODUL_1007:		Table_m_DI7C01		
			CASE MODUL_1008:		Table_m_DI8C01
			CASE MODUL_1108:		Table_m_DI8C01
			CASE MODUL_1208:		Table_m_DI8C01
			CASE MODUL_1308:		Table_m_DI8C01
			CASE MODUL_1009:		Table_m_DI8C01_NAMUR
			CASE MODUL_1109:		Table_m_DI8C01_NAMUR
			CASE MODUL_1209:		Table_m_DI8C01_NAMUR
			CASE MODUL_1014:		Table_m_DI15C01
			CASE MODUL_1015:		Table_m_DI15C01
			CASE MODUL_2002:		Table_m_DIDO
			CASE MODUL_2101:		Table_m_DIDO
			CASE MODUL_2102:		Table_m_DIDO
			CASE MODUL_2103:		Table_m_DIDO
			CASE MODUL_2104:		Table_m_DIDO
			CASE MODUL_2105:		Table_m_DIDO
			CASE MODUL_2106:		Table_m_DIDO
			CASE MODUL_2107:		Table_m_DIDO
			CASE MODUL_2108:		Table_m_DIDO
			CASE MODUL_2109:		Table_m_DIDO
			CASE MODUL_2110:		Table_m_DIDO
			CASE MODUL_2111:		Table_m_DIDO
			CASE MODUL_2112:		Table_m_DIDO
			CASE MODUL_2113:		Table_m_DIDO
			CASE MODUL_2016:		Table_m_DIDO05
			CASE MODUL_2116:		Table_m_DIDO05
			CASE MODUL_2017:		Table_m_DIDO05
			CASE MODUL_2117:		Table_m_DIDO05
			CASE MODUL_2016_2:		Table_m_DIDO05
			CASE MODUL_2116_2:		Table_m_DIDO05
			CASE MODUL_2017_2:		Table_m_DIDO05
			CASE MODUL_2117_2:		Table_m_DIDO05
			CASE MODUL_2201:		Table_m_DIDO
			CASE MODUL_2202:		Table_m_DIDO
			CASE MODUL_2203:		Table_m_DIDO
			CASE MODUL_2204:		Table_m_DIDO
			CASE MODUL_2205:		Table_m_DIDO
			CASE MODUL_2206:		Table_m_DIDO
			CASE MODUL_2207:		Table_m_DIDO
			CASE MODUL_2208:		Table_m_DIDO
			CASE MODUL_2209:		Table_m_DIDO
			CASE MODUL_2210:		Table_m_DIDO
			CASE MODUL_2211:		Table_m_DIDO
			CASE MODUL_2212:		Table_m_DIDO
			CASE MODUL_2213:		Table_m_DIDO
			CASE MODUL_2216:		Table_m_DIDO05
			CASE MODUL_2217:		Table_m_DIDO05
			CASE MODUL_2216_2:		Table_m_DIDO05
			CASE MODUL_2217_2:		Table_m_DIDO05
			CASE MODUL_3101:		Table_m_INSP
			CASE MODUL_3201:		Table_m_INSP
			CASE MODUL_3002:		Table_m_INSP
			CASE MODUL_3102:		Table_m_INSP
			CASE MODUL_3202:		Table_m_INSP
			CASE MODUL_3302:		Table_m_INSP
			CASE MODUL_3103:		Table_m_INSP
			CASE MODUL_3203:		Table_m_INSP
			CASE MODUL_3104:		Table_m_INSP02
			CASE MODUL_3204:		Table_m_INSP02
			CASE MODUL_3005:		Table_m_INSP02
			CASE MODUL_3105:		Table_m_INSP02
			CASE MODUL_3205:		Table_m_INSP02
			CASE MODUL_3006:		Table_m_INSP02
			CASE MODUL_3106:		Table_m_INSP02
			CASE MODUL_3206:		Table_m_INSP02
			CASE MODUL_3305:		Table_m_INSP02
			CASE MODUL_3007:		Table_m_INSP02
			CASE MODUL_3107:		Table_m_INSP02
			CASE MODUL_3207:		Table_m_INSP02
			CASE MODUL_3307:		Table_m_INSP02
			CASE MODUL_4101:		Table_m_OUSP
			CASE MODUL_4201:		Table_m_OUSP
			CASE MODUL_4002:		Table_m_OUSP
			CASE MODUL_4102:		Table_m_OUSP
			CASE MODUL_4202:		Table_m_OUSP
			CASE MODUL_4302:		Table_m_OUSP
			CASE MODUL_4104:		Table_m_OUSP02
			CASE MODUL_4204:		Table_m_OUSP02
			CASE MODUL_4005:		Table_m_OUSP02
			CASE MODUL_4105:		Table_m_OUSP02
			CASE MODUL_4205:		Table_m_OUSP02
			CASE MODUL_4006:		Table_m_OUSP02
			CASE MODUL_4106:		Table_m_OUSP02
			CASE MODUL_4206:		Table_m_OUSP02
			CASE MODUL_5001:		Table_m_TempR
			CASE MODUL_5101:		Table_m_TempR
			CASE MODUL_5201:		Table_m_TempR
			CASE MODUL_5002:		Table_m_TempTC
			CASE MODUL_5102:		Table_m_TempTC
			CASE MODUL_5202:		Table_m_TempTC
			CASE MODUL_5004:		Table_m_TempR02
			CASE MODUL_5104:		Table_m_TempR02
			CASE MODUL_5204:		Table_m_TempR02
			CASE MODUL_5005:		Table_m_TempTC02
			CASE MODUL_5105:		Table_m_TempTC02
			CASE MODUL_5205:		Table_m_TempTC02
			CASE MODUL_5006:		Table_m_VOIN
			CASE MODUL_5106:		Table_m_VOIN
			CASE MODUL_5206:		Table_m_VOIN
			CASE MODUL_6101:		Table_m_RL2C
			CASE MODUL_6102:		Table_m_RL2C
			CASE MODUL_6202:		Table_m_RL2C
			CASE MODUL_6301:		Table_m_RL2C
			CASE MODUL_6005:		Table_m_RL4C
			CASE MODUL_6305:		Table_m_RL4C
			CASE MODUL_6006:		Table_m_RL8C
			CASE MODUL_6306:		Table_m_RL8C
			CASE MODUL_6008:		Table_m_DIDO02
			CASE MODUL_6108:		Table_m_DIDO02
			CASE MODUL_6208:		Table_m_DIDO02
			CASE MODUL_6308:		Table_m_DIDO02
			CASE MODUL_6010:		Table_m_DIDO03
			CASE MODUL_6110:		Table_m_DIDO03
			CASE MODUL_6111:		Table_m_DIDO03
			CASE MODUL_6112:		Table_m_DIDO03
			CASE MODUL_6113:		Table_m_DIDO03
			CASE MODUL_6114:		Table_m_DIDO03
			CASE MODUL_6115:		Table_m_DIDO03
			CASE MODUL_6016:		Table_m_DO06
			CASE MODUL_6116:		Table_m_DO06
			CASE MODUL_6017:		Table_m_DO06
			CASE MODUL_6117:		Table_m_DO06
			CASE MODUL_6016_2:		Table_m_DO06
			CASE MODUL_6116_2:		Table_m_DO06
			CASE MODUL_6017_2:		Table_m_DO06
			CASE MODUL_6117_2:		Table_m_DO06
			CASE MODUL_6210:		Table_m_DIDO03
			CASE MODUL_6211:		Table_m_DIDO03
			CASE MODUL_6212:		Table_m_DIDO03
			CASE MODUL_6213:		Table_m_DIDO03
			CASE MODUL_6214:		Table_m_DIDO03
			CASE MODUL_6215:		Table_m_DIDO03
			CASE MODUL_6216:		Table_m_DO06
			CASE MODUL_6217:		Table_m_DO06
			CASE MODUL_6216_2:		Table_m_DO06
			CASE MODUL_6217_2:		Table_m_DO06
			CASE MODUL_7004:		Table_m_UNIM02
			CASE MODUL_7104:		Table_m_UNIM02
			CASE MODUL_7204:		Table_m_UNIM02
			CASE MODUL_7304:		Table_m_UNIM02
		}
	}
}

/*******************************************************************************/
/*****  Commands  **************************************************************/
/*******************************************************************************/

MENU download_variables
{
    LABEL       [menu_load_to_PC];
    ITEMS
    {
        SELECT (P0_Type)        
        {                       
            CASE MODUL_LEER:        DOWNLOAD_SL0001
            CASE MODUL_1001:        DOWNLOAD_DI2C01
            CASE MODUL_1101:        DOWNLOAD_DI2C01
            CASE MODUL_1201:        DOWNLOAD_DI2C01
            CASE MODUL_1301:        DOWNLOAD_DI2C01
            CASE MODUL_1002:        DOWNLOAD_DI3C01 
            CASE MODUL_1102:        DOWNLOAD_DI3C01 
            CASE MODUL_1202:        DOWNLOAD_DI3C01 
            CASE MODUL_1302:        DOWNLOAD_DI3C01 
            CASE MODUL_1003:        DOWNLOAD_DIFR
            CASE MODUL_1103:        DOWNLOAD_DIFR
            CASE MODUL_1203:        DOWNLOAD_DIFR
            CASE MODUL_1303:        DOWNLOAD_DIFR
            CASE MODUL_1007:        DOWNLOAD_DI7C01			
            CASE MODUL_1008:        DOWNLOAD_DI8C01 
            CASE MODUL_1108:        DOWNLOAD_DI8C01 
            CASE MODUL_1208:        DOWNLOAD_DI8C01 
            CASE MODUL_1308:        DOWNLOAD_DI8C01 
            CASE MODUL_1009:        DOWNLOAD_DI8C01_NAMUR 
            CASE MODUL_1109:        DOWNLOAD_DI8C01_NAMUR 
            CASE MODUL_1209:        DOWNLOAD_DI8C01_NAMUR 
            CASE MODUL_1014:        DOWNLOAD_DI15C01 
            CASE MODUL_1015:        DOWNLOAD_DI15C01 
            CASE MODUL_2002:        DOWNLOAD_DIDO
            CASE MODUL_2101:        DOWNLOAD_DIDO
            CASE MODUL_2102:        DOWNLOAD_DIDO
            CASE MODUL_2103:        DOWNLOAD_DIDO
            CASE MODUL_2104:        DOWNLOAD_DIDO
            CASE MODUL_2105:        DOWNLOAD_DIDO
            CASE MODUL_2106:        DOWNLOAD_DIDO
            CASE MODUL_2107:        DOWNLOAD_DIDO
            CASE MODUL_2108:        DOWNLOAD_DIDO
            CASE MODUL_2109:        DOWNLOAD_DIDO
            CASE MODUL_2110:        DOWNLOAD_DIDO
            CASE MODUL_2111:        DOWNLOAD_DIDO
            CASE MODUL_2112:        DOWNLOAD_DIDO
            CASE MODUL_2113:        DOWNLOAD_DIDO
            CASE MODUL_2016:        DOWNLOAD_DIDO05
            CASE MODUL_2116:        DOWNLOAD_DIDO05
            CASE MODUL_2017:        DOWNLOAD_DIDO05
            CASE MODUL_2117:        DOWNLOAD_DIDO05
            CASE MODUL_2016_2:        DOWNLOAD_DIDO05
            CASE MODUL_2116_2:        DOWNLOAD_DIDO05
            CASE MODUL_2017_2:        DOWNLOAD_DIDO05
            CASE MODUL_2117_2:        DOWNLOAD_DIDO05
//            CASE MODUL_A003:        DOWNLOAD_DIDO05
//            CASE MODUL_A103:        DOWNLOAD_DIDO05
//            CASE MODUL_A004:        DOWNLOAD_DIDO05
//            CASE MODUL_A104:        DOWNLOAD_DIDO05
            CASE MODUL_2201:        DOWNLOAD_DIDO
            CASE MODUL_2202:        DOWNLOAD_DIDO
            CASE MODUL_2203:        DOWNLOAD_DIDO   
            CASE MODUL_2204:        DOWNLOAD_DIDO   
            CASE MODUL_2205:        DOWNLOAD_DIDO
            CASE MODUL_2206:        DOWNLOAD_DIDO   
            CASE MODUL_2207:        DOWNLOAD_DIDO   
            CASE MODUL_2208:        DOWNLOAD_DIDO   
            CASE MODUL_2209:        DOWNLOAD_DIDO   
            CASE MODUL_2210:        DOWNLOAD_DIDO
            CASE MODUL_2211:        DOWNLOAD_DIDO   
            CASE MODUL_2212:        DOWNLOAD_DIDO
            CASE MODUL_2213:        DOWNLOAD_DIDO   
            CASE MODUL_2216:        DOWNLOAD_DIDO05
            CASE MODUL_2217:        DOWNLOAD_DIDO05
            CASE MODUL_2216_2:        DOWNLOAD_DIDO05
            CASE MODUL_2217_2:        DOWNLOAD_DIDO05
//            CASE MODUL_A203:        DOWNLOAD_DIDO05
//            CASE MODUL_A204:        DOWNLOAD_DIDO05
            CASE MODUL_3101:        DOWNLOAD_INSP   
            CASE MODUL_3201:        DOWNLOAD_INSP   
            CASE MODUL_3002:        DOWNLOAD_INSP   
            CASE MODUL_3102:        DOWNLOAD_INSP   
            CASE MODUL_3202:        DOWNLOAD_INSP   
            CASE MODUL_3302:        DOWNLOAD_INSP   
            CASE MODUL_3103:        DOWNLOAD_INSP
            CASE MODUL_3203:        DOWNLOAD_INSP
            CASE MODUL_3104:        DOWNLOAD_INSP02
            CASE MODUL_3204:        DOWNLOAD_INSP02
            CASE MODUL_3005:        DOWNLOAD_INSP02
            CASE MODUL_3105:        DOWNLOAD_INSP02
            CASE MODUL_3205:        DOWNLOAD_INSP02
            CASE MODUL_3006:        DOWNLOAD_INSP02
            CASE MODUL_3106:        DOWNLOAD_INSP02
            CASE MODUL_3206:        DOWNLOAD_INSP02
            CASE MODUL_3305:        DOWNLOAD_INSP02
            CASE MODUL_3007:        DOWNLOAD_INSP02
            CASE MODUL_3107:        DOWNLOAD_INSP02
            CASE MODUL_3207:        DOWNLOAD_INSP02
            CASE MODUL_3307:        DOWNLOAD_INSP02
            CASE MODUL_4101:        DOWNLOAD_OUSP   
            CASE MODUL_4201:        DOWNLOAD_OUSP   
            CASE MODUL_4002:        DOWNLOAD_OUSP   
            CASE MODUL_4102:        DOWNLOAD_OUSP   
            CASE MODUL_4202:        DOWNLOAD_OUSP   
            CASE MODUL_4302:        DOWNLOAD_OUSP   
            CASE MODUL_4104:        DOWNLOAD_OUSP02 
            CASE MODUL_4204:        DOWNLOAD_OUSP02 
            CASE MODUL_4005:        DOWNLOAD_OUSP02 
            CASE MODUL_4105:        DOWNLOAD_OUSP02 
            CASE MODUL_4205:        DOWNLOAD_OUSP02   
            CASE MODUL_4006:        DOWNLOAD_OUSP02 
            CASE MODUL_4106:        DOWNLOAD_OUSP02 
            CASE MODUL_4206:        DOWNLOAD_OUSP02   
            CASE MODUL_5001:        DOWNLOAD_TempR
            CASE MODUL_5101:        DOWNLOAD_TempR
            CASE MODUL_5201:        DOWNLOAD_TempR
            CASE MODUL_5002:        DOWNLOAD_TempTC
            CASE MODUL_5102:        DOWNLOAD_TempTC
            CASE MODUL_5202:        DOWNLOAD_TempTC
            CASE MODUL_5004:        DOWNLOAD_TempR02
            CASE MODUL_5104:        DOWNLOAD_TempR02
            CASE MODUL_5204:        DOWNLOAD_TempR02
            CASE MODUL_5005:        DOWNLOAD_TempTC02
            CASE MODUL_5105:        DOWNLOAD_TempTC02
            CASE MODUL_5205:        DOWNLOAD_TempTC02
            CASE MODUL_5006:        DOWNLOAD_VOIN
            CASE MODUL_5106:        DOWNLOAD_VOIN
            CASE MODUL_5206:        DOWNLOAD_VOIN
            CASE MODUL_6101:        DOWNLOAD_RL2C
            CASE MODUL_6102:        DOWNLOAD_DI2C01
            CASE MODUL_6202:        DOWNLOAD_DI2C01
            CASE MODUL_6301:        DOWNLOAD_RL2C
            CASE MODUL_6005:		DOWNLOAD_RL4C   
            CASE MODUL_6305:		DOWNLOAD_RL4C
            CASE MODUL_6006:		DOWNLOAD_RL8C
            CASE MODUL_6306:		DOWNLOAD_RL8C
            CASE MODUL_6008:		DOWNLOAD_DIDO02
            CASE MODUL_6108:		DOWNLOAD_DIDO02
			CASE MODUL_6208:		DOWNLOAD_DIDO02
            CASE MODUL_6308:		DOWNLOAD_DIDO02
            CASE MODUL_6010:        DOWNLOAD_DIDO03
            CASE MODUL_6110:        DOWNLOAD_DIDO03
            CASE MODUL_6111:        DOWNLOAD_DIDO03
            CASE MODUL_6112:        DOWNLOAD_DIDO03
            CASE MODUL_6113:		DOWNLOAD_DIDO03
            CASE MODUL_6114:		DOWNLOAD_DIDO03
            CASE MODUL_6115:		DOWNLOAD_DIDO03
            CASE MODUL_6016:		DOWNLOAD_DO06
            CASE MODUL_6116:		DOWNLOAD_DO06
            CASE MODUL_6017:		DOWNLOAD_DO06
            CASE MODUL_6117:		DOWNLOAD_DO06
            CASE MODUL_6016_2:		DOWNLOAD_DO06
            CASE MODUL_6116_2:		DOWNLOAD_DO06
            CASE MODUL_6017_2:		DOWNLOAD_DO06
            CASE MODUL_6117_2:		DOWNLOAD_DO06
 //           CASE MODUL_A001:		DOWNLOAD_DO06
//            CASE MODUL_A101:		DOWNLOAD_DO06
//            CASE MODUL_A002:		DOWNLOAD_DO06
//            CASE MODUL_A102:		DOWNLOAD_DO06
            CASE MODUL_6210:		DOWNLOAD_DIDO03
            CASE MODUL_6211:		DOWNLOAD_DIDO03
            CASE MODUL_6212:		DOWNLOAD_DIDO03
            CASE MODUL_6213:		DOWNLOAD_DIDO03
            CASE MODUL_6214:		DOWNLOAD_DIDO03
            CASE MODUL_6215:		DOWNLOAD_DIDO03
            CASE MODUL_6216:		DOWNLOAD_DO06
            CASE MODUL_6217:		DOWNLOAD_DO06
            CASE MODUL_6216_2:		DOWNLOAD_DO06
            CASE MODUL_6217_2:		DOWNLOAD_DO06
//            CASE MODUL_A201:		DOWNLOAD_DO06
//            CASE MODUL_A202:		DOWNLOAD_DO06
	        CASE MODUL_7004:		DOWNLOAD_UNIM02
	        CASE MODUL_7104:		DOWNLOAD_UNIM02
	        CASE MODUL_7204:		DOWNLOAD_UNIM02
	        CASE MODUL_7304:		DOWNLOAD_UNIM02
        }
    }
    PRE_READ_ACTIONS
    {
        method_pre_read_variables
    }
    POST_READ_ACTIONS
    {
        method_init_P0_Tag
    }
}       


MENU upload_variables
{
    LABEL       [menu_load_to_device];
    ITEMS
    {
        IF (Loc_DoLoad != 0)
        {
            P0_HCIR
            SELECT (P0_Type)        
            {                       
                CASE MODUL_LEER:        UPLOAD_SL0001
                CASE MODUL_1001:        UPLOAD_DI2C01
                CASE MODUL_1101:        UPLOAD_DI2C01
                CASE MODUL_1201:        UPLOAD_DI2C01
                CASE MODUL_1301:        UPLOAD_DI2C01
                CASE MODUL_1002:        UPLOAD_DI3C01   
                CASE MODUL_1102:        UPLOAD_DI3C01   
                CASE MODUL_1202:        UPLOAD_DI3C01   
                CASE MODUL_1302:        UPLOAD_DI3C01   
                CASE MODUL_1007:        UPLOAD_DI7C01			
                CASE MODUL_1008:        UPLOAD_DI8C01   
                CASE MODUL_1108:        UPLOAD_DI8C01   
                CASE MODUL_1208:        UPLOAD_DI8C01   
                CASE MODUL_1308:        UPLOAD_DI8C01   
                CASE MODUL_1009:        UPLOAD_DI8C01_NAMUR   
                CASE MODUL_1109:        UPLOAD_DI8C01_NAMUR   
                CASE MODUL_1209:        UPLOAD_DI8C01_NAMUR   
                CASE MODUL_1003:        UPLOAD_DIFR
                CASE MODUL_1103:        UPLOAD_DIFR
                CASE MODUL_1203:        UPLOAD_DIFR
                CASE MODUL_1014:        UPLOAD_DI15C01   
                CASE MODUL_1015:        UPLOAD_DI15C01   
                CASE MODUL_1303:        UPLOAD_DIFR
                CASE MODUL_2002:        UPLOAD_DIDO
                CASE MODUL_2101:        UPLOAD_DIDO
                CASE MODUL_2102:        UPLOAD_DIDO
                CASE MODUL_2103:        UPLOAD_DIDO
                CASE MODUL_2104:        UPLOAD_DIDO
                CASE MODUL_2105:        UPLOAD_DIDO
                CASE MODUL_2106:        UPLOAD_DIDO
                CASE MODUL_2107:        UPLOAD_DIDO
                CASE MODUL_2108:        UPLOAD_DIDO
                CASE MODUL_2109:        UPLOAD_DIDO
                CASE MODUL_2110:        UPLOAD_DIDO
                CASE MODUL_2111:        UPLOAD_DIDO
                CASE MODUL_2112:        UPLOAD_DIDO
                CASE MODUL_2113:        UPLOAD_DIDO
                CASE MODUL_2016:        UPLOAD_DIDO05
                CASE MODUL_2116:        UPLOAD_DIDO05
                CASE MODUL_2017:        UPLOAD_DIDO05
                CASE MODUL_2117:        UPLOAD_DIDO05
                CASE MODUL_2016_2:        UPLOAD_DIDO05
                CASE MODUL_2116_2:        UPLOAD_DIDO05
                CASE MODUL_2017_2:        UPLOAD_DIDO05
                CASE MODUL_2117_2:        UPLOAD_DIDO05
//                CASE MODUL_A003:        UPLOAD_DIDO05
//                CASE MODUL_A103:        UPLOAD_DIDO05
//                CASE MODUL_A004:        UPLOAD_DIDO05
//                CASE MODUL_A104:        UPLOAD_DIDO05
//                CASE MODUL_A203:        UPLOAD_DIDO05
//                CASE MODUL_A204:        UPLOAD_DIDO05
                CASE MODUL_2201:        UPLOAD_DIDO
                CASE MODUL_2202:        UPLOAD_DIDO
                CASE MODUL_2203:        UPLOAD_DIDO 
                CASE MODUL_2204:        UPLOAD_DIDO 
                CASE MODUL_2205:        UPLOAD_DIDO
                CASE MODUL_2206:        UPLOAD_DIDO 
                CASE MODUL_2207:        UPLOAD_DIDO 
                CASE MODUL_2208:        UPLOAD_DIDO 
                CASE MODUL_2209:        UPLOAD_DIDO 
                CASE MODUL_2210:        UPLOAD_DIDO
                CASE MODUL_2211:        UPLOAD_DIDO 
                CASE MODUL_2212:        UPLOAD_DIDO
                CASE MODUL_2213:        UPLOAD_DIDO 
                CASE MODUL_2216:        UPLOAD_DIDO05
                CASE MODUL_2217:        UPLOAD_DIDO05 
                CASE MODUL_2216_2:        UPLOAD_DIDO05
                CASE MODUL_2217_2:        UPLOAD_DIDO05 
                CASE MODUL_3101:        UPLOAD_INSP 
                CASE MODUL_3201:        UPLOAD_INSP 
                CASE MODUL_3002:        UPLOAD_INSP 
                CASE MODUL_3102:        UPLOAD_INSP 
                CASE MODUL_3202:        UPLOAD_INSP 
                CASE MODUL_3302:        UPLOAD_INSP 
                CASE MODUL_3103:        UPLOAD_INSP
                CASE MODUL_3203:        UPLOAD_INSP
                CASE MODUL_3104:        UPLOAD_INSP02
                CASE MODUL_3204:        UPLOAD_INSP02
                CASE MODUL_3005:        UPLOAD_INSP02
                CASE MODUL_3105:        UPLOAD_INSP02
                CASE MODUL_3205:        UPLOAD_INSP02
                CASE MODUL_3006:        UPLOAD_INSP02
                CASE MODUL_3106:        UPLOAD_INSP02
                CASE MODUL_3206:        UPLOAD_INSP02
                CASE MODUL_3305:        UPLOAD_INSP02
                CASE MODUL_3007:        UPLOAD_INSP02
                CASE MODUL_3107:        UPLOAD_INSP02
                CASE MODUL_3207:        UPLOAD_INSP02
                CASE MODUL_3307:        UPLOAD_INSP02
                CASE MODUL_4101:        UPLOAD_OUSP 
                CASE MODUL_4201:        UPLOAD_OUSP 
                CASE MODUL_4002:        UPLOAD_OUSP 
                CASE MODUL_4102:        UPLOAD_OUSP 
                CASE MODUL_4202:        UPLOAD_OUSP 
                CASE MODUL_4302:        UPLOAD_OUSP 
                CASE MODUL_4104:        UPLOAD_OUSP02
                CASE MODUL_4204:        UPLOAD_OUSP02
                CASE MODUL_4005:        UPLOAD_OUSP02
                CASE MODUL_4105:        UPLOAD_OUSP02
                CASE MODUL_4205:        UPLOAD_OUSP02
                CASE MODUL_4006:        UPLOAD_OUSP02
                CASE MODUL_4106:        UPLOAD_OUSP02
                CASE MODUL_4206:        UPLOAD_OUSP02
                CASE MODUL_5001:        UPLOAD_TempR
                CASE MODUL_5101:        UPLOAD_TempR
                CASE MODUL_5201:        UPLOAD_TempR
                CASE MODUL_5002:        UPLOAD_TempTC
                CASE MODUL_5102:        UPLOAD_TempTC
                CASE MODUL_5202:        UPLOAD_TempTC
                CASE MODUL_5004:        UPLOAD_TempR02
                CASE MODUL_5104:        UPLOAD_TempR02
                CASE MODUL_5204:        UPLOAD_TempR02
                CASE MODUL_5005:        UPLOAD_TempTC02
                CASE MODUL_5105:        UPLOAD_TempTC02
                CASE MODUL_5205:        UPLOAD_TempTC02
                CASE MODUL_5006:        UPLOAD_VOIN
                CASE MODUL_5106:        UPLOAD_VOIN
                CASE MODUL_5206:        UPLOAD_VOIN
				CASE MODUL_6101:        UPLOAD_RL2C
				CASE MODUL_6102:        UPLOAD_DI2C01
				CASE MODUL_6202:        UPLOAD_DI2C01
				CASE MODUL_6301:        UPLOAD_RL2C
				CASE MODUL_6005:		UPLOAD_RL4C   
				CASE MODUL_6305:		UPLOAD_RL4C
				CASE MODUL_6006:		UPLOAD_RL8C
				CASE MODUL_6306:		UPLOAD_RL8C
				CASE MODUL_6008:		UPLOAD_DIDO02
				CASE MODUL_6108:		UPLOAD_DIDO02
				CASE MODUL_6208:		UPLOAD_DIDO02
				CASE MODUL_6308:		UPLOAD_DIDO02
	            CASE MODUL_6010:        UPLOAD_DIDO03
	            CASE MODUL_6110:        UPLOAD_DIDO03
	            CASE MODUL_6111:        UPLOAD_DIDO03
	            CASE MODUL_6112:        UPLOAD_DIDO03
	            CASE MODUL_6113:		UPLOAD_DIDO03
	            CASE MODUL_6114:		UPLOAD_DIDO03
	            CASE MODUL_6115:		UPLOAD_DIDO03
	            CASE MODUL_6016:		UPLOAD_DO06
	            CASE MODUL_6116:		UPLOAD_DO06
	            CASE MODUL_6017:		UPLOAD_DO06
	            CASE MODUL_6117:		UPLOAD_DO06
	            CASE MODUL_6016_2:		UPLOAD_DO06
	            CASE MODUL_6116_2:		UPLOAD_DO06
	            CASE MODUL_6017_2:		UPLOAD_DO06
	            CASE MODUL_6117_2:		UPLOAD_DO06
//	            CASE MODUL_A001:		UPLOAD_DO06
//	            CASE MODUL_A101:		UPLOAD_DO06
//	            CASE MODUL_A002:		UPLOAD_DO06
//	            CASE MODUL_A102:		UPLOAD_DO06
	            CASE MODUL_6210:		UPLOAD_DIDO03
	            CASE MODUL_6211:		UPLOAD_DIDO03
	            CASE MODUL_6212:		UPLOAD_DIDO03
	            CASE MODUL_6213:		UPLOAD_DIDO03
	            CASE MODUL_6214:		UPLOAD_DIDO03
	            CASE MODUL_6215:		UPLOAD_DIDO03
	            CASE MODUL_6216:		UPLOAD_DO06
	            CASE MODUL_6217:		UPLOAD_DO06
	            CASE MODUL_6216_2:		UPLOAD_DO06
	            CASE MODUL_6217_2:		UPLOAD_DO06
//	            CASE MODUL_A201:		UPLOAD_DO06
//	            CASE MODUL_A202:		UPLOAD_DO06
	            CASE MODUL_7004:		UPLOAD_UNIM02
	            CASE MODUL_7104:		UPLOAD_UNIM02
	            CASE MODUL_7204:		UPLOAD_UNIM02
	            CASE MODUL_7304:		UPLOAD_UNIM02
            }
        }
    }
	
    PRE_WRITE_ACTIONS
    {
		    method_pre_write_variables
    }
	
    POST_WRITE_ACTIONS
    {
			method_post_write_variables
    }
}

      
/*******************************************************************************/
/*****  Methods     ************************************************************/
/*******************************************************************************/
METHOD  method_pre_read_variables
{
    CLASS       INPUT;
    ACCESS      OFFLINE;
    DEFINITION
    {
        int     error;

        error = ReadCommand(id_read_para_index0);
        if (error >= ID_FC_ERROR)
        {
            process_abort();
        }
    
        P0_Type = id_P0_Type;
    }
}

METHOD  method_pre_write_variables
{
    CLASS       INPUT;
    ACCESS      OFFLINE;
    DEFINITION
    {
        int     error;
        long    var_id[1];

        Loc_DoLoad      = 0;
        Loc_InitModul   = 0;

		P0_Type_loc = 0x0000;

        
        error = ReadCommand(id_read_P0_Type_real);
		
		P0_Type_loc = P0_Type;

/*
		if (P0_Type == 0x2016)
		{
			P0_Type_loc = 0xA003;
		}
		if (P0_Type == 0x2116)
		{
			P0_Type_loc = 0xA103;
		}
		if (P0_Type == 0x2017)
		{
			P0_Type_loc = 0xA004;
		}
		if (P0_Type == 0x2117)
		{
			P0_Type_loc = 0xA104;
		}
		if (P0_Type == 0x2216)
		{
			P0_Type_loc = 0xA203;
		}
		if (P0_Type == 0x2217)
		{
			P0_Type_loc = 0xA204;
		}

		if (P0_Type == 0x6016)
		{
			P0_Type_loc = 0xA001;
		}
		if (P0_Type == 0x6116)
		{
			P0_Type_loc = 0xA101;
		}
		if (P0_Type == 0x6117)
		{
			P0_Type_loc = 0xA102;
		}
		if (P0_Type == 0x6017)
		{
			P0_Type_loc = 0xA002;
		}
		if (P0_Type == 0x6216)
		{
			P0_Type_loc = 0xA201;
		}
		if (P0_Type == 0x6217)
		{
			P0_Type_loc = 0xA202;
		}
*/
		save_values();

        if ((id_P0_Type_real != MODUL_LEER) && (id_P0_Type_real != (ivar_value(P0_Type_loc) & MODUL_MASK)))
        {
            var_id[0] = VARID(Loc_P0_Slot0);
            acknowledge([info_mismatch_module], var_id);
        }

        Loc_DoLoad  = 1;
        
        error = ReadCommand(id_read_para_index0);
        
        if (id_P0_Type != ivar_value(P0_Type))
        {
            Loc_InitModul = 1;
        }

        if (!Loc_P0_HCIR)
        {                       // Es luft keine HCIR-bertragung !

            P0_HCIR = 0;
        }

        if (Loc_P0_HCIR)
        {                       // Es luft HCIR-bertragung !
        }

        if(DoHCIR == 1)
		{

			WriteCommand(open_HCIR);
		}
		else
		{

			WriteCommand(open_config);

		}

		ReadCommand(check_drv_write_Status);		//    SLOT 0 / INDEX 42

		P0_Type = P0_Type_loc;

/*
		if (P0_Type_loc == 0xA003)
		{
			P0_Type = 0x2016;	
		}
		if (P0_Type_loc == 0xA103)
		{
			P0_Type = 0x2116;	
		}
		if (P0_Type_loc == 0xA004)
		{
			P0_Type = 0x2017;
		}
		if (P0_Type_loc == 0xA104)
		{
			P0_Type = 0x2117;
		}
		if (P0_Type_loc == 0xA203)
		{
			P0_Type = 0x2216;
		}
		if (P0_Type_loc == 0xA204)
		{
			P0_Type = 0x2217;
		}


		if (P0_Type_loc == 0xA001)
		{
			P0_Type = 0x6016;
		}
		if (P0_Type_loc == 0xA101)
		{
			P0_Type = 0x6116;
		}
		if (P0_Type_loc == 0xA002)
		{
			P0_Type = 0x6017;
		}
		if (P0_Type_loc == 0xA102)
		{
			P0_Type = 0x6117;
		}
		if (P0_Type_loc == 0xA201)
		{
			P0_Type = 0x6216;
		}
		if (P0_Type_loc == 0xA202)
		{
			P0_Type = 0x6217;
		}
*/
		save_values();



	}
}

COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status
        }
    }
}


METHOD  method_post_write_variables
{
    CLASS       INPUT;
    ACCESS      OFFLINE;
    DEFINITION
    {
        Loc_DoLoad  = 1;
        Loc_P0_HCIR = 0;        // HCIR-Vorbereitung abgeschlossen
        P0_HCIR     = 0;

		ReadCommand(check_HResult_Status);
    
		if(DoHCIR == 0)
		{
			WriteCommand(close_config);
		}
		else
		{
			WriteCommand(close_HCIR);

			DoHCIR = 0;
		}
    }
}

/*******************************************************************************/
/*****  HCiR - Methods  ********************************************************/
/*******************************************************************************/

VARIABLE Loc_BYTE_0x00
{
    LABEL       "BYTE [" + ARRAY_INDEX + "]";
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   0x00;
    }
    CLASS       LOCAL;
    HANDLING    READ;
}

ARRAY Loc_HCIR_Index_0_0
{
    LABEL       "Index 0 (Part 0)";
    NUMBER_OF_ELEMENTS  48;
    TYPE        Loc_BYTE_0x00;
}

ARRAY Loc_HCIR_Index_0_1
{
    LABEL       "Index 0 (Part 1)";
    NUMBER_OF_ELEMENTS  14;
    TYPE        Loc_BYTE_0x00;
}

ARRAY Loc_HCIR_Index_1
{
    LABEL       "Index 1";
    NUMBER_OF_ELEMENTS  64;
    TYPE        Loc_BYTE_0x00;
}

ARRAY Loc_HCIR_Index_2
{
    LABEL       "Index 2";
    NUMBER_OF_ELEMENTS  64;
    TYPE        Loc_BYTE_0x00;
}

ARRAY Loc_HCIR_Index_3
{
    LABEL       "Index 3";
    NUMBER_OF_ELEMENTS  64;
    TYPE        Loc_BYTE_0x00;
}

ARRAY Loc_HCIR_Index_4
{
    LABEL       "Index 4";
    NUMBER_OF_ELEMENTS  64;
    TYPE        Loc_BYTE_0x00;
}

METHOD method_LoadinDevice_HCIR
{
    LABEL       [menu_Device_LoadinDevice_HCIR];
    ACCESS      OFFLINE;
    DEFINITION
    {
        int     error;
        long    var_id[1];
        int     sector;

        Loc_P0_HCIR     = 0;
        P0_HCIR         = 0;

        ACKNOWLEDGE ([ask_load_to_device_HCIR]);

        var_id[0] = VARID(Loc_P0_Slot0);
        
        error = ReadCommand (id_read_P0_Type_real);
        if (error >= ID_FC_ERROR)
        {
            process_abort();
        }
    
        error = ReadCommand(read_HCIR_Index_0);
        if (error >= ID_FC_ERROR)
        {
            process_abort();
        }
		/*
        if (P0_HCIR & HCIR_MASK)
        {
            acknowledge([warning_HCIR_active], var_id);
        }
	
        if (P0_HCIR & HCIR_MASK)
        {
            process_abort();
        }
		*/

        // P0_HCIR &= ~HCIR_MASK;                      // HCIR-Bits lschen

        if (P0_Type == MODUL_LEER)
        {
        //--- Modul lschen -------------------------------------------------------------------
           // _TRACE("HCIR-Check: delete module");

		        DoHCIR = 1;
						
				execute_load_to_device();

				// DoHCIR = 0;

        }
        else 
        {

        //--- Modul einfgen ------------------------------------------------------------------

           // _TRACE("HCIR-Check: insert module");
            // if ((id_P0_Type_real == MODUL_LEER) || (id_P0_Type_real == (ivar_value(P0_Type) & MODUL_MASK)))
			// {
                P0_HCIR     |= HCIR_INSERT;
                Loc_P0_HCIR  = P0_HCIR;         // HCIR-Einfgen vorbereitet

		        DoHCIR = 1;

				execute_load_to_device();
			
				//DoHCIR = 0;
			//}
            // else 
            // {
            //     acknowledge([info_HCIR_SlotNotEmpty], var_id);
            // }
        }
    }
}

VARIABLE LocTimeOut
{
    LABEL       "TIMEOUT";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   200;
    }
    HANDLING    READ & WRITE;

}

METHOD method_Device_Exit_HCIR
{
    LABEL       [menu_Device_Exit_HCIR];
    ACCESS      OFFLINE;
    DEFINITION
    {
		WriteCommand(exit_HCIR);
		
		DoHCIR = 0;
		LocTimeOut = 0;
		var_drv_write_Status = 0x0002;
    
//		while((var_drv_write_Status != 0x0000)|| LocTimeOut >= 200)		//18.10.2010
		while((var_drv_write_Status != 0x0000)&& ( LocTimeOut < 200))
		{
			ReadCommand(check_drv_write_Status);
			LocTimeOut=LocTimeOut + 1;
		}

		if(var_drv_write_Status != 0x0000)
		{
			ACKNOWLEDGE("Exit HCIR failed |de|Exit HCIR fehlgeschlagen");
		}
	}
}

METHOD method_Device_Aboard_HCIR
{
    LABEL       [menu_Device_Aboard_HCIR];
    ACCESS      OFFLINE;
    DEFINITION
    {
		WriteCommand(aboart_HCIR);
		
		DoHCIR = 0;
		LocTimeOut = 0;
		var_drv_write_Status = 0x0002;
    
//		while((var_drv_write_Status != 0x0000)|| LocTimeOut >= 200)		//18.10.2010
		while((var_drv_write_Status != 0x0000)&& ( LocTimeOut < 200))
		{
			ReadCommand(check_drv_write_Status);
			LocTimeOut=LocTimeOut + 1;
		}

		if(var_drv_write_Status != 0x0000)
		{
			ACKNOWLEDGE("ABOARD HCIR failed |de|Abbruch HCIR fehlgeschlagen");
		}

	}
}

/*******************************************************************************/
/*****  COMMANDs  **************************************************************/
/*******************************************************************************/

COMMAND read_HCIR_Index_0               
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       0;                      
    OPERATION   READ;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
        }                               
        REPLY                           
        {                               
            Loc_HCIR_Index_0_0,
            P0_HCIR,
            Loc_HCIR_Index_0_1
        }                               
    }                                   
}

COMMAND write_HCIR_Index_0              
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       0;                      
    OPERATION   WRITE;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
            Loc_HCIR_Index_0_0,
            P0_HCIR,
            Loc_HCIR_Index_0_1
        }                               
        REPLY                           
        {                               
        }                               
    }                                   
}

/*-----------------------------------------------------------------------------*/

COMMAND read_HCIR_Index_1
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       1;                      
    OPERATION   READ;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
        }                               
        REPLY                           
        {                               
            Loc_HCIR_Index_1
        }                               
    }                                   
}

COMMAND write_HCIR_Index_1              
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       1;                      
    OPERATION   WRITE;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
            Loc_HCIR_Index_1
        }                               
        REPLY                           
        {                               
        }                               
    }                                   
}

/*-----------------------------------------------------------------------------*/

COMMAND read_HCIR_Index_2               
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       2;                      
    OPERATION   READ;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
        }                               
        REPLY                           
        {                               
            Loc_HCIR_Index_2
        }                               
    }                                   
}

COMMAND write_HCIR_Index_2              
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       2;                      
    OPERATION   WRITE;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
            Loc_HCIR_Index_2
        }                               
        REPLY                           
        {                               
        }                               
    }                                   
}

/*-----------------------------------------------------------------------------*/
COMMAND read_HCIR_Index_3               
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       3;                      
    OPERATION   READ;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
        }                               
        REPLY                           
        {                               
            Loc_HCIR_Index_3
        }                               
    }                                   
}

COMMAND write_HCIR_Index_3
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       3;                      
    OPERATION   WRITE;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
            Loc_HCIR_Index_3
        }                               
        REPLY                           
        {                               
        }                               
    }                                   
}

/*-----------------------------------------------------------------------------*/
COMMAND read_HCIR_Index_4               
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       4;                      
    OPERATION   READ;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
        }                               
        REPLY                           
        {                               
            Loc_HCIR_Index_4
        }                               
    }                                   
}

COMMAND write_HCIR_Index_4
{                                       
    SLOT        Loc_P0_Slot0;
    INDEX       4;                      
    OPERATION   WRITE;
    TRANSACTION                         
    {                                   
        REQUEST                         
        {                               
            Loc_HCIR_Index_4
        }                               
        REPLY                           
        {                               
        }                               
    }                                   
}
/*------------------------------------------------------------------------------*/
/* OPEN CONFIG                                                                  */
/*------------------------------------------------------------------------------*/
COMMAND open_config
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
		REQUEST
        {
            0x00,
            const_17,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_17
{
    LABEL       "17";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   17;
    }
    HANDLING    READ;
}
/*------------------------------------------------------------------------------*/
/* CLOSE CONFIG                                                                 */
/*------------------------------------------------------------------------------*/
COMMAND close_config
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_18,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_18
{
    LABEL       "18";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   18;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* OPEN HCIR                                                                  */
/*------------------------------------------------------------------------------*/
COMMAND open_HCIR
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_33,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_33
{
    LABEL       "33";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   33;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* CLOSE HCIR                                                                   */
/*------------------------------------------------------------------------------*/
COMMAND close_HCIR
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_34,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_34
{
    LABEL       "34";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   34;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* EXIT HCIR                                                                    */
/*------------------------------------------------------------------------------*/
COMMAND exit_HCIR
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_35,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_35
{
    LABEL       "35";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   35;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* ABOARD HCIR                                                                  */
/*------------------------------------------------------------------------------*/
COMMAND aboart_HCIR
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_36,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_36
{
    LABEL       "36";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   36;
    }
    HANDLING    READ;
}


/*-----------------------------------------------------------------------------*/
COMMAND check_drv_write_Status
{
    SLOT        0;
    INDEX       42;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status
        }
    }
}

VARIABLE var_drv_write_Status
{
    LABEL       "var_drv_write_Status";
	CLASS		CONTAINED & DYNAMIC;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

/*-----------------------------------------------------------------------------*/
COMMAND check_HRESULT
{
    SLOT        0;
    INDEX       42;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_check_HRESULT
        }
    }
}

VARIABLE var_check_HRESULT
{
    LABEL       "var_check_HRESULT";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER(4);
    HANDLING    READ & WRITE;
}

/*-----------------------------------------------------------------------------*/
COMMAND check_drv_write_status
{
    SLOT        0;
    INDEX       47;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_check_drv_write_status
        }
    }
}

VARIABLE var_check_drv_write_status
{
    LABEL       "var_check_drv_write_status";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER(2);
    HANDLING    READ;
}

/*-----------------------------------------------------------------------------*/
COMMAND check_open_config
{
    SLOT        0;
    INDEX       47;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_check_open_close_cfg
        }
    }
}

COMMAND check_open_config48
{
    SLOT        0;
    INDEX       48;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_check_open_close_cfg
        }
    }
}

VARIABLE var_check_open_close_cfg
{
    LABEL       "var_check_open_close_cfg";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER(4);
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* Reset Counter                                                                */
/*------------------------------------------------------------------------------*/

COMMAND reset_counter
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            const_1,
            const_53,
            0x00,
			const_slot
        }
        REPLY
        {
        }
    }
}

COMMAND reset_counter_all
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            const_1,
            const_53,
            0x00,
			0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_1
{
    LABEL       "1";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   1;
    }
    HANDLING    READ;
}

VARIABLE const_53
{
    LABEL       "53";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   53;
    }
    HANDLING    READ;
}

VARIABLE const_slot
{
    LABEL       "slot";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
    }
    HANDLING    READ;
}

